/*!
 * stroll.js 1.2 - CSS scroll effects
 * http://lab.hakim.se/scroll-effects
 * MIT licensed
 *
 * Modified to use Modernizer 
 * 
 * Copyright (C) 2012 Hakim El Hattab, http://hakim.se
 */
!function(){"use strict";// When a list is configured as 'live', this is how frequently 
// the DOM will be polled for changes
var a=500,b=intenseModernizr.touch,c=[],d=!1;/**
   * Updates all currently bound lists.
   */
function e(){if(d){requestAnimFrame(e);for(var a=0,b=c.length;b>a;a++)c[a].update()}}/**
   * Starts monitoring a list and applies classes to each of 
   * its contained elements based on its position relative to 
   * the list's viewport.
   * 
   * @param {HTMLElement} element 
   * @param {Object} options Additional arguments;
   *  - live; Flags if the DOM should be repeatedly checked for changes
   *      repeatedly. Useful if the list contents is changing. Use 
   *      scarcely as it has an impact on performance.
   */
function f(f,i){// Only allow ul/ol
if(!f.nodeName||/^(ul|li)$/i.test(f.nodeName)===!1)return!1;h(f)&&g(f);var j=b?new l(f):new k(f);// Handle options
i&&i.live&&(j.syncInterval=setInterval(function(){j.sync.call(j)},a)),// Synchronize the list with the DOM
j.sync(),// Add this element to the collection
c.push(j),// Start refreshing if this was the first list to be added
1===c.length&&(d=!0,e())}/**
   * Stops monitoring a list element and removes any classes 
   * that were applied to its list items.
   * 
   * @param {HTMLElement} element 
   */
function g(a){for(var b=0;b<c.length;b++){var e=c[b];e.element==a&&(e.destroy(),c.splice(b,1),b--)}// Stopped refreshing if the last list was removed
0===c.length&&(d=!1)}/**
   * Checks if the specified element has already been bound.
   */
function h(a){for(var b=0,d=c.length;d>b;b++)if(c[b].element==a)return!0;return!1}/**
   * Calls 'method' for each DOM element discovered in 
   * 'target'.
   * 
   * @param target String selector / array of UL elements / 
   * jQuery object / single UL element
   * @param method A function to call for each element target
   */
function i(a,b,c){var d,e;// Selector
if("string"==typeof a){var f=document.querySelectorAll(a);for(d=0,e=f.length;e>d;d++)b.call(null,f[d],c)}else if("object"==typeof a&&"number"==typeof a.length)for(d=0,e=a.length;e>d;d++)b.call(null,a[d],c);else{if(!a.nodeName)throw"Stroll target was of unexpected type.";b.call(null,a,c)}}/**
   * Checks if the client is capable of running the library.
   */
function j(){return!!document.body.classList}/**
   * The basic type of list; applies past & future classes to 
   * list items based on scroll state.
   */
function k(a){this.element=a}/** 
   * Fetches the latest properties from the DOM to ensure that 
   * this list is in sync with its contents. 
   */
k.prototype.sync=function(){this.items=Array.prototype.slice.apply(this.element.children),// Caching some heights so we don't need to go back to the DOM so much
this.listHeight=this.element.offsetHeight;// One loop to get the offsets from the DOM
for(var a=0,b=this.items.length;b>a;a++){var c=this.items[a];c._offsetHeight=c.offsetHeight,c._offsetTop=c.offsetTop,c._offsetBottom=c._offsetTop+c._offsetHeight,c._state=""}// Force an update
this.update(!0)},/** 
   * Apply past/future classes to list items outside of the viewport
   */
k.prototype.update=function(a){var b=this.element.pageYOffset||this.element.scrollTop,c=b+this.listHeight;// Quit if nothing changed
if(b!==this.lastTop||a){this.lastTop=b;// One loop to make our changes to the DOM
for(var d=0,e=this.items.length;e>d;d++){var f=this.items[d];// Above list viewport
f._offsetBottom<b?// Exclusion via string matching improves performance
"past"!==f._state&&(f._state="past",f.classList.add("past"),f.classList.remove("future")):f._offsetTop>c?// Exclusion via string matching improves performance
"future"!==f._state&&(f._state="future",f.classList.add("future"),f.classList.remove("past")):f._state&&("past"===f._state&&f.classList.remove("past"),"future"===f._state&&f.classList.remove("future"),f._state="")}}},/**
   * Cleans up after this list and disposes of it.
   */
k.prototype.destroy=function(){clearInterval(this.syncInterval);for(var a=0,b=this.items.length;b>a;a++){var c=this.items[a];c.classList.remove("past"),c.classList.remove("future")}};/**
   * A list specifically for touch devices. Simulates the style 
   * of scrolling you'd see on a touch device but does not rely 
   * on webkit-overflow-scrolling since that makes it impossible 
   * to read the up-to-date scroll position.
   */
function l(a){this.element=a,this.element.style.overflow="hidden",this.top={value:0,natural:0},this.touch={value:0,offset:0,start:0,previous:0,lastMove:Date.now(),accellerateTimeout:-1,isAccellerating:!1,isActive:!1},this.velocity=0}l.prototype=new k,/** 
   * Fetches the latest properties from the DOM to ensure that 
   * this list is in sync with its contents. This is typically 
   * only used once (per list) at initialization.
   */
l.prototype.sync=function(){this.items=Array.prototype.slice.apply(this.element.children),this.listHeight=this.element.offsetHeight;// One loop to get the properties we need from the DOM
for(var a,b=0,c=this.items.length;c>b;b++)a=this.items[b],a._offsetHeight=a.offsetHeight,a._offsetTop=a.offsetTop,a._offsetBottom=a._offsetTop+a._offsetHeight,a._state="",// Animating opacity is a MAJOR performance hit on mobile so we can't allow it
a.style.opacity=1;this.top.natural=this.element.scrollTop,this.top.value=this.top.natural,this.top.max=a._offsetBottom-this.listHeight,// Force an update
this.update(!0),this.bind()},/**
   * Binds the events for this list. References to proxy methods 
   * are kept for unbinding if the list is disposed of.
   */
l.prototype.bind=function(){var a=this;this.touchStartDelegate=function(b){a.onTouchStart(b)},this.touchMoveDelegate=function(b){a.onTouchMove(b)},this.touchEndDelegate=function(b){a.onTouchEnd(b)},this.element.addEventListener("touchstart",this.touchStartDelegate,!1),this.element.addEventListener("touchmove",this.touchMoveDelegate,!1),this.element.addEventListener("touchend",this.touchEndDelegate,!1)},l.prototype.onTouchStart=function(a){if(a.preventDefault(),1===a.touches.length)if(this.touch.isActive=!0,this.touch.start=a.touches[0].clientY,this.touch.previous=this.touch.start,this.touch.value=this.touch.start,this.touch.offset=0,this.velocity){this.touch.isAccellerating=!0;var b=this;this.touch.accellerateTimeout=setTimeout(function(){b.touch.isAccellerating=!1,b.velocity=0},500)}else this.velocity=0},l.prototype.onTouchMove=function(a){if(1===a.touches.length){var b=this.touch.value;this.touch.value=a.touches[0].clientY,this.touch.lastMove=Date.now();var c=this.touch.value>this.touch.previous&&this.velocity<0||this.touch.value<this.touch.previous&&this.velocity>0;this.touch.isAccellerating&&c?(clearInterval(this.touch.accellerateTimeout),// Increase velocity significantly
this.velocity+=(this.touch.previous-this.touch.value)/10):(this.velocity=0,this.touch.isAccellerating=!1,this.touch.offset=Math.round(this.touch.start-this.touch.value)),this.touch.previous=b}},l.prototype.onTouchEnd=function(a){var b=this.touch.start-this.touch.value;this.touch.isAccellerating||(// Apply velocity based on the start position of the touch
this.velocity=(this.touch.start-this.touch.value)/10),// Don't apply any velocity if the touch ended in a still state
(Date.now()-this.touch.lastMove>200||Math.abs(this.touch.previous-this.touch.value)<5)&&(this.velocity=0),this.top.value+=this.touch.offset,// Reset the variables used to determne swipe speed
this.touch.offset=0,this.touch.start=0,this.touch.value=0,this.touch.isActive=!1,this.touch.isAccellerating=!1,clearInterval(this.touch.accellerateTimeout),// If a swipe was captured, prevent event propagation
(Math.abs(this.velocity)>4||Math.abs(b)>10)&&a.preventDefault()},/** 
   * Apply past/future classes to list items outside of the viewport
   */
l.prototype.update=function(a){// Determine the desired scroll top position
var b=this.top.value+this.velocity+this.touch.offset;// Only proceed if the scroll position has changed
if(// Only scroll the list if there's input
(this.velocity||this.touch.offset)&&(// Scroll the DOM and add on the offset from touch
this.element.scrollTop=b,// Keep the scroll value within bounds
b=Math.max(0,Math.min(this.element.scrollTop,this.top.max)),// Cache the currently set scroll top and touch offset
this.top.value=b-this.touch.offset),// If there is no active touch, decay velocity
(!this.touch.isActive||this.touch.isAccellerating)&&(this.velocity*=.95),// Cut off early, the last fraction of velocity doesn't have 
// much impact on movement
Math.abs(this.velocity)<.15&&(this.velocity=0),b!==this.top.natural||a){this.top.natural=b,this.top.value=b-this.touch.offset;// One loop to make our changes to the DOM
for(var c=b+this.listHeight,d=0,e=this.items.length;e>d;d++){var f=this.items[d];// Above list viewport
f._offsetBottom<b?// Exclusion via string matching improves performance
this.velocity<=0&&"past"!==f._state&&(f.classList.add("past"),f._state="past"):f._offsetTop>c?// Exclusion via string matching improves performance
this.velocity>=0&&"future"!==f._state&&(f.classList.add("future"),f._state="future"):f._state&&("past"===f._state&&f.classList.remove("past"),"future"===f._state&&f.classList.remove("future"),f._state="")}}},/**
   * Cleans up after this list and disposes of it.
   */
l.prototype.destroy=function(){k.prototype.destroy.apply(this),this.element.removeEventListener("touchstart",this.touchStartDelegate,!1),this.element.removeEventListener("touchmove",this.touchMoveDelegate,!1),this.element.removeEventListener("touchend",this.touchEndDelegate,!1)},/**
   * Public API
   */
window.stroll={/**
     * Binds one or more lists for scroll effects.
     * 
     * @see #add()
     */
bind:function(a,b){j()&&i(a,f,b)},/**
     * Unbinds one or more lists from scroll effects.
     * 
     * @see #remove()
     */
unbind:function(a){j()&&i(a,g)}},window.requestAnimFrame=function(){return window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||window.oRequestAnimationFrame||window.msRequestAnimationFrame||function(a){window.setTimeout(a,1e3/60)}}()}();