if (SVGElement && SVGElement.prototype) {
 
    SVGElement.prototype.hasClass = function (className) {
        return new RegExp('(\\s|^)' + className + '(\\s|$)').test(this.getAttribute('class'));
    };
 
    SVGElement.prototype.addClass = function (className) {
        if (!this.hasClass(className)) {
            this.setAttribute('class', this.getAttribute('class') + ' ' + className);
        }
    };
 
    SVGElement.prototype.removeClass = function (className) {
        var removedClass = this.getAttribute('class').replace(new RegExp('(\\s|^)' + className + '(\\s|$)', 'g'), '$2');
        if (this.hasClass(className)) {
            this.setAttribute('class', removedClass);
        }
    };
 
    SVGElement.prototype.toggleClass = function (className) {
        if (this.hasClass(className)) {
            this.removeClass(className);
        } else {
            this.addClass(className);
        }
    };
 
}

jQuery(function($) {
	'use strict';
	$(document).ready(function() {
		//set the use xlink:href to itself to fix a Safari bug
		$('use').each(function() {
			$(this).attr('xlink:href', $(this).attr('xlink:href'));
		});

		$('use.stack-base').each(function() {
			var $child = $(this).next();
			var parentWidth = $(this).parent().width();
			var parentHeight = $(this).parent().height();

			$child.attr('width', parentWidth * 0.5);
			$child.attr('height', parentHeight * 0.5);

			var childWidth = parentWidth * 0.5;
			var childHeight = parentHeight * 0.5;

			$child.attr('x', parentWidth / 2 - childWidth / 2);
			$child.attr('y', parentHeight / 2 - childHeight / 2);
			
			$(this).parent().css('visibility', 'visible');
		});

		$('.intense.icon > svg > use:not(.filled)').each(function() {
			var $container = $(this).parent().parent();

			$(this).css('fill', $container.css('color'));

			$container.parent('a').hover(function() {			
				$(this).find('use').css('fill', $(this).css('color'));
			}, function() {			
				$(this).find('use').css('fill', $(this).css('color'));
			});		
		});		
	});
});