/**
 * 
 * Magnific Popup Core JS file
 * 
 */
/**
 * Private static constants
 */
var CLOSE_EVENT="Close",BEFORE_CLOSE_EVENT="BeforeClose",AFTER_CLOSE_EVENT="AfterClose",BEFORE_APPEND_EVENT="BeforeAppend",MARKUP_PARSE_EVENT="MarkupParse",OPEN_EVENT="Open",CHANGE_EVENT="Change",NS="mfp",EVENT_NS="."+NS,READY_CLASS="mfp-ready",REMOVING_CLASS="mfp-removing",PREVENT_CLOSE_CLASS="mfp-prevent-close",mfp,// As we have only one instance of MagnificPopup object, we define it locally to not to use 'this'
MagnificPopup=function(){},_isJQ=!!window.jQuery,_prevStatus,_window=$(window),_body,_document,_prevContentType,_wrapClasses,_currPopupType,_mfpOn=function(a,b){mfp.ev.on(NS+a+EVENT_NS,b)},_getEl=function(a,b,c,d){var e=document.createElement("div");return e.className="mfp-"+a,c&&(e.innerHTML=c),d?b&&b.appendChild(e):(e=$(e),b&&e.appendTo(b)),e},_mfpTrigger=function(a,b){mfp.ev.triggerHandler(NS+a,b),mfp.st.callbacks&&(// converts "mfpEventName" to "eventName" callback and triggers it if it's present
a=a.charAt(0).toLowerCase()+a.slice(1),mfp.st.callbacks[a]&&mfp.st.callbacks[a].apply(mfp,$.isArray(b)?b:[b]))},_getCloseBtn=function(a){return a===_currPopupType&&mfp.currTemplate.closeBtn||(mfp.currTemplate.closeBtn=$(mfp.st.closeMarkup.replace("%title%",mfp.st.tClose)),_currPopupType=a),mfp.currTemplate.closeBtn},// Initialize Magnific Popup only when called at least once
_checkInstance=function(){$.magnificPopup.instance||(mfp=new MagnificPopup,mfp.init(),$.magnificPopup.instance=mfp)},// CSS transition detection, http://stackoverflow.com/questions/7264899/detect-css-transitions-using-javascript-and-without-modernizr
supportsTransitions=function(){var a=document.createElement("p").style,// 's' for style. better to create an element if body yet to exist
b=["ms","O","Moz","Webkit"];// 'v' for vendor
if(void 0!==a.transition)return!0;while(b.length)if(b.pop()+"Transition"in a)return!0;return!1};/**
 * Public functions
 */
MagnificPopup.prototype={constructor:MagnificPopup,/**
	 * Initializes Magnific Popup plugin. 
	 * This function is triggered only once when $.fn.magnificPopup or $.magnificPopup is executed
	 */
init:function(){var a=navigator.appVersion;mfp.isIE7=-1!==a.indexOf("MSIE 7."),mfp.isIE8=-1!==a.indexOf("MSIE 8."),mfp.isLowIE=mfp.isIE7||mfp.isIE8,mfp.isAndroid=/android/gi.test(a),mfp.isIOS=/iphone|ipad|ipod/gi.test(a),mfp.supportsTransition=supportsTransitions(),// We disable fixed positioned lightbox on devices that don't handle it nicely.
// If you know a better way of detecting this - let me know.
mfp.probablyMobile=mfp.isAndroid||mfp.isIOS||/(Opera Mini)|Kindle|webOS|BlackBerry|(Opera Mobi)|(Windows Phone)|IEMobile/i.test(navigator.userAgent),_body=$(document.body),_document=$(document),mfp.popupsCache={}},/**
	 * Opens popup
	 * @param  data [description]
	 */
open:function(a){var b;if(a.isObj===!1){// convert jQuery collection to array to avoid conflicts later
mfp.items=a.items.toArray(),mfp.index=0;var c=a.items,d;for(b=0;b<c.length;b++)if(d=c[b],d.parsed&&(d=d.el[0]),d===a.el[0]){mfp.index=b;break}}else mfp.items=$.isArray(a.items)?a.items:[a.items],mfp.index=a.index||0;// if popup is already opened - we just update the content
if(mfp.isOpen)return void mfp.updateItemHTML();mfp.types=[],_wrapClasses="",mfp.ev=a.mainEl&&a.mainEl.length?a.mainEl.eq(0):_document,a.key?(mfp.popupsCache[a.key]||(mfp.popupsCache[a.key]={}),mfp.currTemplate=mfp.popupsCache[a.key]):mfp.currTemplate={},mfp.st=$.extend(!0,{},$.magnificPopup.defaults,a),mfp.fixedContentPos="auto"===mfp.st.fixedContentPos?!mfp.probablyMobile:mfp.st.fixedContentPos,mfp.st.modal&&(mfp.st.closeOnContentClick=!1,mfp.st.closeOnBgClick=!1,mfp.st.showCloseBtn=!1,mfp.st.enableEscapeKey=!1),// Building markup
// main containers are created only once
mfp.bgOverlay||(// Dark overlay
mfp.bgOverlay=_getEl("bg").on("click"+EVENT_NS,function(){mfp.close()}),mfp.wrap=_getEl("wrap").attr("tabindex",-1).on("click"+EVENT_NS,function(a){mfp._checkIfClose(a.target)&&mfp.close()}),mfp.container=_getEl("container",mfp.wrap)),mfp.contentContainer=_getEl("content"),mfp.st.preloader&&(mfp.preloader=_getEl("preloader",mfp.container,mfp.st.tLoading));// Initializing modules
var e=$.magnificPopup.modules;for(b=0;b<e.length;b++){var f=e[b];f=f.charAt(0).toUpperCase()+f.slice(1),mfp["init"+f].call(mfp)}_mfpTrigger("BeforeOpen"),mfp.st.showCloseBtn&&(// Close button
mfp.st.closeBtnInside?(_mfpOn(MARKUP_PARSE_EVENT,function(a,b,c,d){c.close_replaceWith=_getCloseBtn(d.type)}),_wrapClasses+=" mfp-close-btn-in"):mfp.wrap.append(_getCloseBtn())),mfp.st.alignTop&&(_wrapClasses+=" mfp-align-top"),mfp.wrap.css(mfp.fixedContentPos?{overflow:mfp.st.overflowY,overflowX:"hidden",overflowY:mfp.st.overflowY}:{top:_window.scrollTop(),position:"absolute"}),(mfp.st.fixedBgPos===!1||"auto"===mfp.st.fixedBgPos&&!mfp.fixedContentPos)&&mfp.bgOverlay.css({height:_document.height(),position:"absolute"}),mfp.st.enableEscapeKey&&// Close on ESC key
_document.on("keyup"+EVENT_NS,function(a){27===a.keyCode&&mfp.close()}),_window.on("resize"+EVENT_NS,function(){mfp.updateSize()}),mfp.st.closeOnContentClick||(_wrapClasses+=" mfp-auto-cursor"),_wrapClasses&&mfp.wrap.addClass(_wrapClasses);// this triggers recalculation of layout, so we get it once to not to trigger twice
var g=mfp.wH=_window.height(),h={};if(mfp.fixedContentPos&&mfp._hasScrollBar(g)){var i=mfp._getScrollbarSize();i&&(h.marginRight=i)}mfp.fixedContentPos&&(mfp.isIE7?// ie7 double-scroll bug
$("body, html").css("overflow","hidden"):h.overflow="hidden");var j=mfp.st.mainClass;// add content
// remove scrollbar, add margin e.t.c
// add everything to DOM
// Save last focused element
// Wait for next cycle to allow CSS transition
return mfp.isIE7&&(j+=" mfp-ie7"),j&&mfp._addClassToMFP(j),mfp.updateItemHTML(),_mfpTrigger("BuildControls"),$("html").css(h),mfp.bgOverlay.add(mfp.wrap).prependTo(document.body),mfp._lastFocusedEl=document.activeElement,setTimeout(function(){mfp.content?(mfp._addClassToMFP(READY_CLASS),mfp._setFocus()):// if content is not defined (not loaded e.t.c) we add class only for BG
mfp.bgOverlay.addClass(READY_CLASS),// Trap the focus in popup
_document.on("focusin"+EVENT_NS,mfp._onFocusIn)},16),mfp.isOpen=!0,mfp.updateSize(g),_mfpTrigger(OPEN_EVENT),a},/**
	 * Closes the popup
	 */
close:function(){mfp.isOpen&&(_mfpTrigger(BEFORE_CLOSE_EVENT),mfp.isOpen=!1,// for CSS3 animation
mfp.st.removalDelay&&!mfp.isLowIE&&mfp.supportsTransition?(mfp._addClassToMFP(REMOVING_CLASS),setTimeout(function(){mfp._close()},mfp.st.removalDelay)):mfp._close())},/**
	 * Helper for close() function
	 */
_close:function(){_mfpTrigger(CLOSE_EVENT);var a=REMOVING_CLASS+" "+READY_CLASS+" ";if(mfp.bgOverlay.detach(),mfp.wrap.detach(),mfp.container.empty(),mfp.st.mainClass&&(a+=mfp.st.mainClass+" "),mfp._removeClassFromMFP(a),mfp.fixedContentPos){var b={marginRight:""};mfp.isIE7?$("body, html").css("overflow",""):b.overflow="",$("html").css(b)}_document.off("keyup"+EVENT_NS+" focusin"+EVENT_NS),mfp.ev.off(EVENT_NS),// clean up DOM elements that aren't removed
mfp.wrap.attr("class","mfp-wrap").removeAttr("style"),mfp.bgOverlay.attr("class","mfp-bg"),mfp.container.attr("class","mfp-container"),// remove close button from target element
!mfp.st.showCloseBtn||mfp.st.closeBtnInside&&mfp.currTemplate[mfp.currItem.type]!==!0||mfp.currTemplate.closeBtn&&mfp.currTemplate.closeBtn.detach(),mfp._lastFocusedEl&&$(mfp._lastFocusedEl).focus(),mfp.currItem=null,mfp.content=null,mfp.currTemplate=null,mfp.prevHeight=0,_mfpTrigger(AFTER_CLOSE_EVENT)},updateSize:function(a){if(mfp.isIOS){// fixes iOS nav bars https://github.com/dimsemenov/Magnific-Popup/issues/2
var b=document.documentElement.clientWidth/window.innerWidth,c=window.innerHeight*b;mfp.wrap.css("height",c),mfp.wH=c}else mfp.wH=a||_window.height();// Fixes #84: popup incorrectly positioned with position:relative on body
mfp.fixedContentPos||mfp.wrap.css("height",mfp.wH),_mfpTrigger("Resize")},/**
	 * Set content of popup based on current index
	 */
updateItemHTML:function(){var a=mfp.items[mfp.index];// Detach and perform modifications
mfp.contentContainer.detach(),mfp.content&&mfp.content.detach(),a.parsed||(a=mfp.parseEl(mfp.index));var b=a.type;if(_mfpTrigger("BeforeChange",[mfp.currItem?mfp.currItem.type:"",b]),// BeforeChange event works like so:
// _mfpOn('BeforeChange', function(e, prevType, newType) { });
mfp.currItem=a,!mfp.currTemplate[b]){var c=mfp.st[b]?mfp.st[b].markup:!1;// allows to modify markup
_mfpTrigger("FirstMarkupParse",c),mfp.currTemplate[b]=c?$(c):!0}_prevContentType&&_prevContentType!==a.type&&mfp.container.removeClass("mfp-"+_prevContentType+"-holder");var d=mfp["get"+b.charAt(0).toUpperCase()+b.slice(1)](a,mfp.currTemplate[b]);mfp.appendContent(d,b),a.preloaded=!0,_mfpTrigger(CHANGE_EVENT,a),_prevContentType=a.type,// Append container back after its content changed
mfp.container.prepend(mfp.contentContainer),_mfpTrigger("AfterChange")},/**
	 * Set HTML content of popup
	 */
appendContent:function(a,b){mfp.content=a,a?mfp.st.showCloseBtn&&mfp.st.closeBtnInside&&mfp.currTemplate[b]===!0?// if there is no markup, we just append close button element inside
mfp.content.find(".mfp-close").length||mfp.content.append(_getCloseBtn()):mfp.content=a:mfp.content="",_mfpTrigger(BEFORE_APPEND_EVENT),mfp.container.addClass("mfp-"+b+"-holder"),mfp.contentContainer.append(mfp.content)},/**
	 * Creates Magnific Popup data object based on given data
	 * @param  {int} index Index of item to parse
	 */
parseEl:function(a){var b=mfp.items[a],c=b.type;if(b=b.tagName?{el:$(b)}:{data:b,src:b.src},b.el){// check for 'mfp-TYPE' class
for(var d=mfp.types,e=0;e<d.length;e++)if(b.el.hasClass("mfp-"+d[e])){c=d[e];break}b.src=b.el.attr("data-mfp-src"),b.src||(b.src=b.el.attr("href"))}return b.type=c||mfp.st.type||"inline",b.index=a,b.parsed=!0,mfp.items[a]=b,_mfpTrigger("ElementParse",b),mfp.items[a]},/**
	 * Initializes single popup or a group of popups
	 */
addGroup:function(a,b){var c=function(c){c.mfpEl=this,mfp._openClick(c,a,b)};b||(b={});var d="click.magnificPopup";b.mainEl=a,b.items?(b.isObj=!0,a.off(d).on(d,c)):(b.isObj=!1,b.delegate?a.off(d).on(d,b.delegate,c):(b.items=a,a.off(d).on(d,c)))},_openClick:function(a,b,c){var d=void 0!==c.midClick?c.midClick:$.magnificPopup.defaults.midClick;if(d||2!==a.which&&!a.ctrlKey&&!a.metaKey){var e=void 0!==c.disableOn?c.disableOn:$.magnificPopup.defaults.disableOn;if(e)if($.isFunction(e)){if(!e.call(mfp))return!0}else// else it's number
if(_window.width()<e)return!0;a.type&&(a.preventDefault(),// This will prevent popup from closing if element is inside and popup is already opened
mfp.isOpen&&a.stopPropagation()),c.el=$(a.mfpEl),c.delegate&&(c.items=b.find(c.delegate)),mfp.open(c)}},/**
	 * Updates text on preloader
	 */
updateStatus:function(a,b){if(mfp.preloader){_prevStatus!==a&&mfp.container.removeClass("mfp-s-"+_prevStatus),b||"loading"!==a||(b=mfp.st.tLoading);var c={status:a,text:b};// allows to modify status
_mfpTrigger("UpdateStatus",c),a=c.status,b=c.text,mfp.preloader.html(b),mfp.preloader.find("a").on("click",function(a){a.stopImmediatePropagation()}),mfp.container.addClass("mfp-s-"+a),_prevStatus=a}},/*
		"Private" helpers that aren't private at all
	 */
// Check to close popup or not
// "target" is an element that was clicked
_checkIfClose:function(a){if(!$(a).hasClass(PREVENT_CLOSE_CLASS)){var b=mfp.st.closeOnContentClick,c=mfp.st.closeOnBgClick;if(b&&c)return!0;// We close the popup if click is on close button or on preloader. Or if there is no content.
if(!mfp.content||$(a).hasClass("mfp-close")||mfp.preloader&&a===mfp.preloader[0])return!0;// if click is outside the content
if(a===mfp.content[0]||$.contains(mfp.content[0],a)){if(b)return!0}else if(c&&$.contains(document,a))return!0;return!1}},_addClassToMFP:function(a){mfp.bgOverlay.addClass(a),mfp.wrap.addClass(a)},_removeClassFromMFP:function(a){this.bgOverlay.removeClass(a),mfp.wrap.removeClass(a)},_hasScrollBar:function(a){return(mfp.isIE7?_document.height():document.body.scrollHeight)>(a||_window.height())},_setFocus:function(){(mfp.st.focus?mfp.content.find(mfp.st.focus).eq(0):mfp.wrap).focus()},_onFocusIn:function(a){return a.target===mfp.wrap[0]||$.contains(mfp.wrap[0],a.target)?void 0:(mfp._setFocus(),!1)},_parseMarkup:function(a,b,c){var d;c.data&&(b=$.extend(c.data,b)),_mfpTrigger(MARKUP_PARSE_EVENT,[a,b,c]),$.each(b,function(b,c){if(void 0===c||c===!1)return!0;if(d=b.split("_"),d.length>1){var e=a.find(EVENT_NS+"-"+d[0]);if(e.length>0){var f=d[1];"replaceWith"===f?e[0]!==c[0]&&e.replaceWith(c):"img"===f?e.is("img")?e.attr("src",c):e.replaceWith('<img src="'+c+'" class="'+e.attr("class")+'" />'):e.attr(d[1],c)}}else a.find(EVENT_NS+"-"+b).html(c)})},_getScrollbarSize:function(){// thx David
if(void 0===mfp.scrollbarSize){var a=document.createElement("div");a.id="mfp-sbm",a.style.cssText="width: 99px; height: 99px; overflow: scroll; position: absolute; top: -9999px;",document.body.appendChild(a),mfp.scrollbarSize=a.offsetWidth-a.clientWidth,document.body.removeChild(a)}return mfp.scrollbarSize}},/* MagnificPopup core prototype end */
/**
 * Public static functions
 */
$.magnificPopup={instance:null,proto:MagnificPopup.prototype,modules:[],open:function(a,b){return _checkInstance(),a=a?$.extend(!0,{},a):{},a.isObj=!0,a.index=b||0,this.instance.open(a)},close:function(){return $.magnificPopup.instance&&$.magnificPopup.instance.close()},registerModule:function(a,b){b.options&&($.magnificPopup.defaults[a]=b.options),$.extend(this.proto,b.proto),this.modules.push(a)},defaults:{// Info about options is in docs:
// http://dimsemenov.com/plugins/magnific-popup/documentation.html#options
disableOn:0,key:null,midClick:!1,mainClass:"",preloader:!0,focus:"",// CSS selector of input to focus after popup is opened
closeOnContentClick:!1,closeOnBgClick:!0,closeBtnInside:!0,showCloseBtn:!0,enableEscapeKey:!0,modal:!1,alignTop:!1,removalDelay:0,fixedContentPos:"auto",fixedBgPos:"auto",overflowY:"auto",closeMarkup:'<button title="%title%" type="button" class="mfp-close">&times;</button>',tClose:"Close (Esc)",tLoading:"Loading..."}},$.fn.magnificPopup=function(a){_checkInstance();var b=$(this);// We call some API method of first param is a string
if("string"==typeof a)if("open"===a){var c,d=_isJQ?b.data("magnificPopup"):b[0].magnificPopup,e=parseInt(arguments[1],10)||0;d.items?c=d.items[e]:(c=b,d.delegate&&(c=c.find(d.delegate)),c=c.eq(e)),mfp._openClick({mfpEl:c},b,d)}else mfp.isOpen&&mfp[a].apply(mfp,Array.prototype.slice.call(arguments,1));else// clone options obj
a=$.extend(!0,{},a),/*
		 * As Zepto doesn't support .data() method for objects 
		 * and it works only in normal browsers
		 * we assign "options" object directly to the DOM element. FTW!
		 */
_isJQ?b.data("magnificPopup",a):b[0].magnificPopup=a,mfp.addGroup(b,a);return b};