/*
* MIXITUP - A CSS3 and JQuery Filter & Sort Plugin
* Version: 1.5.6
* License: Creative Commons Attribution-NoDerivs 3.0 Unported - CC BY-ND 3.0
* http://creativecommons.org/licenses/by-nd/3.0/
* This software may be used freely on commercial and non-commercial projects with attribution to the author/copyright holder.
* Author: Patrick Kunka
* Copyright 2012-2013 Patrick Kunka, All Rights Reserved
* 
* http://mixitup.io
*/
!function(a){// DECLARE METHODS
var b={// "INIT" METHOD
init:function(b){return this.each(function(){var f=window.navigator.appVersion.match(/Chrome\/(\d+)\./),g=f?parseInt(f[1],10):!1,h=function(a){var b=a.parentElement,c=document.createElement("div"),d=document.createDocumentFragment();b.insertBefore(c,a),d.appendChild(a),b.replaceChild(a,c),d=null,c=null};(g&&31==g||32==g)&&h(this);// BUILD CONFIG OBJECT
var i={// PUBLIC PROPERTIES
targetSelector:".mix",filterSelector:".filter",sortSelector:".sort",buttonEvent:"click",effects:["fade","scale"],listEffects:null,easing:"smooth",layoutMode:"grid",targetDisplayGrid:"inline-block",targetDisplayList:"block",listClass:"",gridClass:"",transitionSpeed:600,showOnLoad:"all",sortOnLoad:!1,multiFilter:!1,filterLogic:"or",resizeContainer:!0,minHeight:0,failClass:"fail",perspectiveDistance:"3000",perspectiveOrigin:"50% 50%",animateGridList:!0,onMixLoad:null,onMixStart:null,onMixEnd:null,// MISC
container:null,origOrder:[],startOrder:[],newOrder:[],origSort:[],checkSort:[],filter:"",mixing:!1,origDisplay:"",origLayout:"",origHeight:0,newHeight:0,isTouch:!1,resetDelay:0,failsafe:null,// CSS
prefix:"",easingFallback:"ease-in-out",transition:{},perspective:{},clean:{},fade:"1",scale:"",rotateX:"",rotateY:"",rotateZ:"",blur:"",grayscale:""};b&&a.extend(i,b),// ADD CONFIG OBJECT TO CONTAINER OBJECT PER INSTANTIATION
this.config=i,// DETECT TOUCH
a.support.touch="ontouchend"in document,a.support.touch&&(i.isTouch=!0,i.resetDelay=350),// LOCALIZE CONTAINER
i.container=a(this);var j=i.container;// PERFORM SORT ON LOAD 
if(// GET VENDOR PREFIX
i.prefix=e(j[0]),i.prefix=i.prefix?"-"+i.prefix.toLowerCase()+"-":"",// CACHE 'DEFAULT' SORTING ORDER
j.find(i.targetSelector).each(function(){i.origOrder.push(a(this))}),i.sortOnLoad){var k,l;a.isArray(i.sortOnLoad)?(k=i.sortOnLoad[0],l=i.sortOnLoad[1],a(i.sortSelector+"[data-sort="+i.sortOnLoad[0]+"][data-order="+i.sortOnLoad[1]+"]").addClass("active")):(a(i.sortSelector+"[data-sort="+i.sortOnLoad+"]").addClass("active"),k=i.sortOnLoad,i.sortOnLoad="desc"),d(k,l,j,i)}// BUILD TRANSITION AND PERSPECTIVE OBJECTS
for(var m=0;2>m;m++){var n=0==m?n=i.prefix:"";i.transition[n+"transition"]="all "+i.transitionSpeed+"ms ease-in-out",i.perspective[n+"perspective"]=i.perspectiveDistance+"px",i.perspective[n+"perspective-origin"]=i.perspectiveOrigin}// BUILD TRANSITION CLEANER
for(var m=0;2>m;m++){var n=0==m?n=i.prefix:"";i.clean[n+"transition"]="none"}// CHOOSE GRID OR LIST
"list"==i.layoutMode?(j.addClass(i.listClass),i.origDisplay=i.targetDisplayList):(j.addClass(i.gridClass),i.origDisplay=i.targetDisplayGrid),i.origLayout=i.layoutMode;// PARSE 'SHOWONLOAD'
var o=i.showOnLoad.split(" ");// GIVE ACTIVE FILTER ACTIVE CLASS
a.each(o,function(){a(i.filterSelector+'[data-filter="'+this+'"]').addClass("active")}),// RENAME "ALL" CATEGORY TO "MIX_ALL"
j.find(i.targetSelector).addClass("mix_all"),"all"==o[0]&&(o[0]="mix_all",i.showOnLoad="mix_all");// FADE IN 'SHOWONLOAD'
var p=a();a.each(o,function(){p=p.add(a("."+this))}),p.each(function(){var b=a(this);"list"==i.layoutMode?b.css("display",i.targetDisplayList):b.css("display",i.targetDisplayGrid),b.css(i.transition)});// WRAP FADE-IN TO PREVENT RACE CONDITION
var q=setTimeout(function(){i.mixing=!0,p.css("opacity","1");// CLEAN UP
var a=setTimeout(function(){if(p.removeStyle(i.prefix+"transition, transition").css("list"==i.layoutMode?{display:i.targetDisplayList,opacity:1}:{display:i.targetDisplayGrid,opacity:1}),// FIRE "ONMIXLOAD" CALLBACK
i.mixing=!1,"function"==typeof i.onMixLoad){var a=i.onMixLoad.call(this,i);// UPDATE CONFIG IF DATA RETURNED
i=a?a:i}},i.transitionSpeed)},10);// PRESET ACTIVE FILTER
i.filter=i.showOnLoad,// BIND SORT CLICK HANDLERS
a(i.sortSelector).bind(i.buttonEvent,function(){if(!i.mixing){// PARSE SORT ARGUMENTS FROM BUTTON CLASSES
var b=a(this),d=b.attr("data-sort"),e=b.attr("data-order");if(b.hasClass("active")){if("random"!=d)return!1}else a(i.sortSelector).removeClass("active"),b.addClass("active");j.find(i.targetSelector).each(function(){i.startOrder.push(a(this))}),c(i.filter,d,e,j,i)}}),// BIND FILTER CLICK HANDLERS
a(i.filterSelector).bind(i.buttonEvent,function(){if(!i.mixing){var b=a(this);// PARSE FILTER ARGUMENTS FROM BUTTON CLASSES
if(0==i.multiFilter)// SINGLE ACTIVE BUTTON
a(i.filterSelector).removeClass("active"),b.addClass("active"),i.filter=b.attr("data-filter"),a(i.filterSelector+'[data-filter="'+i.filter+'"]').addClass("active");else{// MULTIPLE ACTIVE BUTTONS
var d=b.attr("data-filter");if(b.hasClass("active")){b.removeClass("active");// REMOVE FILTER FROM SPACE-SEPERATED STRING
var e=new RegExp("(\\s|^)"+d);i.filter=i.filter.replace(e,"")}else// ADD FILTER TO SPACE-SEPERATED STRING
b.addClass("active"),i.filter=i.filter+" "+d}// GO MIX
c(i.filter,null,null,j,i)}})})},// "TOGRID" METHOD
toGrid:function(){return this.each(function(){var b=this.config;"grid"!=b.layoutMode&&(b.layoutMode="grid",c(b.filter,null,null,a(this),b))})},// "TOLIST" METHOD
toList:function(){return this.each(function(){var b=this.config;"list"!=b.layoutMode&&(b.layoutMode="list",c(b.filter,null,null,a(this),b))})},// "FILTER" METHOD
filter:function(b){return this.each(function(){var d=this.config;d.mixing||(a(d.filterSelector).removeClass("active"),a(d.filterSelector+'[data-filter="'+b+'"]').addClass("active"),c(b,null,null,a(this),d))})},// "SORT" METHOD
sort:function(b){return this.each(function(){var d=this.config,e=a(this);if(!d.mixing){if(a(d.sortSelector).removeClass("active"),a.isArray(b)){var f=b[0],g=b[1];a(d.sortSelector+'[data-sort="'+b[0]+'"][data-order="'+b[1]+'"]').addClass("active")}else{a(d.sortSelector+'[data-sort="'+b+'"]').addClass("active");var f=b,g="desc"}e.find(d.targetSelector).each(function(){d.startOrder.push(a(this))}),c(d.filter,f,g,e,d)}})},// "MULTIMIX" METHOD
multimix:function(b){return this.each(function(){var d=this.config,e=a(this);multiOut={filter:d.filter,sort:null,order:"desc",layoutMode:d.layoutMode},a.extend(multiOut,b),d.mixing||(a(d.filterSelector).add(d.sortSelector).removeClass("active"),a(d.filterSelector+'[data-filter="'+multiOut.filter+'"]').addClass("active"),"undefined"!=typeof multiOut.sort&&(a(d.sortSelector+'[data-sort="'+multiOut.sort+'"][data-order="'+multiOut.order+'"]').addClass("active"),e.find(d.targetSelector).each(function(){d.startOrder.push(a(this))})),d.layoutMode=multiOut.layoutMode,c(multiOut.filter,multiOut.sort,multiOut.order,e,d))})},// "REMIX" METHOD
remix:function(b){return this.each(function(){var d=this.config,e=a(this);d.origOrder=[],e.find(d.targetSelector).each(function(){var b=a(this);b.addClass("mix_all"),d.origOrder.push(b)}),d.mixing||"undefined"==typeof b||(a(d.filterSelector).removeClass("active"),a(d.filterSelector+'[data-filter="'+b+'"]').addClass("active"),c(b,null,null,e,d))})}};// DECLARE PLUGIN
a.fn.mixitup=function(a,c){return b[a]?b[a].apply(this,Array.prototype.slice.call(arguments,1)):"object"!=typeof a&&a?void 0:b.init.apply(this,arguments)};/* ==== THE MAGIC ==== */
function c(b,c,e,h,i){// FIRE "ONMIXSTART" CALLBACK
if(// WE ARE NOW MIXING
clearInterval(i.failsafe),i.mixing=!0,// APPLY ARGS TO CONFIG
i.filter=b,"function"==typeof i.onMixStart){var j=i.onMixStart.call(this,i);// UPDATE CONFIG IF DATA RETURNED
i=j?j:i}// REBUILD TRANSITION AND PERSPECTIVE OBJECTS
for(var k=i.transitionSpeed,l=0;2>l;l++){var m=0==l?m=i.prefix:"";i.transition[m+"transition"]="all "+k+"ms linear",i.transition[m+"transform"]=m+"translate3d(0,0,0)",i.perspective[m+"perspective"]=i.perspectiveDistance+"px",i.perspective[m+"perspective-origin"]=i.perspectiveOrigin}// CACHE TARGET ELEMENTS FOR QUICK ACCESS
var n=i.targetSelector,o=h.find(n);// ADD DATA OBJECT TO EACH TARGET
o.each(function(){this.data={}});// RE-DEFINE CONTAINER INCASE NOT IMMEDIATE PARENT OF TARGET ELEMENTS 
var p=o.parent();// ADD PERSPECTIVE TO CONTAINER 
p.css(i.perspective),// SETUP EASING
i.easingFallback="ease-in-out","smooth"==i.easing&&(i.easing="cubic-bezier(0.25, 0.46, 0.45, 0.94)"),"snap"==i.easing&&(i.easing="cubic-bezier(0.77, 0, 0.175, 1)"),"windback"==i.easing&&(i.easing="cubic-bezier(0.175, 0.885, 0.320, 1.275)",i.easingFallback="cubic-bezier(0.175, 0.885, 0.320, 1)"),"windup"==i.easing&&(i.easing="cubic-bezier(0.6, -0.28, 0.735, 0.045)",i.easingFallback="cubic-bezier(0.6, 0.28, 0.735, 0.045)");// USE LIST SPECIFIC EFFECTS IF DECLARED
var q="list"==i.layoutMode&&null!=i.listEffects?i.listEffects:i.effects;// BUILD EFFECTS STRINGS & SKIP IF IE8
Array.prototype.indexOf&&(i.fade=q.indexOf("fade")>-1?"0":"",i.scale=q.indexOf("scale")>-1?"scale(.01)":"",i.rotateZ=q.indexOf("rotateZ")>-1?"rotate(180deg)":"",i.rotateY=q.indexOf("rotateY")>-1?"rotateY(90deg)":"",i.rotateX=q.indexOf("rotateX")>-1?"rotateX(90deg)":"",i.blur=q.indexOf("blur")>-1?"blur(8px)":"",i.grayscale=q.indexOf("grayscale")>-1?"grayscale(100%)":"");// DECLARE NEW JQUERY OBJECTS FOR GROUPING
var r=a(),s=a(),t=[],u=!1;// BUILD FILTER ARRAY(S)
"string"==typeof b?// SINGLE DIMENSIONAL FILTERING
t=g(b):(// MULTI DIMENSIONAL FILTERING
u=!0,a.each(b,function(a){t[a]=g(this)})),// "OR" LOGIC (DEFAULT)
"or"==i.filterLogic?(""==t[0]&&t.shift(),// IF FIRST ITEM IN ARRAY IS AN EMPTY SPACE, DELETE
// IF NO ELEMENTS ARE DESIRED THEN HIDE ALL VISIBLE ELEMENTS
t.length<1?s=s.add(h.find(n+":visible")):// ELSE CHECK EACH TARGET ELEMENT FOR ANY FILTER CATEGORY:
o.each(function(){var b=a(this);if(u){var c=0;// FOR EACH DIMENSION
a.each(t,function(a){this.length?b.is("."+this.join(", ."))&&c++:c>0&&c++}),// IF PASSES ALL DIMENSIONS, SHOW
c==t.length?r=r.add(b):s=s.add(b)}else// IF HAS ANY FILTER, ADD TO "SHOW" OBJECT
b.is("."+t.join(", ."))?r=r.add(b):s=s.add(b)})):(// "AND" LOGIC
// ADD "MIX_SHOW" CLASS TO ELEMENTS THAT HAVE ALL FILTERS
r=r.add(p.find(n+"."+t.join("."))),// ADD "MIX_HIDE" CLASS TO EVERYTHING ELSE
s=s.add(p.find(n+":not(."+t.join(".")+"):visible")));// GET TOTAL NUMBER OF ELEMENTS TO SHOW
var v=r.length,w=a(),x=a(),y=a();// IF ALL ELEMENTS ARE ALREADY SHOWN AND THERE IS NOTHING TO HIDE, AND NOT PERFORMING A LAYOUT CHANGE OR SORT:
if(// FOR ELEMENTS TO BE HIDDEN, IF NOT ALREADY HIDDEN THEN ADD TO OBJECTS "TOHIDE" AND "PRE" 
// TO INDICATE PRE-EXISTING ELEMENTS TO BE HIDDEN
s.each(function(){var b=a(this);"none"!=b.css("display")&&(w=w.add(b),y=y.add(b))}),r.filter(":visible").length==v&&!w.length&&!c){if(i.origLayout==i.layoutMode)// THEN CLEAN UP AND GO HOME
return B(),!1;// IF ONLY ONE ITEM AND CHANGING FORM GRID TO LIST, MOST LIKELY POSITION WILL NOT CHANGE SO WE'RE DONE
if(1==r.length)// THEN CLEAN UP AND GO HOME
return"list"==i.layoutMode?(h.addClass(i.listClass),h.removeClass(i.gridClass),y.css("display",i.targetDisplayList)):(h.addClass(i.gridClass),h.removeClass(i.listClass),y.css("display",i.targetDisplayGrid)),B(),!1}// IF THERE IS SOMETHING TO BE SHOWN:
if(// GET CONTAINER'S STARTING HEIGHT
i.origHeight=p.height(),r.length){// IF NON-ANIMATED LAYOUT MODE TRANSITION:
if(// REMOVE "FAIL CLASS" FROM CONTAINER IF EXISTS
h.removeClass(i.failClass),// FOR ELEMENTS TO BE SHOWN, IF NOT ALREADY SHOWN THEN ADD TO OBJECTS "TOSHOW" ELSE ADD CLASS "MIX_PRE"
// TO INDICATE PRE-EXISTING ELEMENT
r.each(function(){var b=a(this);"none"==b.css("display")?x=x.add(b):y=y.add(b)}),i.origLayout!=i.layoutMode&&0==i.animateGridList)// ADD NEW DISPLAY TYPES, CLEAN UP AND GO HOME
return"list"==i.layoutMode?(h.addClass(i.listClass),h.removeClass(i.gridClass),y.css("display",i.targetDisplayList)):(h.addClass(i.gridClass),h.removeClass(i.listClass),y.css("display",i.targetDisplayGrid)),B(),!1;// IF IE
if(!window.atob)return B(),!1;// IF VISIBLE SORT ORDER IS THE SAME (WHICH WOULD NOT TRIGGER A TRANSITION EVENT)
if(// OVERRIDE ANY EXISTING TRANSITION TIMING FOR CALCULATIONS
o.css(i.clean),// FOR EACH PRE-EXISTING ELEMENT, ADD STARTING POSITION TO 'ORIGPOS' ARRAY
y.each(function(){this.data.origPos=a(this).offset()}),// TEMPORARILY SHOW ALL ELEMENTS TO SHOW (THAT ARE NOT ALREADY SHOWN), WITHOUT HIDING ELEMENTS TO HIDE
// AND ADD/REMOVE GRID AND LIST CLASSES FROM CONTAINER
"list"==i.layoutMode?(h.addClass(i.listClass),h.removeClass(i.gridClass),x.css("display",i.targetDisplayList)):(h.addClass(i.gridClass),h.removeClass(i.listClass),x.css("display",i.targetDisplayGrid)),// FOR EACH ELEMENT NOW SHOWN, ADD ITS INTERMEDIATE POSITION TO 'SHOWINTERPOS' ARRAY
x.each(function(){this.data.showInterPos=a(this).offset()}),// FOR EACH ELEMENT TO BE HIDDEN, BUT NOT YET HIDDEN, AND NOW MOVED DUE TO SHOWN ELEMENTS,
// ADD ITS INTERMEDIATE POSITION TO 'HIDEINTERPOS' ARRAY
w.each(function(){this.data.hideInterPos=a(this).offset()}),// FOR EACH PRE-EXISTING ELEMENT, NOW MOVED DUE TO SHOWN ELEMENTS, ADD ITS POSITION TO 'PREINTERPOS' ARRAY
y.each(function(){this.data.preInterPos=a(this).offset()}),// SET DISPLAY PROPERTY OF PRE-EXISTING ELEMENTS INCASE WE ARE CHANGING LAYOUT MODE
"list"==i.layoutMode?y.css("display",i.targetDisplayList):y.css("display",i.targetDisplayGrid),// IF A SORT ARGUMENT HAS BEEN SENT, RUN SORT FUNCTION SO OBJECTS WILL MOVE TO THEIR FINAL ORDER
c&&d(c,e,h,i),c&&f(i.origSort,i.checkSort))// THEN CLEAN UP AND GO HOME
return B(),!1;// TEMPORARILY HIDE ALL SHOWN ELEMENTS TO HIDE
w.hide(),// FOR EACH ELEMENT TO SHOW, AND NOW MOVED DUE TO HIDDEN ELEMENTS BEING REMOVED, 
// ADD ITS POSITION TO 'FINALPOS' ARRAY
x.each(function(b){this.data.finalPos=a(this).offset()}),// FOR EACH PRE-EXISTING ELEMENT NOW MOVED DUE TO HIDDEN ELEMENTS BEING REMOVED,
// ADD ITS POSITION TO 'FINALPREPOS' ARRAY
y.each(function(){this.data.finalPrePos=a(this).offset()}),// SINCE WE ARE IN OUT FINAL STATE, GET NEW HEIGHT OF CONTAINER
i.newHeight=p.height(),// IF A SORT ARGUMENT AS BEEN SENT, RUN SORT FUNCTION 'RESET' TO MOVE ELEMENTS BACK TO THEIR STARTING ORDER
c&&d("reset",null,h,i),// RE-HIDE ALL ELEMENTS TEMPORARILY SHOWN
x.hide(),// SET DISPLAY PROPERTY OF PRE-EXISTING ELEMENTS BACK TO THEIR 
// ORIGINAL PROPERTY, INCASE WE ARE CHANGING LAYOUT MODE
y.css("display",i.origDisplay),// ADD/REMOVE GRID AND LIST CLASSES FROM CONTAINER
"block"==i.origDisplay?(h.addClass(i.listClass),x.css("display",i.targetDisplayList)):(h.removeClass(i.listClass),x.css("display",i.targetDisplayGrid)),// IF WE ARE ANIMATING CONTAINER, RESET IT TO ITS STARTING HEIGHT
i.resizeContainer&&p.css("height",i.origHeight+"px");for(var z={},l=0;2>l;l++){var m=0==l?m=i.prefix:"";z[m+"transform"]=i.scale+" "+i.rotateX+" "+i.rotateY+" "+i.rotateZ,z[m+"filter"]=i.blur+" "+i.grayscale}x.css(z),// FOR EACH PRE-EXISTING ELEMENT, SUBTRACT ITS INTERMEDIATE POSITION FROM ITS ORIGINAL POSITION 
// TO GET ITS STARTING OFFSET
y.each(function(){var b=this.data,c=a(this);c.hasClass("mix_tohide")?(b.preTX=b.origPos.left-b.hideInterPos.left,b.preTY=b.origPos.top-b.hideInterPos.top):(b.preTX=b.origPos.left-b.preInterPos.left,b.preTY=b.origPos.top-b.preInterPos.top);for(var d={},e=0;2>e;e++){var f=0==e?f=i.prefix:"";d[f+"transform"]="translate("+b.preTX+"px,"+b.preTY+"px)"}c.css(d)}),// ADD/REMOVE GRID AND LIST CLASSES FROM CONTAINER
"list"==i.layoutMode?(h.addClass(i.listClass),h.removeClass(i.gridClass)):(h.addClass(i.gridClass),h.removeClass(i.listClass));// WRAP ANIMATION FUNCTIONS IN 10ms TIMEOUT TO PREVENT RACE CONDITION
var A=setTimeout(function(){// APPLY TRANSITION TIMING TO CONTAINER, AND BEGIN ANIMATION TO NEW HEIGHT
if(i.resizeContainer){for(var b={},c=0;2>c;c++){var d=0==c?d=i.prefix:"";b[d+"transition"]="all "+k+"ms ease-in-out",b.height=i.newHeight+"px"}p.css(b)}// BEGIN FADING IN/OUT OF ALL ELEMENTS TO SHOW/HIDE
w.css("opacity",i.fade),x.css("opacity",1),// FOR EACH ELEMENT BEING SHOWN, CALCULATE ITS TRAJECTORY BY SUBTRACTING
// ITS INTERMEDIATE POSITION FROM ITS FINAL POSITION.
// ALSO ADD SPEED AND EASING
x.each(function(){var b=this.data;b.tX=b.finalPos.left-b.showInterPos.left,b.tY=b.finalPos.top-b.showInterPos.top;for(var c={},d=0;2>d;d++){var e=0==d?e=i.prefix:"";c[e+"transition-property"]=e+"transform, "+e+"filter, opacity",c[e+"transition-timing-function"]=i.easing+", linear, linear",c[e+"transition-duration"]=k+"ms",c[e+"transition-delay"]="0",c[e+"transform"]="translate("+b.tX+"px,"+b.tY+"px)",c[e+"filter"]="none"}a(this).css("-webkit-transition","all "+k+"ms "+i.easingFallback).css(c)}),// FOR EACH PRE-EXISTING ELEMENT, IF IT HAS A FINAL POSITION, CALCULATE 
// ITS TRAJETORY BY SUBTRACTING ITS INTERMEDIATE POSITION FROM ITS FINAL POSITION.
// ALSO ADD SPEED AND EASING
y.each(function(){var b=this.data;b.tX=0!=b.finalPrePos.left?b.finalPrePos.left-b.preInterPos.left:0,b.tY=0!=b.finalPrePos.left?b.finalPrePos.top-b.preInterPos.top:0;for(var c={},d=0;2>d;d++){var e=0==d?e=i.prefix:"";c[e+"transition"]="all "+k+"ms "+i.easing,c[e+"transform"]="translate("+b.tX+"px,"+b.tY+"px)"}a(this).css("-webkit-transition","all "+k+"ms "+i.easingFallback).css(c)});for(var e={},c=0;2>c;c++){var d=0==c?d=i.prefix:"";e[d+"transition"]="all "+k+"ms "+i.easing+", "+d+"filter "+k+"ms linear, opacity "+k+"ms linear",e[d+"transform"]=i.scale+" "+i.rotateX+" "+i.rotateY+" "+i.rotateZ,e[d+"filter"]=i.blur+" "+i.grayscale,e.opacity=i.fade}w.css(e),// ALL ANIMATIONS HAVE NOW BEEN STARTED, NOW LISTEN FOR TRANSITION END:
p.bind("webkitTransitionEnd transitionend otransitionend oTransitionEnd",function(b){(b.originalEvent.propertyName.indexOf("transform")>-1||b.originalEvent.propertyName.indexOf("opacity")>-1)&&(n.indexOf(".")>-1?// IF MIXSELECTOR IS A CLASS NAME
a(b.target).hasClass(n.replace(".",""))&&B():// IF MIXSELECTOR IS A TAG
a(b.target).is(n)&&B())})},10);// LAST RESORT EMERGENCY FAILSAFE
i.failsafe=setTimeout(function(){i.mixing&&B()},k+400)}else{// IF IE
if(// ELSE IF NOTHING TO SHOW, AND EVERYTHING TO BE HIDDEN
// IF WE ARE RESIZING CONTAINER, SET ITS STARTING HEIGHT
i.resizeContainer&&p.css("height",i.origHeight+"px"),!window.atob)return B(),!1;// GROUP ALL ELEMENTS TO HIDE INTO JQUERY OBJECT
w=s;// WRAP ANIMATION FUNCTIONS IN A 10ms DELAY TO PREVENT RACE CONDITION
var A=setTimeout(function(){// APPLY TRANSITION TIMING TO CONTAINER, AND BEGIN ANIMATION TO NEW HEIGHT
if(// APPLY PERSPECTIVE TO CONTAINER
p.css(i.perspective),i.resizeContainer){for(var a={},b=0;2>b;b++){var c=0==b?c=i.prefix:"";a[c+"transition"]="height "+k+"ms ease-in-out",a.height=i.minHeight+"px"}p.css(a)}// APPLY TRANSITION TIMING TO ALL TARGET ELEMENTS
o.css(i.transition);// GET TOTAL NUMBER OF ELEMENTS TO HIDE
var d=s.length;// IF SOMETHING TO HIDE:
if(d){for(var e={},b=0;2>b;b++){var c=0==b?c=i.prefix:"";e[c+"transform"]=i.scale+" "+i.rotateX+" "+i.rotateY+" "+i.rotateZ,e[c+"filter"]=i.blur+" "+i.grayscale,e.opacity=i.fade}w.css(e),// ALL ANIMATIONS HAVE NOW BEEN STARTED, NOW LISTEN FOR TRANSITION END:
p.bind("webkitTransitionEnd transitionend otransitionend oTransitionEnd",function(a){(a.originalEvent.propertyName.indexOf("transform")>-1||a.originalEvent.propertyName.indexOf("opacity")>-1)&&(h.addClass(i.failClass),B())})}else// ELSE, WE'RE DONE MIXING
i.mixing=!1},10)}// CLEAN UP AND RESET FUNCTION
function B(){// UNBIND TRANSITION END EVENTS FROM CONTAINER
p.unbind("webkitTransitionEnd transitionend otransitionend oTransitionEnd"),// IF A SORT ARGUMENT HAS BEEN SENT, SORT ELEMENTS TO THEIR FINAL ORDER
c&&d(c,e,h,i),// EMPTY SORTING ARRAYS
i.startOrder=[],i.newOrder=[],i.origSort=[],i.checkSort=[],// REMOVE INLINE STYLES FROM ALL TARGET ELEMENTS AND SLAM THE BRAKES ON
o.removeStyle(i.prefix+"filter, filter, "+i.prefix+"transform, transform, opacity, display").css(i.clean).removeAttr("data-checksum"),// BECAUSE IE SUCKS
window.atob||o.css({display:"none",opacity:"0"});// REMOVE HEIGHT FROM CONTAINER ONLY IF RESIZING
var a=i.resizeContainer?"height":"";// REMOVE INLINE STYLES FROM CONTAINER
p.removeStyle(i.prefix+"transition, transition, "+i.prefix+"perspective, perspective, "+i.prefix+"perspective-origin, perspective-origin, "+a),// ADD FINAL DISPLAY PROPERTIES AND OPACITY TO ALL SHOWN ELEMENTS
// CACHE CURRENT LAYOUT MODE & SORT FOR NEXT MIX
"list"==i.layoutMode?(r.css({display:i.targetDisplayList,opacity:"1"}),i.origDisplay=i.targetDisplayList):(r.css({display:i.targetDisplayGrid,opacity:"1"}),i.origDisplay=i.targetDisplayGrid),i.origLayout=i.layoutMode;var b=setTimeout(function(){// FIRE "ONMIXEND" CALLBACK
if(// LET GO OF THE BRAKES
o.removeStyle(i.prefix+"transition, transition"),// WE'RE DONE MIXING
i.mixing=!1,"function"==typeof i.onMixEnd){var a=i.onMixEnd.call(this,i);// UPDATE CONFIG IF DATA RETURNED
i=a?a:i}})}}// SORT FUNCTION
function d(b,c,d,e){// COMPARE BY ATTRIBUTE
function f(a,c){var d=isNaN(1*a.attr(b))?a.attr(b).toLowerCase():1*a.attr(b),e=isNaN(1*c.attr(b))?c.attr(b).toLowerCase():1*c.attr(b);return e>d?-1:d>e?1:0}// REBUILD DOM
function g(a){"asc"==c?i.prepend(a).prepend(" "):i.append(a).append(" ")}// RANDOMIZE ARRAY
function h(a){var b=a.slice(),c=b.length,d=c;while(d--){var e=parseInt(Math.random()*c),f=b[d];b[d]=b[e],b[e]=f}return b}// SORT
d.find(e.targetSelector).wrapAll('<div class="mix_sorter"/>');var i=d.find(".mix_sorter");if(e.origSort.length||i.find(e.targetSelector+":visible").each(function(){a(this).wrap("<s/>"),e.origSort.push(a(this).parent().html().replace(/\s+/g,"")),a(this).unwrap()}),i.empty(),"reset"==b)a.each(e.startOrder,function(){i.append(this).append(" ")});else if("default"==b)a.each(e.origOrder,function(){g(this)});else if("random"==b)e.newOrder.length||(e.newOrder=h(e.startOrder)),a.each(e.newOrder,function(){i.append(this).append(" ")});else if("custom"==b)a.each(c,function(){g(this)});else{// SORT BY ATTRIBUTE
if("undefined"==typeof e.origOrder[0].attr(b))return console.log("No such attribute found. Terminating"),!1;e.newOrder.length||(a.each(e.origOrder,function(){e.newOrder.push(a(this))}),e.newOrder.sort(f)),a.each(e.newOrder,function(){g(this)})}e.checkSort=[],i.find(e.targetSelector+":visible").each(function(b){var c=a(this);0==b&&// PREVENT COMPARE RETURNING FALSE POSITIVES ON ELEMENTS WITH NO CLASS/ATTRIBUTES
c.attr("data-checksum","1"),c.wrap("<s/>"),e.checkSort.push(c.parent().html().replace(/\s+/g,"")),c.unwrap()}),d.find(e.targetSelector).unwrap()}// FIND VENDOR PREFIX
function e(a){for(var b=["Webkit","Moz","O","ms"],c=0;c<b.length;c++)if(b[c]+"Transition"in a.style)return b[c];return"transition"in a.style?"":!1}// REMOVE SPECIFIC STYLES
a.fn.removeStyle=function(b){return this.each(function(){var c=a(this);b=b.replace(/\s+/g,"");var d=b.split(",");a.each(d,function(){var a=new RegExp(this.toString()+"[^;]+;?","g");c.attr("style",function(b,c){return c?c.replace(a,""):void 0})})})};// COMPARE ARRAYS 
function f(a,b){if(a.length!=b.length)return!1;for(var c=0;c<b.length;c++){if(a[c].compare&&!a[c].compare(b[c]))return!1;if(a[c]!==b[c])return!1}return!0}// BUILD FILTER ARRAY(S)
function g(b){// CLEAN FILTER STRING
b=b.replace(/\s{2,}/g," ");// FOR EACH PEROID SEPERATED CLASS NAME, ADD STRING TO FILTER ARRAY
var c=b.split(" ");// IF ALL, REPLACE WITH MIX_ALL
return a.each(c,function(a){"all"==this&&(c[a]="mix_all")}),""==c[0]&&c.shift(),c}}(jQuery);