/*! Respond.js v1.4.0: min/max-width media query polyfill. (c) Scott Jehl. MIT Lic. j.mp/respondjs  */
!function(a){"use strict";//exposed namespace
var b={};a.respond=b,//define update even in native-mq-supporting browsers, to avoid errors
b.update=function(){};//define ajax obj
var c=[],d=function(){var b=!1;try{b=new a.XMLHttpRequest}catch(c){b=new a.ActiveXObject("Microsoft.XMLHTTP")}return function(){return b}}(),//tweaked Ajax functions from Quirksmode
e=function(a,b){var c=d();c&&(c.open("GET",a,!0),c.onreadystatechange=function(){4!==c.readyState||200!==c.status&&304!==c.status||b(c.responseText)},4!==c.readyState&&c.send(null))};//if media queries are supported, exit here
if(//expose for testing
b.ajax=e,b.queue=c,// expose for testing
b.regex={media:/@media[^\{]+\{([^\{\}]*\{[^\}\{]*\})+/gi,keyframes:/@(?:\-(?:o|moz|webkit)\-)?keyframes[^\{]+\{(?:[^\{\}]*\{[^\}\{]*\})+[^\}]*\}/gi,urls:/(url\()['"]?([^\/\)'"][^:\)'"]+)['"]?(\))/g,findStyles:/@media *([^\{]+)\{([\S\s]+?)$/,only:/(only\s+)?([a-zA-Z]+)\s?/,minw:/\([\s]*min\-width\s*:[\s]*([\s]*[0-9\.]+)(px|em)[\s]*\)/,maxw:/\([\s]*max\-width\s*:[\s]*([\s]*[0-9\.]+)(px|em)[\s]*\)/},//expose media query support flag for external use
b.mediaQueriesSupported=a.matchMedia&&null!==a.matchMedia("only all")&&a.matchMedia("only all").matches,!b.mediaQueriesSupported){//define vars
var f=a.document,g=f.documentElement,h=[],i=[],j=[],k={},l=30,m=f.getElementsByTagName("head")[0]||g,n=f.getElementsByTagName("base")[0],o=m.getElementsByTagName("link"),p,q,//cached container for 1em value, populated the first time it's needed
r,// returns the value of 1em in pixels
s=function(){var a,b=f.createElement("div"),c=f.body,d=g.style.fontSize,e=c&&c.style.fontSize,h=!1;// 1em in a media query is the value of the default font size of the browser
// reset docElem and body to ensure the correct value is returned
// restore the original values
//also update eminpx before returning
return b.style.cssText="position:absolute;font-size:1em;width:1em",c||(c=h=f.createElement("body"),c.style.background="none"),g.style.fontSize="100%",c.style.fontSize="100%",c.appendChild(b),h&&g.insertBefore(c,g.firstChild),a=b.offsetWidth,h?g.removeChild(c):c.removeChild(b),g.style.fontSize=d,e&&(c.style.fontSize=e),a=r=parseFloat(a)},//enable/disable styles
t=function(b){var c="clientWidth",d=g[c],e="CSS1Compat"===f.compatMode&&d||f.body[c]||d,k={},n=o[o.length-1],u=(new Date).getTime();//throttle resize calls
if(b&&p&&l>u-p)return a.clearTimeout(q),void(q=a.setTimeout(t,l));p=u;for(var v in h)if(h.hasOwnProperty(v)){var w=h[v],x=w.minw,y=w.maxw,z=null===x,A=null===y,B="em";x&&(x=parseFloat(x)*(x.indexOf(B)>-1?r||s():1)),y&&(y=parseFloat(y)*(y.indexOf(B)>-1?r||s():1)),// if there's no media query at all (the () part), or min or max is not null, and if either is present, they're true
w.hasquery&&(z&&A||!(z||e>=x)||!(A||y>=e))||(k[w.media]||(k[w.media]=[]),k[w.media].push(i[w.rules]))}//remove any existing respond style element(s)
for(var C in j)j.hasOwnProperty(C)&&j[C]&&j[C].parentNode===m&&m.removeChild(j[C]);j.length=0;//inject active styles, grouped by media type
for(var D in k)if(k.hasOwnProperty(D)){var E=f.createElement("style"),F=k[D].join("\n");E.type="text/css",E.media=D,//originally, ss was appended to a documentFragment and sheets were appended in bulk.
//this caused crashes in IE in a number of circumstances, such as when the HTML element had a bg image set, so appending beforehand seems best. Thanks to @dvelyk for the initial research on this one!
m.insertBefore(E,n.nextSibling),E.styleSheet?E.styleSheet.cssText=F:E.appendChild(f.createTextNode(F)),//push to appendedEls to track for later removal
j.push(E)}},//find media blocks in css text, convert to style blocks
u=function(a,c,d){var e=a.replace(b.regex.keyframes,"").match(b.regex.media),f=e&&e.length||0;//try to get CSS path
c=c.substring(0,c.lastIndexOf("/"));var g=function(a){return a.replace(b.regex.urls,"$1"+c+"$2$3")},j=!f&&d;//if path exists, tack on trailing slash
c.length&&(c+="/"),//if no internal queries exist, but media attr does, use that
//note: this currently lacks support for situations where a media attr is specified on a link AND
//its associated stylesheet has internal CSS media queries.
//In those cases, the media attribute will currently be ignored.
j&&(f=1);for(var k=0;f>k;k++){var l,m,n,o;//media attr
j?(l=d,i.push(g(a))):(l=e[k].match(b.regex.findStyles)&&RegExp.$1,i.push(RegExp.$2&&g(RegExp.$2))),n=l.split(","),o=n.length;for(var p=0;o>p;p++)m=n[p],h.push({media:m.split("(")[0].match(b.regex.only)&&RegExp.$2||"all",rules:i.length-1,hasquery:m.indexOf("(")>-1,minw:m.match(b.regex.minw)&&parseFloat(RegExp.$1)+(RegExp.$2||""),maxw:m.match(b.regex.maxw)&&parseFloat(RegExp.$1)+(RegExp.$2||"")})}t()},//recurse through request queue, get css text
v=function(){if(c.length){var b=c.shift();e(b.href,function(c){u(c,b.href,b.media),k[b.href]=!0,// by wrapping recursive function call in setTimeout
// we prevent "Stack overflow" error in IE7
a.setTimeout(function(){v()},0)})}},//loop stylesheets, send text content to translate
w=function(){for(var b=0;b<o.length;b++){var d=o[b],e=d.href,f=d.media,g=d.rel&&"stylesheet"===d.rel.toLowerCase();//only links plz and prevent re-parsing
e&&g&&!k[e]&&(// selectivizr exposes css through the rawCssText expando
d.styleSheet&&d.styleSheet.rawCssText?(u(d.styleSheet.rawCssText,e,f),k[e]=!0):(!/^([a-zA-Z:]*\/\/)/.test(e)&&!n||e.replace(RegExp.$1,"").split("/")[0]===a.location.host)&&(// IE7 doesn't handle urls that start with '//' for ajax request
// manually add in the protocol
"//"===e.substring(0,2)&&(e=a.location.protocol+e),c.push({href:e,media:f})))}v()};//translate CSS
w(),//expose update for re-running respond later on
b.update=w,//expose getEmValue
b.getEmValue=s;//adjust on resize
function x(){t(!0)}a.addEventListener?a.addEventListener("resize",x,!1):a.attachEvent&&a.attachEvent("onresize",x)}}(this);