<?php

$this->sections['Images'] = array(
	'title' => __( 'Images', 'intense' ),
	'icon' => 'el-icon-picture',
	'icon_class' => 'icon-large',
	'fields' => array(		
		array(
			'id'=>'intense_missing_image',
			'type' => 'media',
			'url'=> true,
			'title' => __( "Missing Image", "intense" ),
			'subtitle'=> __( "Upload an image to show when an image hasn't been set or is unavailable.", "intense" ),
			'default'=>array( 'url'=> INTENSE_PLUGIN_URL . "/assets/img/missing_image.png" ),
		),
		array(
			'id' => 'intense_active_image_sizes',
			'type' => 'checkbox',
			'title' => __( 'Active Image Sizes', 'intense' ),
			'subtitle' => __( "Turn <strong>On</strong> or <strong>Off</strong> registered image sizes.<br />
				When saved, unchecked image sizes will have the registered size removed<br />
				This does not include Custom Image Sizes that are created above.", "intense" ),
			'options' => array(
				'square75' => 'Square 75 (75x75)',
				'square150' => 'Square 150 (150x150)',
				'square400' => 'Square 400 (400x400)',
				'small240' => 'Small 240 (240x160)',
				'small320' => 'Small 320 (320x213)',
				'medium500' => 'Medium 500 (500x333)',
				'medium640' => 'Medium 640 (640x427)',
				'medium800' => 'Medium 800 (800x534)',
				'large1024' => 'Large 1024 (1024x683)',
				'large1600' => 'Large 1600 (1600x1067)',
				'large2048' => 'Large 2048 (2048x1365)',
				'portraitSmall' => 'Portrait Small (400x500)',
				'portraitMedium' => 'Portrait Medium (800x1000)',
				'portraitLarge' => 'Portrait Large (1600x2000)',
				'postWide' => 'Post Wide (940x383)',
				'postExtraWide' => 'Post Extra Wide (1410x575)',
				'postFull' => 'Post Full (940x623)',
			),
			'default' => array(
				'square75' => '1',
				'square150' => '1',
				'square400' => '1',
				'small240' => '1',
				'small320' => '1',
				'medium500' => '1',
				'medium640' => '1',
				'medium800' => '1',
				'large1024' => '1',
				'large1600' => '1',
				'large2048' => '1',
				'portraitSmall' => '1',
				'portraitMedium' => '1',
				'portraitLarge' => '1',
				'postWide' => '1',
				'postExtraWide' => '1',
				'postFull' => '1',
			)
		),
		array(
			'id'=>'intense_custom_image_sizes',
			'type' => 'multi_text',
			'title' => __( 'Custom Image Sizes', 'intense' ),
			'desc' => __( 'Example:<br />940|400|postWide|true<br />600|600|square600|true', 'intense' ),
			'subtitle' => __( 'Create your own custom image sizes. The thumbnails will automatically be generated when the image size is used by an Intense shortcode.<br /><br />
				First Parameter: Image Width (number only)<br />
     			Second Parameter: Image Height (number only)<br />
     			Third Parameter: Name (no spaces or special characters)<br />
     			Fourth Parameter: Crop (true or false)', 'intense' )
		),
		array(
			'id'=>'intense_register_image_sizes',
			'type' => 'switch',
			'title' => __( "Register Image Sizes with WordPress", "intense" ),
			'desc' => __( "WARNING: turning this on may result in a lot of image thumbnails in your uploads folder.<br><br>When disabled, the image sizes won't be registered with WordPress. When used in the shortcodes, the image thumbnail sizes will be created on-the-fly. <br><br>With this enabled, WordPress will create all the image thumbnails for new images.<br><br>You may need to use a plugin to regenerate the thumbnails. We recommend <a href='https://wordpress.org/plugins/force-regenerate-thumbnails/'>Force Regenerate Thumbnails</a>.", "intense" ),
			'default' => 0,
		),
	)
);
