<?php

global $wp_roles;

if ( ! isset( $wp_roles ) )
    $wp_roles = new WP_Roles();

$roles = $wp_roles->get_names();

$this->sections['Shortcodes'] = array(
	'title' => __( 'Shortcodes', 'intense' ),
	'icon' => 'el-icon-wrench',
	'icon_class' => 'icon-large',
	'fields' => array(
		'intense_active_shortcodes' => array(
			'id' => 'intense_active_shortcodes',
			'type' => 'checkbox',
			'title' => __( 'Active Shortcodes', 'intense' ),
			"subtitle" => __( "Turn <strong>On</strong> or <strong>Off</strong> individual shortcodes. Some shortcodes may have another related shortcode (ex. Definitions and Definition). Shortcodes that are tied to custom post types need to have the custom post type enabled as well.", "intense" ),
			'options' => array(
			),
			'default' => array(				
			)
		),
		'intense_shortcode_css' => array(
			'id'=>'intense_shortcode_css',
			'type' => 'checkbox',
			'title' => __( 'Shortcode CSS', 'intense' ),
			"subtitle" => __( "Turn <strong>On</strong> or <strong>Off</strong> the built-in shortcode css styling. If turned <strong>Off</strong>, you will need to manually add the css code or rely on the theme for styling. You can manually change the CSS code within the <strong>CSS Code</strong> option.", "intense" ),
			"options"  => array(
				'shadow' => 'Shadow',
			),
			'default' => array(
				'shadow' => '1',
			)
		),
		array(
			'id'=>'intense_show_shortcodes_button',
			'type' => 'checkbox',
			'title' => __( 'Show "Shortcodes" Button', 'intense' ),
			'subtitle' => __( 'These user roles can see the "Shortcodes" button on Pages and Posts.', 'intense' ),
			'options' => $roles,
			'default' => array( 'administrator' => 1, 'editor' => 1, 'author' => 1, 'contributor' => 1, 'subscriber' => 1)
		),
		array(
			'id'=>'intense_hide_shortcodes_in_vc',
			'type' => 'switch',
			'title' => __( "Hide shortcodes in Visual Composer", "intense" ),
			'desc' => __( "Toggle this field if you want to hide Intense shortcodes in Visual Composer (ON will hide the shortcodes and OFF will show the shortcodes - OFF is default) The use of the shortcodes in the Visual Composer Text Box will still work.", "intense" ),
			'default' => 0,
		),

		array(
			'id'=>'intense_content_section',
			'type' => 'info',
			'class' => 'intense-header',
			'desc' => __( 'Content Section', 'intense' ),
		),
		array(
			'id' => 'intense_content_section_box_class',
			'title' => __( 'Box Class', 'intense' ),
			"desc"   => __( "Set the theme specific css class name to apply to the boxed section of the content section.<br><br>When using the content section size of <strong>fullboxed</strong> or <strong>partial</strong>, this class will be applied to the content's surrounding container. This may be left blank if the theme uses <strong>container</strong> as it's css class for boxed content or if the theme doesn't require an additional css class.", "intense" ),
			'type' => 'text',
			'default' => ''
		),
		array(
			'id'=>'intense_content_section_breakout',
			'type' => 'switch',
			'title' => __( 'Breakout by Default', 'intense' ),
			'desc' => __( "When enabled, the content section will attempt to break outside of its parent container. This is used to try to force the content section to be the full width of the page regardless of the theme.", "intense" ),
			'default' => '0'// 1 = on | 0 = off
		),
		array(
			'id'=>'intense_content_section_default_margin',
			'type' => 'spacing',
			'title' => __( 'Default Margin', 'intense' ),
			'mode'=>'margin',
			'default' => array( 'margin-top' => '0px', 'margin-right'=>"0px", 'margin-bottom' => '0px', 'margin-left'=>'0px' )
		),
		array(
			'id'=>'intense_content_section_default_padding',
			'type' => 'spacing',
			'title' => __( 'Default Padding', 'intense' ),
			'default' => array( 'padding-top' => '25px', 'padding-right'=>"0px", 'padding-bottom' => '25px', 'padding-left'=>'0px' )
		),

		array(
			'id'=>'intense_layout_row',
			'type' => 'info',
			'class' => 'intense-header',
			'desc' => __( 'Layout Row', 'intense' ),
		),
		array(
			'id'=>'intense_layout_row_default_margin',
			'type' => 'spacing',
			'title' => __( 'Default Margin', 'intense' ),
			'mode'=>'margin',
			'right' => false, // Disable the right
			//'bottom' => false, // Disable the bottom
			'left' => false, // Disable the left
			//'top' => false, // Disable the left
			//'all' => true, // Have one field that applies to all
			//'units' => 'px', // You can specify a unit value. Possible: px, em, %
			//'units_extended' => 'true', // Allow users to select any type of unit
			//'display_units' => false, // Set to false to hide the units if the units are specified
			'default' => array( 'margin-top' => '0px', 'margin-bottom' => '0px' )
		),
		array(
			'id'=>'intense_layout_row_default_padding',
			'type' => 'spacing',
			'title' => __( 'Default Padding', 'intense' ),
			'right' => false, // Disable the right
			//'bottom' => false, // Disable the bottom
			'left' => false, // Disable the left
			//'top' => false, // Disable the left
			//'all' => true, // Have one field that applies to all
			'units' => 'px', // You can specify a unit value. Possible: px, em, %
			//'units_extended' => 'true', // Allow users to select any type of unit
			//'display_units' => 'false', // Set to false to hide the units if the units are specified
			'default' => array( 'padding-top' => '30px', 'padding-right'=>"0px", 'padding-bottom' => '0px', 'padding-left'=>'0px' )
		),

		array(
			'id'=>'intense_content_box_section',
			'type' => 'info',
			'class' => 'intense-header',
			'desc' => __( 'Content Box', 'intense' ),
		),
		array(
			'id'=>'intense_content_box_style',
			'type' => 'border',
			'title' => __( "Style", "intense" ),
			'subtitle' => __( "The default style of a content box (default: 1px solid #a3a3a3).", "intense" ),
			//'output' => array('.site-header'), // An array of CSS selectors to apply this font style to
			//'desc' => __('This is the description field, again good for additional info.', 'intense'),
			'default' => array( 'border-color' => '#a3a3a3', 'border-style' => 'solid', 'border-top'=>'1px', 'border-right'=>'1px', 'border-bottom'=>'1px', 'border-left'=>'1px' )
		),		

		array(
			'id'=>'intense_mixitup',
			'type' => 'info',
			'class' => 'intense-header',
			'desc' => __( 'MixItUp', 'intense' ),
		),
		array(
			'id'=>'intense_mixitup_easing',
			'type' => 'select',
			'title' => __( 'Easing', 'intense' ),
			'subtitle' => __( 'Easing between transition<br />(default is smooth)', 'intense' ),
			"options" => array(
				"smooth" => __( "smooth", "intense" ),
				"snap"    => __( "snap", "intense" ),
				"windup"    => __( "windup", "intense" ),
				"windback" => __( "windback", "intense" )
			),
			'default' => array( 'smooth' )//See how std has changed? you also don't need to specify opts that are 0.
		),
		array(
			'id'=>'intense_mixitup_effects',
			'type' => 'checkbox',
			'title' => __( 'Effects', 'intense' ),
			'subtitle' => __( 'Transition Effects<br />(default is Fade, Scale)', 'intense' ),
			"options" => array(
				"fade"   => __( "Fade", "intense" ),
				"scale"  => __( "Scale", "intense" ),
				"rotateZ"   => __( "Rotate Z", "intense" ),
				"rotateX" => __( "Rotate X", "intense" ),
				"rotateY" => __( "Rotate Y", "intense" ),
				"blur"  => __( "Blur", "intense" ),
				"grayscale" => __( "Grayscale", "intense" )
			),
			'default' => array( 'fade' => 1, 'scale' => 1 )//See how std has changed? you also don't need to specify opts that are 0.
		),
		
	)
);
