<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'default' => 'slideleft',
		'options' => array(
			'slideleft' => __( 'Slide Left', 'intense' ),
			'slideright' => __( 'Slide Right', 'intense' ),
			'slideup' => __( 'Slide Up', 'intense' ),
			'slidedown' => __( 'Slide Down', 'intense' ),
			'scrollleft' => __( 'Scroll Left', 'intense' ),
			'scrollright' => __( 'Scroll Right', 'intense' ),
			'scrollup' => __( 'Scroll Up', 'intense' ),
			'scrolldown' => __( 'Scroll Down', 'intense' ),
		)
	),
	'image' => array(
		'type' => 'image',
		'title' => __( 'Image', 'intense' ),
		'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
		'skinnable' => false,
	),
	'imageid' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
	'imageurl' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
	'size' => array(
		'type' => 'image_size',
		'title' => __( 'Image Size', 'intense' )
	),	
	'anchor' => array(
		'type' => 'dropdown',
		'title' => __( 'Anchor', 'intense' ),
		'description' => __( 'position to anchor the image', 'intense' ),
		'default' => 'slideleft',
		'options' => array(
			'top' => __( 'Top (applies to Slide Left/Right)', 'intense' ),
			'bottom' => __( 'Bottom (applies to Slide Left/Right)', 'intense' ),
			'left' => __( 'Left (applies to Slide Up/Down)', 'intense' ),
			'right' => __( 'Right (applies to Slide Up/Down)', 'intense' ),
			'middle' => __( 'Middle (applies to Slide Left/Right/Up/Down)', 'intense' ),
		),
		'class' => 'slidesettings'
	),
	'height' => array(
		'type' => 'text',
		'title' => __( 'Height', 'intense' ),
		'description' => __( 'measured in pixels', 'intense' ),
		'class' => 'scrollsettings'
	),
	'width' => array(
		'type' => 'text',
		'title' => __( 'Width', 'intense' ),
		'description' => __( 'measured in pixels', 'intense' ),
		'class' => 'scrollsettings'
	),
	'speed' => array(
		'type' => 'text',
		'title' => __( 'Speed', 'intense' ),
		'description' => __( 'measured in milliseconds', 'intense' ),
		'default' => 30
	),
	'zindex' => array(
		'type' => 'hidden',
		'description' => __( 'z-index', 'intense' ),
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
