<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'type' => array(
		'type' => 'animation',
		'title' => __( 'Animation', 'intense' ),
		'placeholder' => __( 'Select an animation', 'intense' ),
	),
	'trigger' => array(
		'type' => 'dropdown',
		'title' => __( 'Trigger', 'intense' ),
		'description' => __( '<strong>scroll</strong> - triggered when the user scrolls their browser window<br><strong>hover</strong> - triggered when the user\'s mouse hovers over the item<br><strong>click</strong> - triggered when the user clicks on an item<br><strong>delay</strong> - triggered after a given number of milliseconds', 'intense' ),
		'default' => 'scroll',
		'options' => array(
			'scroll' => __( 'Scroll', 'intense' ),
			'hover' => __( 'Hover', 'intense' ),
			'click' => __( 'Click', 'intense' ),
			'delay' => __( 'Delay', 'intense' )
		),
	),
	'trigger_client_id' => array(
		'type' => 'text',
		'title' => __( 'Trigger Client ID', 'intense' ),
		'description' => __( 'animate when an html element with this id is triggered (optional)', 'intense' ),
		'class' => 'triggeridsettings',
		'skinnable' => false
	),
	'scroll_percent' => array(
		'type' => 'dropdown',
		'title' => __( 'Scroll Percentage', 'intense' ),
		'description' => __( 'animate when <span id="scrollpercentagevalue"></span>% of item is in view', 'intense' ),
		'options' => array(
			'0' => '0',
			'10' => '10',
			'20' => '20',
			'30' => '30',
			'40' => '40',
			'50' => '50',
			'60' => '60',
			'70' => '70',
			'80' => '80',
			'90' => '90',
			'100' => '100'
		),
		'default' => '10',
		'class' => 'scrollpercentagesettings'
	),
	'delay' => array(
		'type' => 'text',
		'title' => __( 'Delay', 'intense' ),
		'description' => __( 'Number of milliseconds to wait before triggering the animation. For the delay trigger, this is the number of milliseconds after the page loads. For all other triggers, this is the number of milliseconds after the trigger occurs.', 'intense' ),
		'default' => 0
	),
	'reset' => array(
		'type' => 'text',
		'title' => __( 'Reset', 'intense' ),
		'description' => __( 'Number of milliseconds to wait before resetting the animation. Leave blank to not reset.', 'intense' ),
		'class' => 'clicksetttings',
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
