<?php

$this->fields = array(
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'the client-side id (optional)', 'intense' ),
				'skinnable' => false
			),
			'color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
				'default' => 'primary'
			),
			'font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Font Color', 'intense' ),
				'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
			),			
			'hover_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Hover Color', 'intense' ),
			),
			'hover_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Hover Font Color', 'intense' ),
				'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
			),
			'hover_brightness' => array(
				'type' => 'text',
				'title' => __( 'Hover Brightness', 'intense' ),
				'default' => -20,
				'description' => __( 'If no hover color is set, this is the amount of brightness to automatically adjust the button when the mouse is hovered over. A positive number will make it lighter and a negative number darker.', 'intense' ),
			),
			'size' => array(
				'type' => 'dropdown',
				'title' => __( 'Size', 'intense' ),
				'default' => 'default',
				'options' => array(
					'default' => __( 'default', 'intense' ),
					'mini' => __( 'mini', 'intense' ),
					'small' => __( 'small', 'intense' ),
					'medium' => __( 'medium', 'intense' ),
					'large' => __( 'large', 'intense' )
				)
			),
			'align' => array(
				'type' => 'dropdown',
				'title' => __( 'Align', 'intense' ),
				'options' => array(
					'' => __( 'No Alignment', 'intense' ),
					'left' => __( 'Left', 'intense' ),
					'center' => __( 'Center', 'intense' ),
					'right' => __( 'Right', 'intense' ),
				),
				'default' => ''
			),
			'font_size' => array(
				'type' => 'text',
				'title' => __( 'Font Size', 'intense' ),
				'description' => __( 'Leave blank for default size. The size of the button can be manually changed by setting the font size and padding.', 'intense' ),
			),
			'text_transform' => array(
				'type' => 'dropdown',
				'title' => __( 'Text Transform', 'intense' ),
				'default' => 'none',
				'options' => array(
					'none' => __( 'None', 'intense' ),
					'capitalize' => __( 'Capitalize', 'intense' ),
					'uppercase' => __( 'Uppercase', 'intense' ),
					'lowercase' => __( 'Lowercase', 'intense' ),
					'initial' => __( 'Initial', 'intense' ),
					'inherit' => __( 'Inherit', 'intense' )
				)
			),
			'link' => array(
				'type' => 'text',
				'title' => __( 'Link', 'intense' ),
				'description' => __( 'URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
				'skinnable' => false
			),
			'target' => array(
				'type' => 'link_target',
				'title' => __( 'Link Target', 'intense' ),
			),		
			'title' => array(
				'type' => 'text',
				'title' => __( 'Title', 'intense' ),
				'description' => __( 'title to show when the mouse is hovered over the button', 'intense' ),
				'skinnable' => false
			),
			'rel' => array(
				'type' => 'rel',
				'title' => __( 'Rel', 'intense' ),
			),						
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			),
			'gradient' => array(
				'type' => 'checkbox',
				'title' => __( 'Gradient', 'intense' ),
			),
			'block' => array(
				'type' => 'checkbox',
				'title' => __( 'Block', 'intense' ),
			),
			'angle_3d' => array(
				'type' => 'dropdown',
				'title' => __( '3D Angle', 'intense' ),
				'default' => '-1',
				'options' => array(
					'-1' => 'None',
					'0' => '0',
					'45' => '45',
					'90' => '90',
					'135' => '135',
					'180' => '180',
					'225' => '225',
					'270' => '270',
					'315' => '315'
				)
			),
			'size_3d' => array(
				'type' => 'text',
				'title' => __( '3D Size', 'intense' ),
				'default' => '3',
				'class' => '3dsettings'
			),
			'hover_size_3d' => array(
				'type' => 'text',
				'title' => __( 'Hover 3D Size', 'intense' ),
				'class' => '3dsettings'
			),
		)
	),
	'border_tab' => array(
		'type' => 'tab',
		'title' => __( 'Border', 'intense' ),
		'fields' =>  array(
			'border' => array(
				'type' => 'border',
				'title' => __( 'All Borders', 'intense' ),
			),
			'border_top' => array(
				'type' => 'border',
				'title' => __( 'Top Border', 'intense' ),
			),
			'border_right' => array(
				'type' => 'border',
				'title' => __( 'Right Border', 'intense' ),
			),
			'border_bottom' => array(
				'type' => 'border',
				'title' => __( 'Bottom Border', 'intense' ),
			),
			'border_left' => array(
				'type' => 'border',
				'title' => __( 'Left Border', 'intense' ),
			),
			'hover_border' => array(
				'type' => 'border',
				'title' => __( 'All Hover Borders', 'intense' ),
			),
			'hover_border_top' => array(
				'type' => 'border',
				'title' => __( 'Top Hover Border', 'intense' ),
			),
			'hover_border_right' => array(
				'type' => 'border',
				'title' => __( 'Right Hover Border', 'intense' ),
			),
			'hover_border_bottom' => array(
				'type' => 'border',
				'title' => __( 'Bottom Hover Border', 'intense' ),
			),
			'hover_border_left' => array(
				'type' => 'border',
				'title' => __( 'Left Hover Border', 'intense' ),
			),
			'border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
			),
			'hover_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Hover Border Radius', 'intense' ),
			),
		)
	),
	'padding_tab' => array(
		'type' => 'tab',
		'title' => __( 'Padding', 'intense' ),
		'fields' =>  array(
			'padding_top' => array(
				'type' => 'text',
				'title' => __( 'Padding Top', 'intense' ),
			),
			'padding_bottom' => array(
				'type' => 'text',
				'title' => __( 'Padding Bottom', 'intense' ),
			),
			'padding_left' => array(
				'type' => 'text',
				'title' => __( 'Padding Left', 'intense' ),
			),
			'padding_right' => array(
				'type' => 'text',
				'title' => __( 'Padding Right', 'intense' ),
			),
		)
	),
	'icon_tab' => array(
		'type' => 'tab',
		'title' => __( 'Icon', 'intense' ),
		'fields' =>  array(
			'icon_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Icon Source', 'intense' ),
				'default' => 'font-awesome'
			),
			'icon' => array(
				'type' => 'icon',
				'title' => __( 'Icon', 'intense' ),
				'class' => 'select2'
			),
			'icon_position' => array(
				'type' => 'dropdown',
				'title' => __( 'Icon Position', 'intense' ),
				'default' => 'left',
				'options' => array(
					'left' => __( 'left', 'intense' ),
					'right' => __( 'right', 'intense' ),
				)
			),
		)
	)
);
