<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'default' => 'line',
		'options' => array(
			'line' => __( 'Line', 'intense' ),
			'bar' => __( 'Bar', 'intense' ),
			'radar' => __( 'Radar', 'intense' ),
			'polararea' => __( 'Polar Area', 'intense' ),
			'pie' => __( 'Pie', 'intense' ),
			'doughnut' => __( 'Doughnut', 'intense' )
		),
	),
	'width' => array(
		'type' => 'text',
		'title' => __( 'Width', 'intense' ),
		'description' => __( 'measured in pixels', 'intense' ),
		'default' => 400
	),
	'height' => array(
		'type' => 'text',
		'title' => __( 'Height', 'intense' ),
		'description' => __( 'measured in pixels', 'intense' ),
		'default' => 400
	),
	'text' => array(
		'type' => 'text',
		'title' => __( 'Text', 'intense' ),
		'skinnable' => false
	),
	'show_tooltips' => array(
		'type' => 'checkbox',
		'title' => __( 'Tooltips', 'intense' ),
		'default' => 0,
	),
	'tooltip_template' => array(
		'type' => 'text',
		'title' => __( 'Tooltip Template', 'intense' ),
		'default' => "<%if (label){%><%=label%>: <%}%><%= value %>",
	),
	'bezier' => array(
		'type' => 'checkbox',
		'title' => __( 'Bezier Curve', 'intense' ),
		'default' => 1,
		'class' => 'linesettings'
	),
	'show_points' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Point Dots', 'intense' ),
		'default' => 1,
		'class' => 'linesettings radarsettings'
	),
	'icon_source' => array(
		'type' => 'icon_source',
		'title' => __( 'Icon Source', 'intense' ),
		'default' => 'font-awesome'
	),
	'icon' => array(
		'type' => 'icon',
		'title' => __( 'Icon', 'intense' ),
	),
	'color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Text/Icon Color', 'intense' ),
	),
	'animation' => array(
		'type' => 'checkbox',
		'title' => __( 'Animated', 'intense' ),
		'default' => 1,
	),
	'animation_steps' => array(
		'type' => 'text',
		'title' => __( 'Animation Steps', 'intense' ),
		'default' => 60
	),
	'animation_easing' => array(
		'type' => 'dropdown',
		'title' => __( 'Animation Easing', 'intense' ),
		'default' => 'easeOutQuart',
		'options' => array(
			'linear' => 'linear',
			'easeInQuad' => 'easeInQuad',
			'easeOutQuad' => 'easeOutQuad',
			'easeInOutQuad' => 'easeInOutQuad',
			'easeInCubic' => 'easeInCubic',
			'easeOutCubic' => 'easeOutCubic',
			'easeInOutCubic' => 'easeInOutCubic',
			'easeInQuart' => 'easeInQuart',
			'easeOutQuart' => 'easeOutQuart',
			'easeInOutQuart' => 'easeInOutQuart',
			'easeInQuint' => 'easeInQuint',
			'easeOutQuint' => 'easeOutQuint',
			'easeInOutQuint' => 'easeInOutQuint',
			'easeInSine' => 'easeInSine',
			'easeOutSine' => 'easeOutSine',
			'easeInOutSine' => 'easeInOutSine',
			'easeInExpo' => 'easeInExpo',
			'easeOutExpo' => 'easeOutExpo',
			'easeInOutExpo' => 'easeInOutExpo',
			'easeInCirc' => 'easeInCirc',
			'easeOutCirc' => 'easeOutCirc',
			'easeInOutCirc' => 'easeInOutCirc',
			'easeInElastic' => 'easeInElastic',
			'easeOutElastic' => 'easeOutElastic',
			'easeInOutElastic' => 'easeInOutElastic',
			'easeInBack' => 'easeInBack',
			'easeOutBack' => 'easeOutBack',
			'easeInOutBack' => 'easeInOutBack',
			'easeInBounce' => 'easeInBounce',
			'easeOutBounce' => 'easeOutBounce',
			'easeInOutBounce' => 'easeInOutBounce',
		),
	),
	'labels' => array(
		'type' => 'text',
		'title' => __( 'Labels', 'intense' ),
		'description' => __( 'comma separated', 'intense' ),
		'skinnable' => false
	),
	'percentage_inner_cutout' => array(
		'type' => 'text',
		'title' => __( 'Inner Cutout', 'intense' ),
		'default' => 50
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
	'chart_data' => array(
		'type' => 'repeater',
		'title' => __( 'Data', 'intense' ),
		'fields' => array(
			'fill_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Fill Color', 'intense' ),
				'default' => 'rgba(220,220,220,0.5)'
			),
			'stroke_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Stroke Color', 'intense' ),
				'default' => 'rgba(220,220,220,1)'
			),
			'point_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Point Color', 'intense' ),
				'default' => 'rgba(220,220,220,1)'
			),
			'point_stroke_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Point Stroke Color', 'intense' ),
				'default' => '#ffffff'
			),
			'values' => array(
				'type' => 'text',
				'title' => __( 'Values', 'intense' ),
				'skinnable' => false
			),
			'colors' => array(
				'type' => 'text',
				'title' => __( 'Colors', 'intense' ),
				'skinnable' => false
			),
			'tooltips' => array(
				'type' => 'text',
				'title' => __( 'Tooltips', 'intense' ),
				'skinnable' => false
			),
		)
	),
);
