<?php

global $intense_visions_options;

$this->fields = array(
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'post_type' => array(
				'type' => 'post_type',
				'title' => __( 'Post Type', 'intense' ),
                'skinnable' => false
			),
			'taxonomy' => array(
				'type' => 'taxonomy',
				'category' => 'category',
				'title' => __( 'Taxonomy', 'intense' ),
				'class' => 'wpsettings timelinesettings',
                'skinnable' => false
			),
			'template' => array(
				'type' => 'dropdown',
				'title' => __( 'Template', 'intense' ),
				'default' => 'one'
			),
			'type' => array( 'type' => 'deprecated', 'description' => 'use template instead' ),
			'categories' => array(
				'type' => 'category',
				'category' => 'category',
				'title' => __( 'Category(s)', 'intense' ),
				'description' => __( 'By default, all categories will be shown.', 'intense' ),
				'class' => 'wpsettings timelinesettings',
				'skinnable' => false
			),
			'include_post_ids' => array(
				'type' => 'text',
				'title' => __( 'Include Post IDs', 'intense' ),
				'description' => __( 'Comma delimited list of post IDs for a set list of posts that you want to show. Leave blank to not limit posts shown.', 'intense' ),
				'class' => 'wpsettings timelinesettings',
				'skinnable' => false
			),
			'template_link' => array(
				'type' => 'dropdown',
				'title' => __( 'Template Link', 'intense' ),
				'default' => 'single',
				'skinnable' => false
			),
			'template_content' => array(
				'type' => 'dropdown',
				'title' => __( 'Template Content ', 'intense' ),
				'description' => __( 'Excerpt strips out html and shortcode tags while Content shows html. Full Post will show all of the content from the post.', 'intense' ),
				'default' => 'excerpt',
				'options' => array(
					'excerpt' => __( 'Excerpt', 'intense' ),
					'content' => __( 'Content', 'intense' ),
					'full_post' => __( 'Full Post Content', 'intense' ),
				),
				'class' => 'wpsettings timelinesettings'
			),
			'template_content_length' => array(
				'type' => 'text',
				'title' => __( 'Excerpt/Content Length', 'intense' ),
				'description' => __( "Number of words to be shown in the template. This doesn't apply to Full Post Content (above) or single posts.", 'intense' ),
				'class' => 'wpsettings timelinesettings'
			),
			'authors' => array(
				'type' => 'author',
				'title' => __( 'Author(s)', 'intense' ),
				'description' => __( 'By default, all authors will be shown', 'intense' ),
				'class' => 'wpsettings timelinesettings'
			),
			'order_by' => array(
				'type' => 'dropdown',
				'title' => __( 'Order By', 'intense' ),
				'default' => 'id',
				'options' => array(
					'id' => __( 'Post ID', 'intense' ),
					'author' => __( 'Author', 'intense' ),
					'title' => __( 'Title', 'intense' ),
					'date' => __( 'Date', 'intense' ),
					'menu_order' => __('Menu Order', 'intense' ),
					'modified' => __( 'Modified Date', 'intense' ),
					'rand' => __( 'Random Order', 'intense' ),
					'comment_count' => __( 'Comment Count', 'intense' ),
					'start_date' => __( 'Start Date', 'intense' ),
					'end_date' => __( 'End Date', 'intense' ),
					'release_date' => __( 'Release Date', 'intense' ),
					'post_date' => __( 'Job Post Date', 'intense' ),
					'expire_date' => __( 'Job Expire Date', 'intense' ),
					'theatrical_release' => __( 'Theatrical Release Date', 'intense' ),
					'dvd_release' => __( 'DVD Release Date', 'intense' ),
					'news_date' => __( 'News Date', 'intense' ),
				),
				'class' => 'wpsettings timelinesettings'
			),
			'order' => array(
				'type' => 'dropdown',
				'title' => __( 'Order', 'intense' ),
				'default' => 'desc',
				'options' => array(
					'desc' => __( 'Descending', 'intense' ),
					'asc' => __( 'Ascending', 'intense' ),
				),
				'class' => 'wpsettings timelinesettings'
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			),
		),
	),
	'display_tab' => array(
		'type' => 'tab',
		'title' => __( 'Display', 'intense' ),
		'fields' =>  array(
			'posts_per_page' => array(
				'type' => 'text',
				'title' => __( 'Posts Per Page', 'intense' ),
				'description' => __( 'Enter a number (default will be the value you have set in your settings)', 'intense' ),
				'class' => '',
				'default' => get_option( 'posts_per_page' ),
				'class' => 'wpsettings',
				'skinnable' => false
			),
			'post_count' => array(
				'type' => 'text',
				'title' => __( 'Post Count', 'intense' ),
				'description' => __( 'Enter a number to limit the number of posts shown (leave blank for all to be shown)', 'intense' ),
				'class' => 'wpsettings timelinesettings'
			),
			'infinite_scroll' => array(
				'type' => 'checkbox',
				'title' => __( 'Infinite Scroll', 'intense' ),
				'description' => __( 'Show all posts with infinite scroll', 'intense' ),
				'class' => 'wpsettings timelinesettings'
			),
			'show_all' => array(
				'type' => 'checkbox',
				'title' => __( 'Show All', 'intense' ),
				'description' => __( 'Show all on one page', 'intense' ),
				'class' => 'wpsettings'
			),
			'show_author' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Author Image', 'intense' ),
				'description' => __( 'Show author image (only shown on some templates - One Column for instance)', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'show_collapsible' => array(
				'type' => 'checkbox',
				'title' => __( 'Show As Collapsible', 'intense' ),
				'description' => __( 'Show template in a collapsible (currently only available for One Column templates)', 'intense' ),
				'default' => 0,
				'class' => 'wpsettings'
			),
			'show_social_sharing' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Social Sharing buttons', 'intense' ),
				'class' => 'wpsettings'
			),
			'show_addtocart' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Add-to-cart Button', 'intense' ),
				'class' => 'wpsettings woocommerce'
			),
			'show_read_more' => array(
				'type' => 'checkbox',
				'title' => __( 'Show "Read More" button', 'intense' ),
				'class' => 'wpsettings timelinesettings'
			),
			'read_more_text' => array(
            	'type' => 'text',
                'title' => __( '"Read More" Display Text', 'intense' ),
			    'description' => __( 'Only visible if Show "Read More" button above is checked.', 'intense' ),
				'default' => __( 'Read More', 'intense' ),
				'class' => 'wpsettings timelinesettings',
				'skinnable' => false
            ),
            'show_list_title' => array(
				'type' => 'checkbox',
				'title' => __( 'Show List Title', 'intense' ),
				'description' => __( 'Show a title heading above the post list.', 'intense' ),
				'default' => 0,
				'class' => 'wpsettings'
			),
			'list_title_text' => array(
            	'type' => 'text',
                'title' => __( 'List Title Text', 'intense' ),
			    'description' => __( 'Only visible if "Show List Title" is checked. Defaults to single category/tag title.', 'intense' ),
				'class' => 'wpsettings listtitlesettings',
				'skinnable' => false
            ),
            'list_title_link' => array(
            	'type' => 'text',
                'title' => __( 'List Title Link', 'intense' ),
			    'description' => __( 'Only visible if "Show List Title" is checked. Defaults to archive page for single category/tag title.', 'intense' ),
				'class' => 'wpsettings listtitlesettings',
				'skinnable' => false
            ),
			'show_total_count' => array(
				'type' => 'checkbox',
				'title' => __( 'List Title Total Count', 'intense' ),
				'description' => __( 'Within the list title, show the total number of posts.', 'intense' ),
				'default' => 0,
				'class' => 'wpsettings listtitlesettings'
			),
			'sticky_mode' => array(
				'type' => 'dropdown',
				'title' => __( 'Sticky Post Mode', 'intense' ),
				'description' => __( '<strong>top</strong> - Show the sticky posts at the top of the post lists.<br>
										<strong>inline</strong> - Show the sticky posts inline. Inline will also change the layout to highlight the sticky post.<br>
										<strong>ignore</strong> - Ignore the sticky setting and show the posts like non-sticky posts.', 'intense' ),
				'default' => 'top',
				'options' => array(
					'ignore' => __( 'Ignore', 'intense' ),
					'inline' => __( 'Inline', 'intense' ),
					'top' => __( 'Top', 'intense' ),
				)
			),
			'timeline_mode' => array(
				'type' => 'dropdown',
				'title' => __( 'Mode', 'intense' ),
				'default' => 'dual',
				'options' => array(
					'dual' => __( 'Dual', 'intense' ),
					'left' => __( 'Left', 'intense' ),
					'right' => __( 'Right', 'intense' ),
					'center' => __( 'Center', 'intense' ),
				),
				'class' => 'timelinesettings'
			),
			'timeline_layout' => array( 'type' => 'deprecated', 'description' => 'use template/timeline_mode instead' ),
			'timeline_order' => array( 'type' => 'deprecated', 'description' => 'use template/timeline/order instead' ),
			'timeline_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Timeline Border Radius', 'intense' ),
				'class' => 'timelinesettings'
			),
			'timeline_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
				'description' => __( 'Background color of timeline events' , 'intense' ),
				'default' => '#efefef',
				'class' => 'timelinesettings'
			),
			'timeline_showyear' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Year', 'intense' ),
				'description' => __( 'Show year in timeline', 'intense' ),
				'default' => 1,
				'class' => 'timelinesettings'
			),
			'timeline_readmore' => array( 'type' => 'deprecated', 'description' => 'use show_read_more and read_more_text instead' ),
			'use_current_wpquery' => array(
				'type' => 'hidden',
				'title' => __( 'Use Current WP Query', 'intense' ),
				'description' => __( 'Use the current query from the loop', 'intense' ),
			)
		),
	),
	'metadata_tab' => array(
		'type' => 'tab',
		'title' => __( 'Meta', 'intense' ),
		'fields' => array(
			'show_meta' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Meta', 'intense' ),
				'description' => __( 'Show post meta information (post date, comment count, category, and author)', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'meta_template' => array(
				'type' => 'template',
				'title' => __( 'Template', 'intense' ),
				'description' => __( 'the template files should be located in the intense_templates/metadata/ folder in your theme or child theme.', 'intense' ),
				'path' => '/metadata/',
				'default' => 'icons_text',
				'class' => 'wpsettings'
			),
			'meta_show_comments' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Comments', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'meta_show_author' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Author', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'meta_show_categories' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Categories', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'meta_show_tags' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Tags', 'intense' ),
				'class' => 'wpsettings'
			),
			'meta_show_date' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Date', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'meta_date_format' => array(
				'type' => 'text',
				'title' => __( 'Date Format', 'intense' ),
				'description' => __( 'If empty, the \'Date Format\' on Settings > General panel will be used. See <a href="http://codex.wordpress.org/Formatting_Date_and_Time" target="_blank">Formatting Date and Time</a>', 'intense' ),
				'class' => 'wpsettings'
			),
		)
	),
	'filter_tab' => array(
		'type' => 'tab',
		'title' => __( 'Filter', 'intense' ),
		'fields' =>  array(
			'show_filter' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Filter', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'filter_all_text' => array(
            	'type' => 'text',
                'title' => __( 'Filter All Display Text', 'intense' ),
				'default' => __( 'All', 'intense' ),
				'class' => 'wpsettings filtersettings',
				'skinnable' => false
            ),
			'filter_easing' => array(
				'type' => 'dropdown',
				'title' => __( 'Filter Easing', 'intense' ),
				'options' => array(
					'' => __( 'Select a Filter', 'intense' ),
					'smooth' => __( 'Smooth', 'intense' ),
					'snap' => __( 'Snap', 'intense' ),
					'windup' => __( 'Wind Up', 'intense' ),
					'windback' => __( 'Wind Back', 'intense' ),
				),
				'class' => 'wpsettings filtersettings'
			),
			'filter_effects' => array(
				'type' => 'dropdown',
				'title' => __( 'Filter Effects', 'intense' ),
				'default' => 'fade,scale',
				'description' => __( 'Transition effects, default is Fade and Scale', 'intense' ),
				'multiple' => true,
				'options' => array(
					'fade' => __( 'Fade', 'intense' ),
					'scale' => __( 'Scale', 'intense' ),
					'rotateX' => __( 'Rotate X', 'intense' ),
					'rotateY' => __( 'Rotate Y', 'intense' ),
					'rotateZ' => __( 'Rotate Z', 'intense' ),
					'blur' => __( 'Blur', 'intense' ),
					'grayscale' => __( 'Grayscale', 'intense' ),
				),
				'class' => 'wpsettings filtersettings'
			)
		)
	),
	'animation_tab' => array(
		'type' => 'tab',
		'title' => __( 'Animation', 'intense' ),
		'fields' =>  array(
			'animation_type' => array(
				'type' => 'animation',
				'title' => __( 'Animation', 'intense' ),
				'placeholder' => __( 'Select an animation', 'intense' ),
				'class' => 'wpsettings timelinesettings'
			),
            'animation_trigger' => array(
            	'type' => 'dropdown',
                'title' => __( 'Animation Trigger', 'intense' ),
                'default' => 'scroll',
				'options' => array(
					'scroll' => __( 'Scroll', 'intense' ),
					'hover' => __( 'Hover', 'intense' ),
					'click' => __( 'Click', 'intense' ),
					'delay' => __( 'Delay', 'intense' )
				),
				'class' => 'wpsettings timelinesettings'
            ),
            'animation_scroll_percent' => array(
            	'type' => 'dropdown',
                'title' => __( 'Scroll Percentage', 'intense' ),
				'description' => __( 'animate when <span id="scrollpercentagevalue"></span>% of item is in view', 'intense' ),
				'options' => array(
					'0' => '0',
					'10' => '10',
					'20' => '20',
					'30' => '30',
					'40' => '40',
					'50' => '50',
					'60' => '60',
					'70' => '70',
					'80' => '80',
					'90' => '90',
					'100' => '100'
				),
				'default' => '10',
				'class' => 'wpsettings timelinesettings'
            ),
            'animation_delay' => array(
            	'type' => 'text',
                'title' => __( 'Animation Delay', 'intense' ),
				'description' => __( 'amount in milliseconds', 'intense' ),
				'default' => 0,
				'class' => 'wpsettings timelinesettings'
            )
		)
	),
	'exclude_tab' => array(
		'type' => 'tab',
		'title' => __( 'Exclude', 'intense' ),
		'fields' =>  array(
			'exclude_categories' => array(
				'type' => 'category',
				'category' => 'category',
				'title' => __( 'Exclude Category(s)', 'intense' ),
				'description' => __( 'Select categories that you do not want to show.', 'intense' ),
				'class' => 'wpsettings timelinesettings'
			),
			'exclude_post_ids' => array(
				'type' => 'text',
				'title' => __( 'Exclude Post IDs', 'intense' ),
				'description' => __( 'Comma delimited list of post IDs that you do not want to show.', 'intense' ),
				'class' => 'wpsettings timelinesettings',
				'skinnable' => false
			)
		)
	),
	'image_tab' => array(
		'type' => 'tab',
		'title' => __( 'Image', 'intense' ),
		'fields' =>  array(
			'image_size' => array(
				'type' => 'image_size',
				'title' => __( 'Image Size', 'intense' ),
				'default' => 'postFull'
			),
			'show_images' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Images', 'intense' ),
				'description' => __( 'Show or hide images.', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'show_missing_image' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Missing', 'intense' ),
				'description' => __( 'Show missing image if no image is set.', 'intense' ),
				'class' => 'wpsettings'
			),
			'show_only_first_image' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Only First', 'intense' ),
				'description' => __( 'Show only the first image from featured image and gallery', 'intense' ),
				'class' => 'wpsettings'
			),
			'image_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
				'class' => 'wpsettings timelinesettings'
			),
			'hover_effect_type' => array(
				'type' => 'dropdown',
				'title' => __( 'Hover Effect Type', 'intense' ),
				'options' => array(
					'effeckt' => __( 'Effeckt', 'intense' ),
					'subtle' => __( 'Subtle', 'intense' ),
				),
				'default' => 'effeckt',
				'class' => 'wpsettings'
			),
			'hover_effect' => array(
				'type' => 'dropdown',
				'title' => __( 'Hover Effect', 'intense' ),
				'options' => array(
					'' => __( 'Select an effect', 'intense' ),
					'1' => __( 'Appear', 'intense' ),
					'2' => __( 'Slide Up', 'intense' ),
					'3' => __( 'Sqkwoosh', 'intense' ),
					'4' => __( 'Slide Side', 'intense' ),
					'5' => __( 'Cover', 'intense' ),
					'6' => __( 'Fall In', 'intense' ),
					'7' => __( 'Two-Step', 'intense' ),
					'8' => __( 'Move', 'intense' ),
					'9' => __( 'Scale', 'intense' ),
					'10' => __( 'Flip', 'intense' ),
				),
				'default' => '',
				'class' => 'wpsettings effecktsettings'
			),
			'hover_effect_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Effect Color', 'intense' ),
				'description' => __( 'Hover effect background color.' , 'intense' ),
				'default' => '#efefef',
				'class' => 'wpsettings effecktsettings'
			),
			'hover_effect_opacity' => array(
				'type' => 'text',
				'title' => __( 'Effect Opacity', 'intense' ),
				'default' => 80,
				'description' => __( '0 - 100: hover effect background opacity', 'intense' ),
				'class' => 'wpsettings effecktsettings'
			),
			'subtle_effect' => array(
				'type' => 'dropdown',
				'title' => __( 'Subtle Effect', 'intense' ),
				'options' => array(
					'' => __( 'Select an effect', 'intense' ),
					'apollo' => 'Apollo',
					'bubba' => 'Bubba',
					'chico' => 'Chico',
					'dexter' => 'Dexter',
					'duke' => 'Duke',
					'goliath' => 'Goliath',
					'hera' => 'Hera',
					'honey' => 'Honey',
					'jazz' => 'Jazz',
					'julia' => 'Julia',
					'kira' => 'Kira',
					'layla' => 'Layla',
					'lexi' => 'Lexi',
					'lily' => 'Lily',
					'marley' => 'Marley',
					'milo' => 'Milo',
					'ming' => 'Ming',
					'moses' => 'Moses',
					'oscar' => 'Oscar',
					'phoebe' => 'Phoebe',
					'romeo' => 'Romeo',
					'roxy' => 'Roxy',
					'ruby' => 'Ruby',
					'sadie' => 'Sadie',
					'sarah' => 'Sarah',
					'selena' => 'Selena',
					'steve' => 'steve',
					'terry' => 'Terry',
					'winston' => 'Winston',
					'zoe' => 'Zoe'
				),
				'default' => '',
				'class' => 'wpsettings subtlesettings'
			),
			'image_shadow' => array(
				'type' => 'shadow',
				'title' => __( 'Shadow', 'intense' ),
				'class' => 'wpsettings'
			)
		)
	),
	'owlslider_tab' => array(
		'type' => 'tab',
		'title' => __( 'Slider', 'intense' ),
		'class' => 'owlslidersettings',
		'fields' =>  array(
			'is_slider' => array(
				'type' => 'checkbox',
				'title' => __( 'Slider', 'intense' ),
			),
			'slide_padding_right' => array(
				'type' => 'text',
				'title' => __( 'Slide Padding Right', 'intense' ),
				'default' => 15,
			),
			'items' => array(
				'type' => 'text',
				'title' => __( 'Max Items', 'intense' ),
				'default' => 5,
			),
			'items_desktop' => array(
				'type' => 'text',
				'title' => __( 'Items Desktop', 'intense' ),
				'description' => __( 'window width <= 1199', 'intense' ),
				'default' => 4,
			),
			'items_desktop_small' => array(
				'type' => 'text',
				'title' => __( 'Items Desktop Small', 'intense' ),
				'description' => __( 'window width <= 979', 'intense' ),
				'default' => 3,
			),
			'items_tablet' => array(
				'type' => 'text',
				'title' => __( 'Items Tablet', 'intense' ),
				'description' => __( 'window width <= 768', 'intense' ),
				'default' => 2,
			),
			'items_mobile' => array(
				'type' => 'text',
				'title' => __( 'Items Mobile', 'intense' ),
				'description' => __( 'window width <= 479', 'intense' ),
				'default' => 1,
			),
			'navigation_position' => array(
				'type' => 'dropdown',
				'title' => __( 'Navigation Position', 'intense' ),
				'default' => 'middleoutside',
				'options' => array(
					'' => '',
					'topleft' => __( 'Top Left', 'intense' ),
					'topcenter' => __( 'Top Center', 'intense' ),
					'topright' => __( 'Top Right', 'intense' ),
					'middleinside' => __( 'Middle Inside', 'intense' ),
					'middleoutside' => __( 'Middle Outside', 'intense' ),
					'bottomleft' => __( 'Bottom Left', 'intense' ),
					'bottomcenter' => __( 'Bottom Center', 'intense' ),
					'bottomright' => __( 'Bottom Right', 'intense' ),
				),
			),
			'navigation_prev_icon_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Navigation Previous Icon Source', 'intense' ),
				'default' => 'font-awesome',
			),
			'navigation_prev_icon' => array(
				'type' => 'icon',
				'title' => __( 'Navigation Previous Icon', 'intense' ),
				'default' => 'chevron-left',
			),
			'navigation_next_icon_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Navigation Next Icon Source', 'intense' ),
				'default' => 'font-awesome',
			),
			'navigation_next_icon' => array(
				'type' => 'icon',
				'title' => __( 'Navigation Next Icon', 'intense' ),
				'default' => 'chevron-right',
			),
			'navigation_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Navigation Size', 'intense' ),
				'options' => array(
					'default' => __( 'default', 'intense' ),
					'mini' => __( 'mini', 'intense' ),
					'small' => __( 'small', 'intense' ),
					'medium' => __( 'medium', 'intense' ),
					'large' => __( 'large', 'intense' )
				)
			),
			'navigation_prev_text' => array(
				'type' => 'text',
				'title' => __( 'Navigation Previous Text', 'intense' ),
			),
			'navigation_next_text' => array(
				'type' => 'text',
				'title' => __( 'Navigation Next Text', 'intense' ),
			),
			'navigation_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Navigation Color', 'intense' ),
				'default' => '#111111',
			),
			'navigation_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Navigation Font Color', 'intense' ),
				'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
			),
			'navigation_prev_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Navigation Previous Border Radius', 'intense' ),
			),
			'navigation_next_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Navigation Next Border Radius', 'intense' ),
			),
			'navigation_pagination_type' => array(
				'type' => 'dropdown',
				'title' => __( 'Navigation Pagination Type', 'intense' ),
				'default' => 'bullets',
				'options' => array(
					'' => __( 'None', 'intense' ),
					'bullets' => __( 'Bullets', 'intense' ),
					'numbers' => __( 'Numbers', 'intense' ),
				),
			),
			'mousedrag' => array(
				'type' => 'checkbox',
				'title' => __( 'Mouse Events', 'intense' ),
				'default' => 1,
				'class' => 'owlslidersettings'
			),
			'touchdrag' => array(
				'type' => 'checkbox',
				'title' => __( 'Touch Events', 'intense' ),
				'default' => 1,
				'class' => 'owlslidersettings'
			),
			'autoheight' => array(
                'type' => 'checkbox',
                'title' => __( 'Auto Height', 'intense' ),
                'description' => __( 'automatically adjust height when changing slides. Use only for one item per page.', 'intense' ),
                'class' => 'owlslidersettings'
            ),
		)
	),
	'masonry_tab' => array(
		'type' => 'tab',
		'title' => __( 'Masonry', 'intense' ),
		'class' => 'masonrysettings',
		'fields' =>  array(
			'is_masonry' => array(
				'type' => 'checkbox',
				'title' => __( 'Masonry', 'intense' ),
			),
			'gutter' => array(
				'type' => 'text',
				'title' => __( 'Gutter', 'intense' ),
				'default' => 0,
			),
			'masonry_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Size', 'intense' ),
				'composer_show_value' => true,
				'options' => array(
					'' => '',
					'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
					'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
				)
			),
			'masonry_medium_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Medium Size', 'intense' ),
				'description' => __( 'used to change the layout when viewed on medium devices - desktops (≥992px)', 'intense' ),
				'composer_show_value' => true,
				'options' => array(
					'' => '',
					'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
					'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
				)
			),
			'masonry_small_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Small Size', 'intense' ),
				'description' => __( 'used to change the layout when viewed on small devices - tablets (≥768px)', 'intense' ),
				'composer_show_value' => true,
				'options' => array(
					'' => '',
					'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
					'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
				)
			),
			'masonry_extra_small_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Extra Small Size', 'intense' ),
				'description' => __( 'used to change the layout when viewed on extra small devices - Phones (<768px)', 'intense' ),
				'composer_show_value' => true,
				'options' => array(
					'' => '',
					'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
					'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
				)
			),
			'masonry_width' => array(
				'type' => 'text',
				'title' => __( 'Item Manual Width', 'intense' ),
				'description' => __( 'measured as a % or px amount', 'intense' ),
			),
			'masonry_sticky_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Sticky Item Size', 'intense' ),
				'composer_show_value' => true,
				'options' => array(
					'' => '',
					'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
					'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
				)
			),
			'masonry_sticky_medium_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Sticky Item Medium Size', 'intense' ),
				'description' => __( 'used to change the layout when viewed on medium devices - desktops (≥992px)', 'intense' ),
				'composer_show_value' => true,
				'options' => array(
					'' => '',
					'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
					'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
				)
			),
			'masonry_sticky_small_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Sticky Item Small Size', 'intense' ),
				'description' => __( 'used to change the layout when viewed on small devices - tablets (≥768px)', 'intense' ),
				'composer_show_value' => true,
				'options' => array(
					'' => '',
					'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
					'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
				)
			),
			'masonry_sticky_extra_small_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Sticky Item Extra Small Size', 'intense' ),
				'description' => __( 'used to change the layout when viewed on extra small devices - phones (<768px)', 'intense' ),
				'composer_show_value' => true,
				'options' => array(
					'' => '',
					'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
					'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
				)
			),
			'masonry_sticky_width' => array(
				'type' => 'text',
				'title' => __( 'Sticky Item Manual Width', 'intense' ),
				'description' => __( 'measured as a % or px amount', 'intense' ),
			),
		)
	),
);
