<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'categories' => array(
		'type' => 'category',
		'category' => 'faq_category',
		'title' => __( 'Category(s)', 'intense' ),
		'description' => __( 'by default, all categories will be shown', 'intense' ),
	),
	'posts_per_page' => array(
		'type' => 'text',
		'title' => __( 'Posts Per Page', 'intense' ),
		'description' => __( 'default will be the value you have set in your theme settings', 'intense' ),
		'default' => get_option( 'posts_per_page' ),
		'skinnable' => false
	),
	'show_all' => array(
		'type' => 'checkbox',
		'title' => __( 'Show All', 'intense' ),
		'description' => __( 'show all on one page', 'intense' ),
	),
	'show_filter' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Filter', 'intense' ),
		'default' => 1,
	),
	'filter_easing' => array(
		'type' => 'dropdown',
		'title' => __( 'Filter Easing', 'intense' ),
		'options' => array(
			'smooth' => __( 'Smooth', 'intense' ),
			'snap' => __( 'Snap', 'intense' ),
			'windup' => __( 'Wind Up', 'intense' ),
			'windback' => __( 'Wind Back', 'intense' ),
		),
		'class' => 'filtersettings'
	),
	'filter_effects' => array(
		'type' => 'dropdown',
		'title' => __( 'Filter Effects', 'intense' ),
		'description' => __( 'transition effects, default is Fade and Scale', 'intense' ),
		'options' => array(
			'fade' => __( 'Fade', 'intense' ),
			'scale' => __( 'Scale', 'intense' ),
			'rotateX' => __( 'Rotate X', 'intense' ),
			'rotateY' => __( 'Rotate Y', 'intense' ),
			'rotateZ' => __( 'Rotate Z', 'intense' ),
			'blur' => __( 'Blur', 'intense' ),
			'grayscale' => __( 'Grayscale', 'intense' ),
		),
		'class' => 'filtersettings'
	),
	'single_toggle' => array(
		'type' => 'checkbox',
		'title' => __( 'Single Toggle', 'intense' ),
	),
	'expand_all' => array(
		'type' => 'checkbox',
		'title' => __( 'Expand All', 'intense' ),
		'description' => __( 'expand all FAQ\'s by default. Single Toggle option must not be checked.', 'intense' ),
	),
	'title_border' => array(
		'type' => 'border',
		'title' => __( 'Title Border', 'intense' ),
	),
	'content_border' => array(
		'type' => 'border',
		'title' => __( 'Content Border', 'intense' ),
	),	
	'expand_icon_source' => array(
		'type' => 'icon_source',
		'title' => __( 'Expand Icon Source', 'intense' ),
		'default' => 'font-awesome',
	),
	'expand_icon' => array(
		'type' => 'icon',
		'title' => __( 'Expand Icon', 'intense' ),
		'default' => 'plus-sign-alt',
	),
	'collapse_icon_source' => array(
		'type' => 'icon_source',
		'title' => __( 'Collapse Icon Source', 'intense' ),
		'default' => 'font-awesome',
	),
	'collapse_icon' => array(
		'type' => 'icon',
		'title' => __( 'Collapse Icon', 'intense' ),
		'default' => 'minus-sign-alt',
	),
	'icon_size' => array(
		'type' => 'dropdown',
		'title' => __( 'Icon Size', 'intense' ),
		'default' => '2',
		'options' => array(
			'1' => '1',
			'2' => '2',
			'3' => '3',
			'4' => '4',
			'5' => '5'
		)
	),	
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	)
);
