<?php

global $intense_visions_options;

$post = get_post();

$this->fields = array(
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'type' => array(
				'type' => 'dropdown',
				'title' => __( 'Type', 'intense' ),
				'options' => array(
					'standard' => __( 'Standard', 'intense' ),
					'colorbox' => __( 'Colorbox', 'intense' ),
					'magnificpopup' => __( 'Magnific Popup', 'intense' ),
					'galleria' => __( 'Galleria', 'intense' ),
					'photoswipe' => __( 'PhotoSwipe', 'intense' ),
					'prettyphoto' => __( 'PrettyPhoto', 'intense' ),					
					'supersized' => __( 'Supersized', 'intense' ),
					'swipebox' => __( 'Swipebox', 'intense' ),
					'thickbox' => __( 'Thickbox', 'intense' ),
					'touchtouch' => __( 'TouchTouch', 'intense' ),
				),
			),
			'show_animation' => array(
				'type' => 'animation',
				'title' => __( 'Show Animation', 'intense' ),
				'placeholder' => __( 'Select an animation', 'intense' ),
			),
			'maximum_show_delay' => array(
				'type' => 'text',
				'title' => __( 'Maximum Show Delay', 'intense' ),
				'default' => 600
			),
			'supersized_position' => array(
				'type' => 'dropdown',
				'title' => __( 'Supersized Control Position', 'intense' ),
				'default' => $intense_visions_options['intense_supersized_position'],
				'options' => array(
					'None' => __( 'None', 'intense' ),
					'Bottom Left' => __( 'Bottom Left', 'intense' ),
					'Top Left' => __( 'Top Left', 'intense' ),
				),
				'class' => 'supersizedsettings',
				'skinnable' => false
			),
			'grouping' => array(
				'type' => 'text',
				'title' => __( 'Lightbox Group', 'intense' ),
				'description' => __( 'optional - allows for lightbox slideshows', 'intense' ),
				'class' => 'grouping'
			),
			'border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
				'class' => 'radiussettings'
			),			
			'galleria_template' => array(
				'type' => 'template',
				'title' => __( 'Photo Template', 'intense' ),
				'path' => '/gallery/galleria/',
				'default' => 'photo',
				'class' => 'galleriasettings',
			),
			'standard_template' => array(
				'type' => 'template',
				'title' => __( 'Photo Template', 'intense' ),
				'path' => '/gallery/standard/',
				'default' => 'photo',
				'class' => 'standardsettings',
			),
			'supersized_template' => array(
				'type' => 'template',
				'title' => __( 'Controls Template', 'intense' ),
				'path' => '/gallery/supersized/',
				'default' => 'skewed',
				'class' => 'supersizedsettings',
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			)
		),
	),
	'layout_tab' => array(
		'type' => 'tab',
		'title' => __( 'Layout', 'intense' ),
		'fields' =>  array(
			'layout' => array(
				'type' => 'dropdown',
				'title' => __( 'Predefined Layout', 'intense' ),
				'options' => array(
					'' => '',
					'square' => __( 'Square', 'intense' ),
					'smallsquare' => __( 'Small Square', 'intense' ),
					'circle' => __( 'Circle', 'intense' ),
					'masonry' => __( 'Masonry', 'intense' )
				),
			),
			'size' => array(
				'type' => 'image_size',
				'title' => __( 'Image Size', 'intense' ),
				'description' => __( 'For non WordPress photo sources, the closest matching image size will be selected. This may or may not match depending on the photo source.', 'intense' ),
				'class' => 'sizesettings'
			),
			'first_image_size' => array(
				'type' => 'image_size',
				'title' => __( 'First Image Size', 'intense' ),
				'description' => __( 'For non WordPress photo sources, the closest matching image size will be selected. This may or may not match depending on the photo source.', 'intense' ),
				'class' => 'sizesettings'
			),
			'columns' => array(
				'type' => 'dropdown',
				'title' => __( 'Columns', 'intense' ),
				'options' => array(
					'0' => __( 'Auto', 'intense' ),
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5',
					'6' => '6',
					'7' => '7',
					'8' => '8',
					'9' => '9',
					'10' => '10'
				),
				'class' => 'columnssettings'
			),
			'marginpercent' => array(
				'type' => 'text',
				'title' => __( 'Image Margin', 'intense' ),
				'description' => __( 'percent of margin space to show around the photos. Typically a 1% or less margin looks good.', 'intense' ),
				'default' => 0,
				'class' => 'marginpercentsettings'
			),
			'gutter' => array(
				'type' => 'text',
				'title' => __( 'Masonry Gutter', 'intense' ),
				'default' => 10,
				'class' => 'masonrysettings'
			),
			'masonry_item_width' => array(
				'type' => 'text',
				'title' => __( 'Masonry Item Width', 'intense' ),
				'description' => __( 'measured as a % or px amount', 'intense' ),
				'default' => '25%',
				'class' => 'masonrysettings'
			),
			'masonry_alternate_width' => array(
				'type' => 'text',
				'title' => __( 'Masonry Item Alternate Width', 'intense' ),
				'description' => __( 'measured as a % or px amount', 'intense' ),
				'default' => '50%',
				'class' => 'masonrysettings'
			),
			'alternate_size' => array(
				'type' => 'image_size',
				'title' => __( 'Alternate Image Size', 'intense' ),
				'description' => __( 'For non WordPress photo sources, the closest matching image size will be selected. This may or may not match depending on the photo source.', 'intense' ),
				'class' => 'masonrysettings'
			),
			'masonry_alternate_count' => array(
				'type' => 'text',
				'title' => __( 'Masonry Item Alternate Count', 'intense' ),
				'description' => __( 'alternate the width every given number of items', 'intense' ),
				'default' => 10,
				'class' => 'masonrysettings'
			),
		)
	),
	'source_tab' => array(
		'type' => 'tab',
		'title' => __( 'Source', 'intense' ),
		'fields' =>  array(
			'source' => array(
				'type' => 'dropdown',
				'title' => __( 'Source', 'intense' ),
				'options' => array(
					'wordpress' => __( 'WordPress', 'intense' ),
					'post_featured' => __( 'Post Featured Images', 'intense' ),
					'500px' => __( '500px', 'intense' ),
					'deviantart' => __( 'DeviantART', 'intense' ),
					'facebook' => __( 'Facebook', 'intense' ),
					'flickr' => __( 'Flickr', 'intense' ),
					'google+' => __( 'Google+', 'intense' ),
					'instagram' => __( 'Instagram', 'intense' ),
					'smugmug' => __( 'SmugMug', 'intense' ),
					'zenfolio' => __( 'Zenfolio', 'intense' ),
				),
			),
			'id' => array(
				'type' => 'text',
				'title' => __( 'Post ID', 'intense' ),
				'default' => ( isset( $post ) ? $post->ID : null ),
				'class' => 'wpsettings postsettings',
				'skinnable' => false
			),
			'include' => array(
				'type' => 'gallery',
				'title' => __( 'Included IDs', 'intense' ),
				'description' => __( 'enter WordPress attachment IDs', 'intense' ),
				'class' => 'wpsettings',
				'skinnable' => false
			),
			'exclude' => array(
				'type' => 'gallery',
				'title' => __( 'Excluded IDs', 'intense' ),
				'description' => __( 'enter WordPress attachment IDs', 'intense' ),
				'class' => 'wpsettings postsettings',
				'skinnable' => false
			),
			'ids' => array( 'type' => 'deprecated', 'description' => 'use include/exclude instead' ),
			'order' => array(
				'type' => 'dropdown',
				'title' => __( 'Order', 'intense' ),
				'options' => array(
					'NONE' => __( 'None (order of included ids as they are entered)', 'intense' ),
					'ASC' => __( 'Ascending', 'intense' ),
					'DESC' => __( 'Descending', 'intense' ),
					'RAND' => __( 'Random', 'intense' ),
				),
				'class' => 'wpsettings postsettings'
			),
			'orderby' => array(
				'type' => 'text',
				'title' => __( 'Order By', 'intense' ),
				'class' => 'wpsettings postsettings'
			),
			'no_link' => array(
				'type' => 'checkbox',
				'title' => __( 'Image Link', 'intense' ),
				'default' => 0,
				'description' => __( 'Turn on/off image link to attachment page', 'intense' ),
				'class' => 'wpsettings postsettings'
			),
			'user' => array(
				'type' => 'text',
				'title' => __( 'User', 'intense' ),
				'class' => 'flickrsettings googleplussettings 500pxsettings smugmugsettings instagramsettings deviantartsettings',
				'skinnable' => false
			),
			'groupid' => array(
				'type' => 'text',
				'title' => __( 'Group', 'intense' ),
				'class' => 'flickrsettings facebooksettings',
				'skinnable' => false
			),
			'facebookpage' => array(
				'type' => 'text',
				'title' => __( 'Facebook Page', 'intense' ),
				'class' => 'facebooksettings',
				'skinnable' => false
			),
			'tag' => array(
				'type' => 'text',
				'title' => __( 'Tag', 'intense' ),
				'class' => 'instagramsettings',
				'skinnable' => false
			),
			'setid' => array(
				'type' => 'text',
				'title' => __( 'Set', 'intense' ),
				'class' => 'flickrsettings zenfoliosettings',
				'skinnable' => false
			),
			'album' => array(
				'type' => 'text',
				'title' => __( 'Album', 'intense' ),
				'class' => 'smugmugsettings googleplussettings facebooksettings',
				'skinnable' => false
			),
			'pagesize' => array(
				'type' => 'text',
				'title' => __( 'Page Size', 'intense' ),
				'default' => 25,
				'description' => __( '# of photos to return', 'intense' ),
				'class' => 'flickrsettings googleplussettings instagramsettings deviantartsettings facebooksettings zenfoliosettings smugmugsettings'
			),
			'page' => array(
				'type' => 'text',
				'title' => __( 'Results Page', 'intense' ),
				'default' => 0,
				'description' => __( '0 is the first page', 'intense' ),
				'class' => 'flickrsettings googleplussettings instagramsettings deviantartsettings facebooksettings zenfoliosettings 500pxsettings'
			),
		),
	),
	'hover_tab' => array(
		'type' => 'tab',
		'title' => __( 'Hover', 'intense' ),
		'fields' =>  array(
			'show_tooltip' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Tooltip/Popover', 'intense' ),
				'default' => 1,
				'description' => __( 'Show tooltip/popover on hover', 'intense' )
			),
			'hover_effect' => array(
				'type' => 'dropdown',
				'title' => __( 'Hover Effect', 'intense' ),
				'options' => array(
					'' => '',
					'effeckt' => __( 'Effeckt', 'intense' ),
					'adipoli' => __( 'Adipoli', 'intense' ),
					'subtle' => __( 'Subtle', 'intense' ),
				)
			),
			'starteffect' => array(
				'type' => 'dropdown',
				'title' => __( 'Start Effect', 'intense' ),
				'options' => array(
					'' => '',
					'normal' => 'normal',
					'overlay' => 'overlay',
					'sliceDown' => 'sliceDown',
					'transparent' => 'transparent',
				),
				'class' => 'adipoli-settings'
			),
			'hovereffect' => array(
				'type' => 'dropdown',
				'title' => __( 'Hover Effect', 'intense' ),
				'options' => array(
					'' => '',
					'boxRain' => 'boxRain',
					'boxRainGrow' => 'boxRainGrow',
					'boxRainGrowReverse' => 'boxRainGrowReverse',
					'boxRainReverse' => 'boxRainReverse',
					'boxRandom' => 'boxRandom',
					'fold' => 'fold',
					'foldLeft' => 'foldLeft',
					'normal' => 'normal',
					'popout' => 'popout',
					'sliceDown' => 'sliceDown',
					'sliceDownLeft' => 'sliceDownLeft',
					'sliceUp' => 'sliceUp',
					'sliceUpDown' => 'sliceUpDown',
					'sliceUpDownLeft' => 'sliceUpDownLeft',
					'sliceUpLeft' => 'sliceUpLeft',
					'sliceUpRandom' => 'sliceUpRandom',
				),
				'class' => 'adipoli-settings'
			),
			'effeckt' => array(
				'type' => 'dropdown',
				'title' => __( 'Effeckt', 'intense' ),
				'options' => array(
					'' => '',
					'1'  => __( 'Appear', 'intense' ),
					'2'  => __( 'Quarter Slide Up', 'intense' ),
					'3'  => __( 'Sqkwoosh', 'intense' ),
					'4'  => __( 'Quarter Slide Side', 'intense' ),
					'5'  => __( 'Cover Fade', 'intense' ),
					'6'  => __( 'Quarter Fall In', 'intense' ),
					'7'  => __( 'Quarter Two-Step', 'intense' ),
					'8'  => __( 'Cover Push Right', 'intense' ),
					'9'  => __( 'Quarter Caption Zoom', 'intense' ),
					'10' => __( 'Revolving Door', 'intense' ),
					'11' => __( 'Caption Offset', 'intense' ),
					'12' => __( 'Guillotine Reverse', 'intense' ),
					'13' => __( 'Half Slide', 'intense' ),
					'14' => __( 'Tunnel', 'intense' ),
					'15' => __( 'Cover Slide Top', 'intense' ),
				),
				'class' => 'effeckt-settings'
			),
			'effeckt_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
				'default' => '#000000',
				'class' => 'effeckt-settings'
			),
			'effeckt_opacity' => array(
				'type' => 'text',
				'title' => __( 'Background Opacity', 'intense' ),
				'description' => __( '0 - 100', 'intense' ),
				'default' => 80,
				'class' => 'effeckt-settings'
			),
			'subtleeffect' => array(
				'type' => 'dropdown',
				'title' => __( 'Subtle Effect', 'intense' ),
				'options' => array(
					'' => '',
					'lily' => 'Lily',
					'sadie' => 'Sadie',
					'honey' => 'Honey',
					'layla' => 'Layla',
					'zoe' => 'Zoe',
					'oscar' => 'Oscar',
					'marley' => 'Marley',
					'ruby' => 'Ruby',
					'roxy' => 'Roxy',
					'bubba' => 'Bubba',
					'romeo' => 'Romeo',
					'dexter' => 'Dexter',
					'sarah' => 'Sarah',
					'chico' => 'Chico',
					'milo' => 'Milo',
				),
				'class' => 'subtle-settings'
			),
			'effeckt_template' => array(
				'type' => 'template',
				'title' => __( 'Photo Template', 'intense' ),
				'path' => '/gallery/effeckt/',
				'default' => 'photo',
				'class' => 'effeckt-settings'
			),
			'subtle_template' => array(
				'type' => 'template',
				'title' => __( 'Photo Template', 'intense' ),
				'path' => '/gallery/subtle/',
				'default' => 'photo',
				'class' => 'subtle-settings'
			),

		)
	)
);
