<?php

global $intense_visions_options;

$this->fields = array(
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'optional - used to set the client-side ID', 'intense' ),
				'skinnable' => false
			),
			'responsive' => array(
				'type' => 'checkbox',
				'title' => __( 'Responsive', 'intense' ),
				'description' => __( 'block alerts have slightly more padding', 'intense' ),
			),
			'aggressiveness' => array(
				'type' => 'text',
				'title' => __( 'Agressiveness', 'intense' ),
				'description' => __( 'if your text is resizing poorly, tweak up/down (ex. 1.2, .8)', 'intense'),
				'class' => 'responsivesettings',
				'default' => 1
			),
			'font_size' => array(
				'type' => 'text',
				'title' => __( 'Font Size', 'intense' ),
				'description' => __( 'If responsive, this will be the max font size. Leave blank for 100% responsive.', 'intense' ),
			),
			'min_font_size' => array(
				'type' => 'text',
				'title' => __( 'Min Font Size', 'intense' ),
				'class' => 'responsivesettings'
			),
			'line_height' => array(
				'type' => 'text',
				'title' => __( 'Line Height', 'intense' ),
				'description' => __( 'If left blank, a line height will automatically be chosen.', 'intense' ),
			),
			'font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Font Color', 'intense' ),
			),
			'font_family' => array(
				'type' => 'font_family',
				'title' => __( 'Font Family', 'intense' ),
				'description' => 'leave blank to inherit from the selected tag'
			),
			'align' => array(
				'type' => 'dropdown',
				'title' => __( 'Align', 'intense' ),
				'options' => array(
					'left' => __( 'Left', 'intense' ),
					'center' => __( 'Center', 'intense' ),
					'right' => __( 'Right', 'intense' ),
				),
				'default' => ( is_rtl() ? 'right' : 'left' ),
				'skinnable' => false
			),
			'font_weight' => array(
				'type' => 'dropdown',
				'title' => __( 'Font Weight', 'intense' ),
				'options' => array(
					'' => '',
					'lighter' => __( 'Lighter', 'intense' ),
					'100' => '100',
					'200' => '200',
					'300' => '300',
					'400' => __( '400 (Normal)', 'intense' ),
					'500' => '500',
					'600' => '600',
					'700' => __( '700 (Bold)', 'intense' ),
					'800' => '800',
					'900' => '900',
					'bolder' => __( 'Bolder', 'intense' ),
				),
			),
			'text_transform' => array(
				'type' => 'dropdown',
				'title' => __( 'Text Transform', 'intense' ),
				'default' => 'none',
				'options' => array(
					'none' => __( 'None', 'intense' ),
					'capitalize' => __( 'Capitalize', 'intense' ),
					'uppercase' => __( 'Uppercase', 'intense' ),
					'lowercase' => __( 'Lowercase', 'intense' ),
					'initial' => __( 'Initial', 'intense' ),
					'inherit' => __( 'Inherit', 'intense' )
				)
			),
			'tag' => array(
				'type' => 'dropdown',
				'title' => __( 'Tag', 'intense' ),
				'options' => array(
					'h1' => 'h1',
					'h2' => 'h2',
					'h3' => 'h3',
					'h4' => 'h4',
					'h5' => 'h5',
					'h6' => 'h6',
					'div' => 'div'
				),
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			),
		)
	),
	'layout_tab' => array(
		'type' => 'tab',
		'title' => __( 'Layout', 'intense' ),
		'fields' =>  array(
			'margin_top' => array(
				'type' => 'text',
				'title' => __( 'Margin Top', 'intense' ),
			),
			'margin_bottom' => array(
				'type' => 'text',
				'title' => __( 'Margin Bottom', 'intense' ),
			),
			'padding_top' => array(
				'type' => 'text',
				'title' => __( 'Padding Top', 'intense' ),
			),
			'padding_bottom' => array(
				'type' => 'text',
				'title' => __( 'Padding Bottom', 'intense' ),
			),
		)
	),
);
