<?php

global $intense_visions_options;

$this->fields = array(
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'optional - used to set the client-side ID', 'intense' ),
				'skinnable' => false
			),
			'image' => array(
				'type' => 'image',
				'title' => __( 'Image', 'intense' ),
				'skinnable' => false
			),
			'image_id' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
			'image_url' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
			'type' => array(
				'type' => 'dropdown',
				'title' => __( 'Type', 'intense' ),
				'default' => 'style',
				'options' => array(
					'style' => __( 'Style 1', 'intense' ),
					'style2' => __( 'Style 2', 'intense' ),
					'style3' => __( 'Style 3', 'intense' ),
					'style4' => __( 'Style 4', 'intense' ),
					'style5' => __( 'Style 5', 'intense' ),
					'style6' => __( 'Style 6', 'intense' ),
					'style7' => __( 'Style 7', 'intense' ),
				)
			),
			'size' => array(
				'type' => 'image_size',
				'title' => __( 'Image Size', 'intense' ),
				'default' => 'square400'
			),
			'title' => array(
				'type' => 'text',
				'title' => __( 'Title', 'intense' ),
				'skinnable' => false
			),
			'title_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Title Color', 'intense' ),
			),
			'name' => array(
				'type' => 'text',
				'title' => __( 'Name', 'intense' ),
				'description' => __( 'the author name or a short name for the image', 'intense' ),
				'skinnable' => false
			),
			'name_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Name Color', 'intense' ),
			),
			'divider_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Divider Color', 'intense' ),
			),
			'background_image' => array(
				'type' => 'image',
				'title' => __( 'Background Image', 'intense' ),
				'class' => 'backgroundimagesettings',
				'skinnable' => false
			),
			'background_imageid' => array( 'type' => 'deprecated', 'description' => 'use background_image instead' ),
			'background_image_url' => array( 'type' => 'deprecated', 'description' => 'use background_image instead' ),
			'background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
				'default' => '#ffffff',
			),
			'background_opacity' => array(
				'type' => 'text',
				'title' => __( 'Background Opacity', 'intense' ),
				'description' => __( '0 - 100: leave blank for solid color', 'intense' ),
				'default' => 80,
			),
			'background_center_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
				'default' => '#ffffff',
				'class' => 'backgroundcentersettings'
			),
			'link' => array(
				'type' => 'text',
				'title' => __( 'Link URL', 'intense' ),
				'description' => __( 'Have the entire Hover Box be clickable and link to a URL', 'intense' ),
				'skinnable' => false
			),
			'link_target' => array(
				'type' => 'link_target',
				'title' => __( 'Link Target', 'intense' ),
				'description' => __( 'Target for Link URL.', 'intense' ),
			),	
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			)
		),
	),
	'link_tab' => array(
		'type' => 'tab',
		'title' => __( 'Inner Link', 'intense' ),
		'fields' =>  array(
			'linktext' => array(
				'type' => 'text',
				'title' => __( 'Link Text', 'intense' ),
				'skinnable' => false
			),
			'linktext_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Link Text Color', 'intense' ),
			),
			'linkhover_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Link Hover Text Color', 'intense' ),
			),
			'linkurl' => array(
				'type' => 'text',
				'title' => __( 'Link URL', 'intense' ),
				'skinnable' => false
			),
			'linkurl_target' => array(
				'type' => 'link_target',
				'title' => __( 'Link Target', 'intense' ),
			),
			'linkurl_rel' => array(
				'type' => 'rel',
				'title' => __( 'Link Rel', 'intense' ),
			),
		),
	),
	'border_tab' => array(
		'type' => 'tab',
		'title' => __( 'Border', 'intense' ),
		'fields' =>  array(
			'border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
			),
			'border_width' => array(
				'type' => 'text',
				'title' => __( 'Border Width', 'intense' ),
				'default' => 16
			),
			'border_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Border Color', 'intense' ),
				'default' => '#ffffff'
			),
		),
	),
);
