<?php

global $intense_visions_options;

$this->fields = array(
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'optional - used to set the client-side ID', 'intense' ),
				'skinnable' => false
			),
			'direction' => array(
				'type' => 'dropdown',
				'title' => __( 'Direction', 'intense' ),
				'options' => array(
					'horizontal' => __( 'Horizontal', 'intense' ),
					'vertical' => __( 'Vertical', 'intense' ),
				)
			),
			//only applies to vertical
			'height' => array(
				'type' => 'text',
				'title' => __( 'Height', 'intense' ),
				'default' => 300,
				'class' => 'heightsetting'
			),
			'type' => array(
				'type' => 'dropdown',
				'title' => __( 'Type', 'intense' ),
				'options' => array(
					'solid' => __( 'Solid', 'intense' ),
					'dotted' => __( 'Dotted', 'intense' ),
					'doubledotted' => __( 'Double Dotted', 'intense' ),
					'dashed' => __( 'Dashed', 'intense' ),
					'doubledashed' => __( 'Double Dashed', 'intense' ),
					'double' => __( 'Double', 'intense' ),
					'image' => __( 'Image', 'intense' ),
				)
			),
			'image' => array(
				'type' => 'image',
				'title' => __( 'Image', 'intense' ),
				'class' => 'imagesettings',
				'skinnable' => false
			),
			'imageid' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
			'imageurl' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
			'imagemode' => array(
				'type' => 'dropdown',
				'title' => __( 'Image Mode', 'intense' ),
				'options' => array(
					'full' => __( 'Full', 'intense' ),
					'repeat' => __( 'Repeat', 'intense' ),
				),
				'class' => 'imagesettings'
			),
			'imagedimension' => array(
				'type' => 'text',
				'title' => __( 'Image Dimension (in px)', 'intense' ),
				'description' => __( 'used for repeat mode to indicate how wide or tall to repeat', 'intense' ),
				'class' => 'imagesettings'
			),
			'size' => array(
				'type' => 'dropdown',
				'title' => __( 'Size', 'intense' ),
				'options' => array(
					'' => '',
					'small' => __( 'Small', 'intense' ),
					'medium' => __( 'Medium', 'intense' ),
					'large' => __( 'Large', 'intense' ),
				)
			),
			'color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
				'default' => $intense_visions_options['intense_content_box_style']['border-color'],
				'skinnable' => false
			),
			'margin_top' => array(
				'type' => 'text',
				'title' => __( 'Margin Top', 'intense' ),
			),
			'margin_bottom' => array(
				'type' => 'text',
				'title' => __( 'Margin Bottom', 'intense' ),
			),			
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			),
			'shadow' => array(
				'type' => 'shadow',
				'title' => __( 'Shadow', 'intense' ),
			),
		)
	),	
	'title_tab' => array(
		'type' => 'tab',
		'title' => __( 'Title', 'intense' ),
		'fields' =>  array(
			'title' => array(
				'type' => 'text',
				'title' => __( 'Title', 'intense' ),
				'composer_show_value' => true,
				'skinnable' => false
			),
			'title_tag' => array(
				'type' => 'text',
				'title' => __( 'Tag', 'intense' ),
				'description' => __( 'h1, h2, h3, etc... - default is h2', 'intense' ),
				'default' => "h2"
			),
			'title_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
			),
			'title_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
				'default' => $intense_visions_options['intense_title_background_color'],
				'skinnable' => false
			),
			'title_position' => array(
				'type' => 'dropdown',
				'title' => __( 'Position', 'intense' ),
				'default' => 'left',
				'options' => array(
					'left' => __( 'Left', 'intense' ),
					'center' => __( 'Center', 'intense' ),
					'right' => __( 'Right', 'intense' ),
					'top' => __( 'Top', 'intense' ),
					'bottom' => __( 'Bottom', 'intense' ),
				)
			),
			'title_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Title Radius', 'intense' ),
			),
			'title_shadowed' => array(
				'type' => 'checkbox',
				'title' => __( 'Shadow', 'intense' ),
			),
		)
	),
	'icon_tab' => array(
		'type' => 'tab',
		'title' => __( 'Icon', 'intense' ),
		'fields' =>  array(
			'icon_position' => array(
				'type' => 'dropdown',
				'title' => __( 'Position', 'intense' ),
				'default' => 'left',
				'options' => array(
					'left' => __( 'Left', 'intense' ),
					'right' => __( 'Right', 'intense' ),
				)
			),
			'icon_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Icon Source', 'intense' ),
				'default' => 'font-awesome'
			),
			'icon_type' => array(
				'type' => 'icon',
				'title' => __( 'Icon', 'intense' ),
			),
			'icon_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Size', 'intense' ),
				'options' => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5'
				)
			),
			'icon_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
			),
			'icon_spin' => array(
				'type' => 'checkbox',
				'title' => __( 'Spin', 'intense' ),
			),
			'icon_rotate' => array(
				'type' => 'dropdown',
				'title' => __( 'Rotate', 'intense' ),
				'options' => array(
					'' => '',
					'90' => __( '90 degrees', 'intense' ),
					'180' => __( '180 degrees', 'intense' ),
					'270' => __( '270 degrees', 'intense' )
				)
			),
			'icon_flip' => array(
				'type' => 'dropdown',
				'title' => __( 'Flip', 'intense' ),
				'options' => array(
					'' => '',
					'horizontal' => __( 'Horizontal', 'intense' ),
					'vertical' => __( 'Vertical', 'intense' )
				)
			),
			'icon_stack_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Stack Icon Source', 'intense' ),
				'default' => 'font-awesome'
			),
			'icon_stack_type' => array(
				'type' => 'icon',
				'title' => __( 'Stack Icon', 'intense' ),
			),
			'icon_stack_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Stack Color', 'intense' ),
				'default' => '#ffffff'
			),
		),		
	),
	'accent_tab' => array(
		'type' => 'tab',
		'title' => __( 'Accent Mark', 'intense' ),
		'fields' =>  array(
			'accent_position' => array(
				'type' => 'dropdown',
				'title' => __( 'Position', 'intense' ),
				'description' => __( 'the position to show a colored accent mark on the horizontal ruler', 'intense'),
				'options' => array(
					'' => '',
					'left' => __( 'Left', 'intense' ),
					'center' => __( 'Center', 'intense' ),
					'right' => __( 'Right', 'intense' )
				)
			),		
			'accent_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
				'default' => 'primary'
			),
			'accent_width' => array(
				'type' => 'text',
				'title' => __( 'Width', 'intense' ),
				'description' => __( 'measured in pixels', 'intense' ),
				'default' => 30,
			),
			'accent_height' => array(
				'type' => 'text',
				'title' => __( 'Height', 'intense' ),
				'description' => __( 'measured in pixels', 'intense' ),
				'default' => 3,
			),			
		)
	),
);
