<?php

class Intense_Icon_List_Item extends Intense_Shortcode {
  function __construct() {
    parent::__construct();
    
    global $intense_visions_options;

    $this->title = __( 'Icon List Item', 'intense' );
    $this->category = __( 'Layout', 'intense' );
    $this->show_preview = true;
    $this->hidden = true;
    $this->parent = 'intense_icon_list';
  }

  function shortcode( $atts, $content = null ) {
    global $intense_visions_options;
    extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

    if ( is_numeric( $custom_icon ) ) {
      $photo = Intense_Photo_Source::get_wordpress_photo( $custom_icon, null );      
      $custom_icon = $photo['url'];
    }

    if ( in_array( $color, array( "warning", "error", "success", "info", "inverse", "muted", "primary" ) ) ) {
      $color_class = "{$color}-icon";
      $color_style = "";
    } else {
      $color_class = "";
      $color_style = "color: {$color} !important;";
    }

    if ( isset( $custom_icon ) ) {
      $output = '<li class="intense ' . ( is_rtl() ? "rtl " : "" ) . '" style="left: -1.8em; margin-left: 0px;"><img class="intense img-icon' . ( $size - 1 ) . 'x" src="' . $custom_icon . '" alt="" /><div class="intense icons-content-' . ( $size - 1 ) . 'x" style="display:inline;">' . do_shortcode( $content ) . '</div></li>';
    } else {
      $icon = intense_run_shortcode( 'intense_icon', array(
          'source' => $source,
          'type' => $type,
          'color' => $color,
          'size' => $size,
          'spin' => $spin,
          'rotate' => $rotate,
          'flip' => $flip,
          'stack_source' => $stack_source,
          'stack_type' => $stack_type,
          'stack_color' => $stack_color,
          'extra_class' => 'icon-li'
        ) );
      $output = '<li class="intense icons-li-' . ( $size - 1 ) . 'x ' . ( is_rtl() ? "rtl " : "" ) . '">' . $icon . '<div class="intense icons-content-' . ( $size - 1 ) . 'x">' . do_shortcode( $content ) . '</div></li>';
    }

    return $output;
  }
}