<?php

global $intense_visions_options;

$this->fields = array(
	'image_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'optional - used to set the client-side ID', 'intense' ),
				'skinnable' => false
			),
			'image' => array(
				'type' => 'image',
				'title' => __( 'Image', 'intense' ),
				'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
				'skinnable' => false
			),
			'imageid' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
			'imageurl' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
			'size' => array(
				'type' => 'image_size',
				'title' => __( 'Image Size', 'intense' ),
				'default' => 'full'
			),
			'align' => array(
				'type' => 'dropdown',
				'title' => __( 'Align', 'intense' ),
				'options' => array(
					'' => '',
					'left' => __( 'Left', 'intense' ),
					'right' => __( 'Right', 'intense' ),
					'middle' => __( 'Middle', 'intense' ),
					'top' => __( 'Top', 'intense' ),
					'bottom' => __( 'Bottom', 'intense' )
				)
			),
			'alt' => array(
				'type' => 'text',
				'title' => __( 'Alt', 'intense' ),
				'description' => __( 'the image <a href="http://en.wikipedia.org/wiki/Alt_attribute" target="_blank">alt</a> text', 'intense' ),
				'skinnable' => false
			),
			'title' => array(
				'type' => 'text',
				'title' => __( 'Title', 'intense' ),
				'skinnable' => false
			),
			'caption' => array(
				'type' => 'text',
				'title' => __( 'Caption', 'intense' ),
				'skinnable' => false
			),
			'linkurl' => array(
				'type' => 'text',
				'title' => __( 'Link', 'intense' ),
				'skinnable' => false
			),
			'linkurl_target' => array(
				'type' => 'link_target',
				'title' => __( 'Link Target', 'intense' ),
			),
			'linkurl_rel' => array(
				'type' => 'rel',
				'title' => __( 'Link Rel', 'intense' ),
			),
			'shadow' => array(
				'type' => 'shadow',
				'title' => __( 'Shadow', 'intense' ),
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			),
			'itemprop' => array(
				'type' => 'hidden',
				'description' => __( 'Item Properties', 'intense' ),
				'default' => '',
			),
		),
	),
	'type_tab' => array(
		'type' => 'tab',
		'title' => __( 'Type', 'intense' ),
		'fields' =>  array(
			'lightbox_type' => array(
				'type' => 'dropdown',
				'title' => __( 'Lightbox Type', 'intense' ),
				'options' => array(
					'' => '',
					'colorbox' => __( 'Colorbox', 'intense' ), //image, iframe, html
					'magnificpopup' => __( 'Magnific Popup', 'intense' ), //image, iframe, html
					'photoswipe' => __( 'PhotoSwipe', 'intense' ), //image
					'prettyphoto' => __( 'PrettyPhoto', 'intense' ), //image, iframe, html
					'swipebox' => __( 'Swipebox', 'intense' ), //image
					'thickbox' => __( 'Thickbox', 'intense' ), //image
					'touchtouch' => __( 'TouchTouch', 'intense' ), //image
				),
			),
			'type' => array(
				'type' => 'dropdown',
				'title' => __( 'Type', 'intense' ),
				'options' => array(
					'standard' => __( 'Standard', 'intense' ),
					'caman' => __( 'CamanJS', 'intense' ),
					'fixed' => __( 'Parallax - Fixed', 'intense' ),
					'parallax' => __( 'Parallax', 'intense' ),
					'picstrip' => __( 'Picstrip', 'intense' )
				)
			),
			'splits' => array(
				'type' => 'text',
				'title' => __( 'Splits', 'intense' ),
				'default' => 10,
				'class' => 'picstripsettings'
			),
			'hgutter' => array(
				'type' => 'text',
				'title' => __( 'Horizontal Gutter', 'intense' ),
				'default' => '10px',
				'class' => 'picstripsettings'
			),
			'vgutter' => array(
				'type' => 'text',
				'title' => __( 'Vertical Gutter', 'intense' ),
				'default' => '10px',
				'class' => 'picstripsettings'
			),
			'bgcolor' => array(
				'type' => 'color',
				'title' => __( 'Background Color', 'intense' ),
				'default' => '#ffffff',
				'class' => 'picstripsettings'
			),
			'effect' => array(
				'type' => 'dropdown',
				'title' => __( 'Effect', 'intense' ),
				'options' => array(
					'clarity' => 'clarity',
					'concentrate' => 'concentrate',
					'crossProcess' => 'crossProcess',
					'emboss' => 'emboss',
					'glowingSun' => 'glowingSun',
					'grungy' => 'grungy',
					'hazyDays' => 'hazyDays',
					'hemingway' => 'hemingway',
					'herMajesty' => 'herMajesty',
					'jarques' => 'jarques',
					'lomo' => 'lomo',
					'love' => 'love',
					'nostalgia' => 'nostalgia',
					'oldBoot' => 'oldBoot',
					'orangePeel' => 'orangePeel',
					'pinhole' => 'pinhole',
					'posterize' => 'posterize',
					'sinCity' => 'sinCity',
					'sunrise' => 'sunrise',
					'vintage' => 'vintage',
				),
				'class' => 'camansettings'
			),
			'parallax_height' => array(
				'type' => 'text',
				'title' => __( 'Parallax Height', 'intense' ),
				'default' => 200,
				'class' => 'parallaxsettings'
			),
			'parallax_speed' => array(
				'type' => 'text',
				'title' => __( 'Parallax Speed', 'intense' ),
				'default' => 2,
				'class' => 'parallaxsettings parallaxstandard'
			),
		),
	),
	'border_tab' => array(
		'type' => 'tab',
		'title' => __( 'Border', 'intense' ),
		'fields' =>  array(
			'border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
				'class' => 'standardsettings'
			),
			'border' => array(
				'type' => 'border',
				'title' => __( 'All Borders', 'intense' ),
				'class' => 'standardsettings'
			),
			'border_top' => array(
				'type' => 'border',
				'title' => __( 'Top Border', 'intense' ),
				'class' => 'standardsettings'
			),
			'border_right' => array(
				'type' => 'border',
				'title' => __( 'Right Border', 'intense' ),
				'class' => 'standardsettings'
			),
			'border_bottom' => array(
				'type' => 'border',
				'title' => __( 'Bottom Border', 'intense' ),
				'class' => 'standardsettings'
			),
			'border_left' => array(
				'type' => 'border',
				'title' => __( 'Left Border', 'intense' ),
				'class' => 'standardsettings'
			),
			'box_shadow' => array(
				'type' => 'box_shadow',
				'title' => __( 'Box Shadow', 'intense' ),
				'description' => __( 'Horizontal shadow position, Vertical shadow position, Shadow size, Shadow color', 'intense' ),
				'class' => 'standardsettings'
			),
		),
	),
	'hover_tab' => array(
		'type' => 'tab',
		'title' => __( 'Hover', 'intense' ),
		'fields' =>  array(
			'hover_effect' => array(
				'type' => 'dropdown',
				'title' => __( 'Hover Effect', 'intense' ),
				'options' => array(
					'effeckt' => __( 'Effeckt', 'intense' ),
					'adipoli' => __( 'Adipoli', 'intense' ),
					'subtle' => __( 'Subtle', 'intense' ),
				)
			),
			'starteffect' => array(
				'type' => 'dropdown',
				'title' => __( 'Start Effect', 'intense' ),
				'options' => array(
					'normal' => 'normal',
					'overlay' => 'overlay',
					'sliceDown' => 'sliceDown',
					'transparent' => 'transparent',
				),
				'class' => 'adipolisettings'
			),
			'hovereffect' => array(
				'type' => 'dropdown',
				'title' => __( 'Hover Effect', 'intense' ),
				'options' => array(
					'boxRain' => 'boxRain',
					'boxRainGrow' => 'boxRainGrow',
					'boxRainGrowReverse' => 'boxRainGrowReverse',
					'boxRainReverse' => 'boxRainReverse',
					'boxRandom' => 'boxRandom',
					'fold' => 'fold',
					'foldLeft' => 'foldLeft',
					'normal' => 'normal',
					'popout' => 'popout',
					'sliceDown' => 'sliceDown',
					'sliceDownLeft' => 'sliceDownLeft',
					'sliceUp' => 'sliceUp',
					'sliceUpDown' => 'sliceUpDown',
					'sliceUpDownLeft' => 'sliceUpDownLeft',
					'sliceUpLeft' => 'sliceUpLeft',
					'sliceUpRandom' => 'sliceUpRandom',
				),
				'class' => 'adipolisettings'
			),
			'effeckt' => array(
				'type' => 'dropdown',
				'title' => __( 'Effeckt', 'intense' ),
				'options' => array(
					'' => '',
					'1'  => __( 'Appear', 'intense' ),
					'2'  => __( 'Quarter Slide Up', 'intense' ),
					'3'  => __( 'Sqkwoosh', 'intense' ),
					'4'  => __( 'Quarter Slide Side', 'intense' ),
					'5'  => __( 'Cover Fade', 'intense' ),
					'6'  => __( 'Quarter Fall In', 'intense' ),
					'7'  => __( 'Quarter Two-Step', 'intense' ),
					'8'  => __( 'Cover Push Right', 'intense' ),
					'9'  => __( 'Quarter Caption Zoom', 'intense' ),
					'10' => __( 'Revolving Door', 'intense' ),
					'11' => __( 'Caption Offset', 'intense' ),
					'12' => __( 'Guillotine Reverse', 'intense' ),
					'13' => __( 'Half Slide', 'intense' ),
					'14' => __( 'Tunnel', 'intense' ),
					'15' => __( 'Cover Slide Top', 'intense' ),
				),
				'class' => 'effecktsettings'
			),
			'effecktcolor' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
				'default' => '#000000',
				'class' => 'effecktsettings'
			),
			'effecktopacity' => array(
				'type' => 'text',
				'title' => __( 'Background Opacity', 'intense' ),
				'description' => __( '0 - 100', 'intense' ),
				'default' => 80,
				'class' => 'effecktsettings'
			),
			'subtleeffect' => array(
				'type' => 'dropdown',
				'title' => __( 'Subtle Effect', 'intense' ),
				'options' => array(
					'' => '',
					'apollo' => 'Apollo',
					'bubba' => 'Bubba',
					'chico' => 'Chico',
					'dexter' => 'Dexter',
					'duke' => 'Duke',
					'goliath' => 'Goliath',
					'hera' => 'Hera',
					'honey' => 'Honey',
					'jazz' => 'Jazz',
					'julia' => 'Julia',
					'kira' => 'Kira',
					'layla' => 'Layla',
					'lexi' => 'Lexi',
					'lily' => 'Lily',
					'marley' => 'Marley',
					'milo' => 'Milo',
					'ming' => 'Ming',
					'moses' => 'Moses',
					'oscar' => 'Oscar',
					'phoebe' => 'Phoebe',
					'romeo' => 'Romeo',
					'roxy' => 'Roxy',
					'ruby' => 'Ruby',
					'sadie' => 'Sadie',
					'sarah' => 'Sarah',
					'selena' => 'Selena',
					'steve' => 'steve',
					'terry' => 'Terry',
					'winston' => 'Winston',
					'zoe' => 'Zoe'
				),
				'class' => 'subtlesettings'
			),
		),
	),
);
