<?php

global $intense_visions_options;

$this->fields = array(
	'source' => array(
		'type' => 'dropdown',
		'title' => __( 'Source', 'intense' ),
		'options' => array(
			'custom' => __( 'Custom', 'intense' ),
			'intense_clients' => __( 'Clients ', 'intense' ),
			'intense_events' => __( 'Events ', 'intense' ),
			'intense_jobs' => __( 'Jobs ', 'intense' ),
			'intense_locations' => __( 'Locations ', 'intense' ),
			'intense_project' => __( 'Projects ', 'intense' ),
			'intense_team' => __( 'Team Members ', 'intense' ),
		),
		'description' => __( 'Use Custom for adding your own markers. Other sources are from the different CPT\'s, use these to display markers for the addresses in these posts.', 'intense' ),
		'default' => 'custom'
	),
	'taxonomy' => array(
		'type' => 'taxonomy',
		'category' => 'category',
		'title' => __( 'Taxonomy', 'intense' ),
		'class' => 'cptsettings',
        'skinnable' => false
	),
	'categories' => array(
		'type' => 'category',
		'category' => 'category',
		'title' => __( 'Category(s)', 'intense' ),
		'description' => __( 'By default, all categories will be shown.', 'intense' ),
		'class' => 'cptsettings',
		'skinnable' => false
	),
	'include_post_ids' => array(
		'type' => 'text',
		'title' => __( 'Include Post IDs', 'intense' ),
		'description' => __( 'Comma delimited list of post IDs for a set list of posts that you want to show. Leave blank to not limit posts shown.', 'intense' ),
		'class' => 'cptsettings',
		'skinnable' => false
	),
	'address' => array(
		'type' => 'text',
		'title' => __( 'Address', 'intense' ),
		'class' => 'customsettings',
		'skinnable' => false
	),
	'latitude' => array(
		'type' => 'text',
		'title' => __( 'Latitude', 'intense' ),
		'class' => 'customsettings',
		'skinnable' => false
	),
	'longitude' => array(
		'type' => 'text',
		'title' => __( 'Longitude', 'intense' ),
		'class' => 'customsettings',
		'skinnable' => false
	),
	'title' => array(
		'type' => 'text',
		'title' => __( 'Title', 'intense' ),
		'class' => 'customsettings',
		'skinnable' => false
	),
	'description' => array(
		'type' => 'text',
		'title' => __( 'Description', 'intense' ),
		'class' => 'customsettings',
		'skinnable' => false
	),
	'markertype' => array(
		'type' => 'dropdown',
		'title' => __( 'Marker Type', 'intense' ),
		'options' => array(
			'MARKER' => __( 'Marker', 'intense' ),
			'icon' => __( 'Icon', 'intense' ),
			'BUBBLE' => __( 'Bubble', 'intense' ),
		),
		'class' => 'customsettings cptsettings'
	),
	'markertext' => array(
		'type' => 'text',
		'title' => __( 'Text', 'intense' ),
		'class' => 'bubblesettings',
		'skinnable' => false
	),
	'color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Color', 'intense' ),
		'class' => 'markersettings bubblesettings'
	),
	'animation' => array(
		'type' => 'dropdown',
		'title' => __( 'Animation', 'intense' ),
		'options' => array(
			'' => __( 'None', 'intense' ),
			'DROP' => __( 'Drop', 'intense' ),
			'BOUNCE' => __( 'Bounce', 'intense' ),
		),
		'class' => 'markersettings iconsettings bubblesettings'
	),
	'iconsource' => array(
		'type' => 'icon_source',
		'title' => __( 'Icon Source', 'intense' ),
		'default' => 'font-awesome',
		'class' => 'iconsettings',
		'composer_show_value' => true
	),
	'icontype' => array(
		'type' => 'icon',		
		'title' => __( 'Icon', 'intense' ),
		'description' => __( 'Some more complex icons may not work. If you want to change the color, you have to modify the SVG or create a new one in your theme/child theme.', 'intense' ),
		'class' => 'iconsettings',
		'composer_show_value' => true
	),
	// 'iconsize' => array(
	// 	'type' => 'dropdown',
	// 	'title' => __( 'Size', 'intense' ),
	// 	'options' => array(
	// 		'1' => '1',
	// 		'2' => '2',
	// 		'3' => '3',
	// 		'4' => '4',
	// 		'5' => '5'
	// 	),
	// 	'class' => 'iconsettings',
	// ),
	'iconheight' => array(
		'type' => 'text',
		'title' => __( 'Height', 'intense' ),
		'description' => __( 'If no height is set, the default is 32.', 'intense' ),
		'class' => 'iconsettings'
	),
	'iconwidth' => array(
		'type' => 'text',
		'title' => __( 'Width', 'intense' ),
		'description' => __( 'If no width is set, the default is 32.', 'intense' ),
		'class' => 'iconsettings'
	),
	'markerimage' => array(
		'type' => 'image',
		'title' => __( 'Custom Marker', 'intense' ),
		'description' => __( 'enter a WordPress attachment ID or a URL - Suggested size is 32x32, anchor will be bottom center', 'intense' ),
		'class' => 'markersettings',
		'skinnable' => false
	),
	'markeranchor' => array(
		'type' => 'text',
		'title' => __( 'Marker Anchor', 'intense' ),
		'description' => '0,0 is the top left of the image/icon, so the anchor would be 16,32 for a 32x32 image/icon when you want the point at the bottom center - default is 16,32 if a custom marker or icon is added) examples... "16,32", "0,32", "0,16"',
		'class' => 'markersettings iconsettings'
	),
	'markershadow' => array(
		'type' => 'image',
		'title' => __( 'Marker Shadow', 'intense' ),
		'description' => __( 'enter a WordPress attachment ID or a URL - suggested size is 32x32, anchor will be bottom center', 'intense' ),
		'class' => 'markersettings',
		'skinnable' => false
	),
	'markershadowanchor' => array(
		'type' => 'text',
		'title' => __( 'Shadow Anchor', 'intense' ),
		'description' => '0,0 is the top left of the image, so the anchor would be 16,32 for a 32x32 image when you want the point at the bottom center - default is 16,32 if a custom marker is added) examples... "16,32", "0,32", "0,16"',
		'class' => 'markersettings'
	),
);
