<?php

class Intense_Masonry extends Intense_Shortcode {

	function __construct() {
        parent::__construct();

		global $intense_visions_options;

		$this->title = __( 'Masonry', 'intense' );
		$this->description = __( 'Show content on your pages in a responsive masonry layout using the masonry shortcode. Set the width (% or px) of each masonry item. Masonry items fit together like bricks with the unused space being filled in the best possible way.', 'intense' );
		$this->category = __( 'Layout', 'intense' );
		$this->show_preview = false;
		$this->is_container = true;
	}

	function shortcode( $atts, $content = null ) {
		global $intense_visions_options;
		extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

		global $intense_masonry_gutter;

		$intense_masonry_gutter = $gutter;

		if ( empty( $intense_masonry_gutter ) ) $intense_masonry_gutter = '0';
		if ( empty( $id ) ) $id = rand();

		intense_add_script( 'packery' );		

		$init_script = '<script>
			function intenseInitMasonry() {
				var $ = jQuery;
					var $container = $(".intense.masonry");
					$container.packery({
					  itemSelector: ".item",
					  gutter: 0,
					  isOriginLeft: ' . ( is_rtl() ? 'false' : 'true' ) . '
					});
				return $container;
			}

			jQuery(function($){ $(window).load(function() { 
				setTimeout(intenseInitMasonry, 250);
				intenseInitMasonry();
            }); });</script>';

		return $init_script . '<div id="' . $id . '" class="intense masonry' . ( !empty( $class ) ? ' ' . $class : '' ) . '" style="position: relative;">' . do_shortcode( $content ) . '</div><div class="clearfix"></div>';
	}
}
