<?php

class Intense_Menu extends Intense_Shortcode {

	function __construct() {
        parent::__construct();

		global $intense_visions_options;

		$this->title = __( 'Menu', 'intense' );
		$this->description = __( 'Add vertical or horizontal menus to your WordPress site using the menu shortcode. The horizontal menu will automatically switch to a mobile friendly version when applicable.', 'intense' );
		$this->category = __( 'Layout', 'intense' );
		$this->show_preview = true;
	}

	function shortcode( $atts, $content = null ) {
		global $intense_visions_options;
		extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

		intense_add_script( 'jquery.scrollspy' );
		intense_add_style( 'intense.menu' );
		intense_add_script( 'intense.menu' );
		intense_add_script( 'smooth-scroll' );		

		if ( $type == 'horizontal' ) {
			intense_add_script( 'hoverintent' );
			intense_add_script( 'superfish' );
			intense_add_script( 'slicknav');
			intense_add_style( 'slicknav');
		}

		if ( empty( $name ) && empty( $theme_location ) ) return;

		if ( empty( $id ) ) $id = 'menu_' . rand();

		$output = '';
		$style = '';
		$hover_style = '';
		$radius = '';
		$hover_radius = '';
		$top_style = '';
		$top_hover_style = '';
		$top_active_style = '';
		$top_active_hover_style = '';

		$background_color = intense_get_plugin_color( $background_color );
		$font_color = intense_get_plugin_color( $font_color );
		$hover_background_color = intense_get_plugin_color( $hover_background_color );
		$hover_font_color = intense_get_plugin_color( $hover_font_color );
		$top_font_color = intense_get_plugin_color( $top_font_color );
		$top_background_color =  intense_get_plugin_color( $top_background_color );
		$top_hover_font_color = intense_get_plugin_color( $top_hover_font_color );
		$top_hover_background_color = intense_get_plugin_color( $top_hover_background_color );
		$top_active_font_color = intense_get_plugin_color( $top_active_font_color );
		$top_active_background_color = intense_get_plugin_color( $top_active_background_color );
		$top_active_hover_font_color = intense_get_plugin_color( $top_active_hover_font_color );
		$top_active_hover_background_color = intense_get_plugin_color( $top_active_hover_background_color );

		if ( !empty( $background_color ) ) $style .= 'background: ' . $background_color . ' !important;';
		if ( !empty( $font_color ) ) $style .= 'color: ' . $font_color . ' !important;';
		if ( !empty( $hover_background_color ) ) $hover_style .= 'background: ' . $hover_background_color . ' !important;';
		if ( !empty( $hover_font_color ) ) $hover_style .= 'color: ' . $hover_font_color . ' !important;';
		if ( !empty( $top_background_color ) ) $top_style .= 'background: ' . $top_background_color . ' !important;';
		if ( !empty( $top_font_color ) ) $top_style .= 'color: ' . $top_font_color . ' !important;';
		if ( !empty( $top_hover_background_color ) ) $top_hover_style .= 'background: ' . $top_hover_background_color . ' !important;';
		if ( !empty( $top_hover_font_color ) ) $top_hover_style .= 'color: ' . $top_hover_font_color . ' !important;';
		if ( !empty( $top_active_background_color ) ) $top_active_style .= 'background: ' . $top_active_background_color . ' !important;';
		if ( !empty( $top_active_font_color ) ) $top_active_style .= 'color: ' . $top_active_font_color . ' !important;';
		if ( !empty( $top_active_hover_background_color ) ) $top_active_hover_style .= 'background: ' . $top_active_hover_background_color . ' !important;';
		if ( !empty( $top_active_hover_font_color ) ) $top_active_hover_style .= 'color: ' . $top_active_hover_font_color . ' !important;';

		$border_style = null;
		$border_top_style = null;
		$border_right_style = null;
		$border_bottom_style = null;
		$border_left_style = null;

		if ( isset( $border ) ) $border_style = "border: " . $border . ' !important;';
		if ( isset( $border_top ) ) $border_top_style = "border-top: " . $border_top . ' !important;';
		if ( isset( $border_right ) ) $border_right_style = "border-right: " . $border_right . ' !important;';
		if ( isset( $border_bottom ) ) $border_bottom_style = "border-bottom: " . $border_bottom . ' !important;';
		if ( isset( $border_left ) ) $border_left_style = "border-left: " . $border_left . ' !important;';
		if ( isset( $border_radius ) ) $radius = 'border-radius:' . $border_radius . ';';

		$hover_border_style = null;
		$hover_border_top_style = null;
		$hover_border_right_style = null;
		$hover_border_bottom_style = null;
		$hover_border_left_style = null;

		if ( isset( $hover_border ) ) $hover_border_style = "border: " . $hover_border . ' !important;';
		if ( isset( $hover_border_top ) ) $hover_border_top_style = "border-top: " . $hover_border_top . ' !important;';
		if ( isset( $hover_border_right ) ) $hover_border_right_style = "border-right: " . $hover_border_right . ' !important;';
		if ( isset( $hover_border_bottom ) ) $hover_border_bottom_style = "border-bottom: " . $hover_border_bottom . ' !important;';
		if ( isset( $hover_border_left ) ) $hover_border_left_style = "border-left: " . $hover_border_left . ' !important;';
		if ( isset( $hover_border_radius ) ) $hover_radius = 'border-radius:' . $hover_border_radius . ';';

		$top_radius = '';

        if ( $top_border_radius != '' ) {
            $top_radius = ' border-radius:' . $top_border_radius . ';';
        } 

		if ( is_numeric( $padding_top ) && $padding_top != 0 ) $padding_top .= "px";
        if ( is_numeric( $padding_bottom ) && $padding_bottom != 0 ) $padding_bottom .= "px";
        if ( is_numeric( $padding_left ) && $padding_left != 0 ) $padding_left .= "px";
        if ( is_numeric( $padding_right ) && $padding_right != 0 ) $padding_right .= "px";

        $padding = ( !empty( $padding_top ) ? ' padding-top: ' . $padding_top . '; ' : '' ) .
            ( !empty( $padding_bottom ) ? ' padding-bottom: ' . $padding_bottom . '; ' : '' ) .
            ( !empty( $padding_left ) ? ' padding-left: ' . $padding_left . '; ' : '' ) .
            ( !empty( $padding_right ) ? ' padding-right: ' . $padding_right . '; ' : '' );

        if ( is_numeric( $margin_top ) && $margin_top != 0 ) $margin_top .= "px";
        if ( is_numeric( $margin_bottom ) && $margin_bottom != 0 ) $margin_bottom .= "px";
        if ( is_numeric( $margin_left ) && $margin_left != 0 ) $margin_left .= "px";
        if ( is_numeric( $margin_right ) && $margin_right != 0 ) $margin_right .= "px";

        $margin = ( !empty( $margin_top ) ? ' margin-top: ' . $margin_top . '; ' : '' ) .
            ( !empty( $margin_bottom ) ? ' margin-bottom: ' . $margin_bottom . '; ' : '' ) .
            ( !empty( $margin_left ) ? ' margin-left: ' . $margin_left . '; ' : '' ) .
            ( !empty( $margin_right ) ? ' margin-right: ' . $margin_right . '; ' : '' );  

		$top_style .= $border_style . $border_top_style . $border_right_style . $border_bottom_style . $border_left_style . $radius;
		$top_style .= $padding . $margin;

		$top_hover_style .= $hover_border_style . $hover_border_top_style . $hover_border_right_style . $hover_border_bottom_style . $hover_border_left_style . $radius;
		$top_hover_style .= $hover_radius;

		if ( !empty( $style ) || !empty( $hover_style ) || !empty( $top_style ) || !empty( $top_hover_style ) ) {
			$output .= '<style>';
			$output .= !empty( $style ) ? '#' . $id . ' li > a {' . $style . '}' : '';
			$output .= !empty( $hover_style ) ? '#' . $id . ' li > a:hover {' . $hover_style . '}' : '';
			//$output .= !empty( $hover_style ) ? '#' . $id . ' li.current-menu-item, #' . $id . ' li.current-menu-item > a {' . $hover_style . '}' : '';			
			$output .= !empty( $top_active_style ) ? '#' . $id . ' li.current-menu-item, #' . $id . ' li.current-menu-item > a {' . $top_active_style . '}' : '';
			$output .= empty( $top_active_style ) && !empty( $hover_style ) ? '#' . $id . ' li.current-menu-item, #' . $id . ' li.current-menu-item > a {' . $hover_style . '}' : '';
			$output .= !empty( $top_active_hover_style ) ? '#' . $id . ' li.current-menu-item:hover, #' . $id . ' li.current-menu-item > a:hover {' . $top_active_hover_style . '}' : '';

			$output .= !empty( $top_style ) ? '#' . $id . ' > li > a  {' . $top_style . '}' : '';
			$output .= !empty( $top_hover_style ) ? '#' . $id . ' > li > a:hover {' . $top_hover_style . '}' : '';
			//$output .= !empty( $top_hover_style ) ? '#' . $id . ' > li, #' . $id . ' > li > a {' . $top_hover_style . '}' : '';
			
			$output .= !empty( $top_radius ) ? '#' . $id . ' > li, #' . $id . ' > li.current-menu-item, #' . $id . ' > li > a, #' . $id . ' > li.current-menu-item > a {' . $top_radius . '}' : '';
			$output .= '</style>';
		}		

		$link_before = !empty( $icon_before ) ? intense_run_shortcode( 'intense_icon', array( 'source' => $icon_before_source, 'type' => $icon_before, 'extra_class' => 'hide icon-before' . ( $icon_before_parents_only ? ' only-parents' : '' ) ) ) : '';
		$link_after = !empty( $icon_after ) ? intense_run_shortcode( 'intense_icon', array( 'source' => $icon_after_source, 'type' => $icon_after, 'extra_class' => 'hide icon-after' . ( $icon_after_parents_only ? ' only-parents' : '' )) ) : '';

		$menu_args = array(
			'echo' => false,
			'menu' => $name,
			'menu_id' => $id,
			'theme_location' => $theme_location,
			'container' => false,
			'fallback_cb' => array( __CLASS__, 'fallback_cb' ),
			'link_before' => $link_before,
			'link_after' => $link_after,
			'menu_class'=> 'intense menu' . ( !empty( $class ) ? ' ' . $class : '' ) . ( $type == 'horizontal' ? ' horizontal sf-menu' : ' vertical' )
		);

		$output .= '<span id="' . $id . '_parent">';

		$output .= wp_nav_menu( $menu_args );

		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		
		$mobile_responsive = 
			( !isset( $mobile_responsive ) || $mobile_responsive ) && 
			!is_plugin_active('ubermenu/ubermenu.php') && 			
			!is_plugin_active('megamenu/megamenu.php');

		if ( $type == 'horizontal' && $mobile_responsive ) {
			$menu_args['menu_id'] = $id . '_mobile';
			$menu_args['menu_class'] = 'intense menu mobile';

			$output .= wp_nav_menu( $menu_args );
		}

		$output .= '</span>';

		return $output;
	}

	public static function fallback_cb() {
		return __( "This menu either doesn't exist or is empty", 'intense' );
	}

	public static function get_menus() {
		return get_terms( 'nav_menu', array( 'hide_empty' => true ) );
	}

	/**
	 * Gets a list of menus that can be used for the dropdown field
	 *
	 * @return array list of menus with the name as the key and value
	 */
	public static function get_menus_option_array() {
		$options = array('' => '');
		$menus = Intense_Menu::get_menus();

		foreach ( $menus as $key => $menu ) {
			$options[ $menu->name ] = $menu->name;
		}

		return $options;
	}	
}
