<?php

global $intense_visions_options;

$this->fields = array(
	'post' => array(
		'type' => 'text',
		'title' => __( 'Post ID', 'intense' ),
		'description' => __( 'if left blank, the current post will be used. The preview may not function unless specified.', 'intense' ),
		'default' => ( isset( $post ) ? $post->ID : null ),
		'skinnable' => false
	),	
	'type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'options' => array(
			'field' => __( 'Field', 'intense' ),
			'template' => __( 'Template', 'intense' ),
		),
	),
	'template' => array(
		'type' => 'template',
		'title' => __( 'Template', 'intense' ),
		'description' => __( 'the template files should be located in the intense_templates/metadata/ folder in your theme or child theme.', 'intense' ),
		'path' => '/metadata/',
		'class' => 'templatesettings',
	),
	'show_comments' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Comments', 'intense' ),
		'default' => 1,
		'class' => 'templatesettings'
	),
	'show_author' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Author', 'intense' ),
		'default' => 1,
		'class' => 'templatesettings'
	),
	'show_categories' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Categories', 'intense' ),
		'default' => 1,
		'class' => 'templatesettings'
	),
	'show_tags' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Tags', 'intense' ),		
		'class' => 'templatesettings'
	),
	'show_date' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Date', 'intense' ),
		'default' => 1,
		'class' => 'templatesettings'
	),
	'date_format' => array(
		'type' => 'text',
		'title' => __( 'Date Format', 'intense' ),		
		'description' => __( 'If empty, the \'Date Format\' on Settings > General panel will be used. See <a href="http://codex.wordpress.org/Formatting_Date_and_Time" target="_blank">Formatting Date and Time</a>', 'intense' ),
		'class' => 'templatesettings'
	),	
	'meta_key' => array(
		'type' => 'text',
		'title' => __( 'Key', 'intense' ),
		'description' => __( 'if you are unsure which keys are available, enter a post id and preview to see a list of keys', 'intense' ),
		'class' => 'fieldsettings'
	),
	'fallback' => array(
		'type' => 'text',
		'title' => __( 'Fallback text', 'intense' ),
		'description' => __( 'text to show if there isn\'t a value', 'intense' ),
		'class' => 'fieldsettings'
	)
);
