<?php

global $intense_visions_options;

$this->fields = array(
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'optional - used to set the client-side ID', 'intense' ),
				'skinnable' => false
			),					
			'shadow' => array(
				'type' => 'shadow',
				'title' => __( 'Shadow', 'intense' ),
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			)
		)
	),
	'title_tab' => array(
		'type' => 'tab',
		'title' => __( 'Title', 'intense' ),
		'fields' =>  array(
			'title' => array(
				'type' => 'text',
				'title' => __( 'Text', 'intense' ),				
				'skinnable' => false
			),
			'title_tag' => array(
				'type' => 'dropdown',
				'title' => __( 'Tag', 'intense' ),
				'options' => array(
					'' => '',
					'h1' => 'h1',
					'h2' => 'h2',
					'h3' => 'h3',
					'h4' => 'h4',
					'h5' => 'h5',
					'h6' => 'h6'					
				),
			),
			'title_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
				'default' => 'primary'
			),
			'title_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Font Color', 'intense' ),
				'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
				'default' => ''
			),			
		)
	),
	'body_tab' => array(
		'type' => 'tab',
		'title' => __( 'Body', 'intense' ),
		'fields' =>  array(			
			'color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
				'default' => '#ffffff'
			),
			'font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Font Color', 'intense' ),
				'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
				'default' => ''
			),			
		)
	),
	'footer_tab' => array(
		'type' => 'tab',
		'title' => __( 'Footer', 'intense' ),
		'fields' =>  array(	
			'footer' => array(
				'type' => 'text',
				'title' => __( 'Footer', 'intense' ),				
				'skinnable' => false
			),
			'footer_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Footer Color', 'intense' ),
				'default' => 'primary'
			),
			'footer_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Font Color', 'intense' ),
				'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
				'default' => ''
			),
		)
	),
	'borders_tab' => array(
		'type' => 'tab',
		'title' => __( 'Borders', 'intense' ),
		'fields' =>  array(
			'border' => array(
				'type' => 'border',
				'title' => __( 'All Borders', 'intense' ),				
			),
			'border_top' => array(
				'type' => 'border',
				'title' => __( 'Top Border', 'intense' ),
			),
			'border_right' => array(
				'type' => 'border',
				'title' => __( 'Right Border', 'intense' ),
			),
			'border_bottom' => array(
				'type' => 'border',
				'title' => __( 'Bottom Border', 'intense' ),
			),
			'border_left' => array(
				'type' => 'border',
				'title' => __( 'Left Border', 'intense' ),
			),
			'top_left_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Top Left Border Radius', 'intense' ),
			),
			'top_right_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Top Right Border Radius', 'intense' ),
			),
			'bottom_left_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Bottom Left Border Radius', 'intense' ),
			),
			'bottom_right_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Bottom Right Border Radius', 'intense' ),
			),

		)
	),
	'layout_tab' => array(
		'type' => 'tab',
		'title' => __( 'Layout', 'intense' ),
		'fields' =>  array(
			'margin_top' => array(
				'type' => 'text',
				'title' => __( 'Margin Top', 'intense' ),				
			),
			'margin_bottom' => array(
				'type' => 'text',
				'title' => __( 'Margin Bottom', 'intense' ),
				'default' => "10"
			),
			'margin_left' => array(
				'type' => 'text',
				'title' => __( 'Margin Left', 'intense' ),
			),
			'margin_right' => array(
				'type' => 'text',
				'title' => __( 'Margin Right', 'intense' ),
			),
			'padding_top' => array(
				'type' => 'text',
				'title' => __( 'Padding Top', 'intense' ),
			),
			'padding_bottom' => array(
				'type' => 'text',
				'title' => __( 'Padding Bottom', 'intense' ),
			),
			'padding_left' => array(
				'type' => 'text',
				'title' => __( 'Padding Left', 'intense' ),
			),
			'padding_right' => array(
				'type' => 'text',
				'title' => __( 'Padding Right', 'intense' ),
			),
		)
	),
);
