<?php

global $intense_visions_options;

$this->fields = array(
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'optional', 'intense' ),
				'skinnable' => false
			),
			'size' => array(
				'type' => 'dropdown',
				'title' => __( 'Size', 'intense' ),
				'options' => array(
					'fullboxed' => __( '100% Full Width with Boxed Content', 'intense' ),
					'full' => __( '100% Full Width', 'intense' ),
					'partial' => __( 'Partial Width with Boxed Content', 'intense' ),
				)
			),
			'background_type' => array(
				'type' => 'dropdown',
				'title' => __( 'Background Type', 'intense' ),
				'options' => array(
					'' => __( 'None', 'intense' ),
					'color' => __( 'Color', 'intense' ),
					'image' => __( 'Image', 'intense' )
				)
			),
			'image' => array(
				'type' => 'image',
				'title' => __( 'Image', 'intense' ),
				'class' => 'imagesettings',
				'skinnable' => false
			),
			'imageid' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
			'imageurl' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
			'imagesize' => array(
				'type' => 'image_size',
				'title' => __( 'Image Size', 'intense' ),
				'default' => 'large1600',
				'class' => 'imagesettings',
			),
			'imagemode' => array(
				'type' => 'dropdown',
				'title' => __( 'Background Mode', 'intense' ),
				'options' => array(
					'full' => __( 'Full', 'intense' ),
					'parallax' => __( 'Parallax', 'intense' ),
					'fixed' => __( 'Parallax - Fixed', 'intense' ),
					'repeat' => __( 'Repeat', 'intense' ),
					'repeat-x' => __( 'Repeat-X', 'intense' ),
					'repeat-y' => __( 'Repeat-Y', 'intense' ),
				),
				'class' => 'imagesettings',
			),
			'background_image_position' => array(
				'type' => 'text',
				'title' => __( 'Background Image Position', 'intense' ),
				'description' => __( 'sets the background image position according to the background-image CSS property rules', 'intense' ),
				'default' => '50% 50%',
				'class' => 'fullimagesettings'
			),
			'image_horizontal_position' => array(
				'type' => 'dropdown',
				'title' => __( 'Horizontal Position', 'intense' ),
				'default' => '',
				'options' => array(
					'' => __( 'Left', 'intense' ),
					'right' => __( 'Right', 'intense' ),
					'center' => __( 'Center', 'intense' ),
				),
				'class' => 'parallaxsettings'
			),
			'speed' => array(
				'type' => 'text',
				'title' => __( 'Parallax Speed', 'intense' ),
				'description' => __( 'Parallax mode only - default 2', 'intense' ),
				'default' => 2,
				'class' => 'parallaxsettings'
			),
			'background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
				'class' => 'colorsettings'
			),
			'box_class' => array(
				'type' => 'text',
				'title' => __( 'Boxed Content Class', 'intense' ),
				'description' => __( 'optional css class name to apply to the boxed content within the content section', 'intense' ),
				'default' => $intense_visions_options['intense_content_section_box_class'],
				'skinnable' => false
			),
			'height' => array(
				'type' => 'text',
				'title' => __( 'Height', 'intense' ),
				'description' => __( 'optional - manually sets the height of the content section', 'intense' ),
			),
			'full_height' => array(
				'type' => 'checkbox',
				'title' => __( 'Full Height', 'intense' ),
				'description' => __( 'automatically sized to the window height', 'intense' ),
			),
			'height_adjustment' => array(
				'type' => 'text',
				'title' => __( 'Height Adjustment', 'intense' ),
				'description' => __( 'subtracted from computed full height', 'intense' ),
			),
			'breakout' => array(
				'type' => 'checkbox',
				'title' => __( 'Break Out', 'intense' ),
				'description' => __( 'tries to break out of its parent container to force full width. May be needed if theme doesn\'t support full width pages/posts', 'intense' ),
				'default' => $intense_visions_options['intense_content_section_breakout'],
				'skinnable' => false
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			),
		)
	),
	'layout_tab' => array(
		'type' => 'tab',
		'title' => __( 'Layout', 'intense' ),
		'fields' =>  array(
			'margin_top' => array(
				'type' => 'text',
				'title' => __( 'Margin Top', 'intense' ),
				'default' => $intense_visions_options['intense_content_section_default_margin']['margin-top'],
				'skinnable' => false
			),
			'margin_bottom' => array(
				'type' => 'text',
				'title' => __( 'Margin Bottom', 'intense' ),
				'default' => $intense_visions_options['intense_content_section_default_margin']['margin-bottom'],
				'skinnable' => false
			),
			'margin_left' => array(
				'type' => 'text',
				'title' => __( 'Margin Left', 'intense' ),
				'default' => $intense_visions_options['intense_content_section_default_margin']['margin-left'],
				'skinnable' => false
			),
			'margin_right' => array(
				'type' => 'text',
				'title' => __( 'Margin Right', 'intense' ),
				'default' => $intense_visions_options['intense_content_section_default_margin']['margin-right'],
				'skinnable' => false
			),
			'padding_top' => array(
				'type' => 'text',
				'title' => __( 'Padding Top', 'intense' ),
				'default' => $intense_visions_options['intense_content_section_default_padding']['padding-top'],
				'skinnable' => false
			),
			'padding_bottom' => array(
				'type' => 'text',
				'title' => __( 'Padding Bottom', 'intense' ),
				'default' => $intense_visions_options['intense_content_section_default_padding']['padding-bottom'],
				'skinnable' => false
			),
			'padding_left' => array(
				'type' => 'text',
				'title' => __( 'Padding Left', 'intense' ),
				'default' => $intense_visions_options['intense_content_section_default_padding']['padding-left'],
				'skinnable' => false
			),
			'padding_right' => array(
				'type' => 'text',
				'title' => __( 'Padding Right', 'intense' ),
				'default' => $intense_visions_options['intense_content_section_default_padding']['padding-right'],
				'skinnable' => false
			),
		)
	),
	'overlay_tab' => array(
		'type' => 'tab',
		'title' => __( 'Overlay', 'intense' ),
		'fields' =>  array(
			'overlay_image' => array(
				'type' => 'image',
				'title' => __( 'Image', 'intense' ),
				'description' => __( 'Use a semi-transparent image to overlay the background image.', 'intense' ),
				'skinnable' => false
			),
			'overlay_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
				'description' => __( 'This color will overlay the background image. Make sure to set an opacity.', 'intense' )
			),
			'overlay_opacity' => array(
				'type' => 'text',
				'title' => __( 'Opacity', 'intense' ),
				'description' => __( '0 - 100: leave blank for solid color (used with Color).', 'intense' )
			),
			'overlay_gradient' => array(
				'type' => 'dropdown',
				'title' => __( 'Gradient Type', 'intense' ),
				'options' => array(
					'' => __( 'None', 'intense' ),
					'linear' => __( 'Linear', 'intense' ),
					'radial' => __( 'Radial', 'intense' )
				),
				'description' => __( 'This option will set an overlay that has a gradient effect. For best results, set all gradient options below.', 'intense' )
			),
			'overlay_gradient_start_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Gradient Start Color', 'intense' ),
				'description' => __( 'This color will overlay the background image. Make sure to set the gradient start opacity.', 'intense' )
			),
			'overlay_gradient_start_opacity' => array(
				'type' => 'text',
				'title' => __( 'Gradient Start Opacity', 'intense' ),
				'description' => __( '0 - 100: leave blank for solid color (used with Gradient Start Color).', 'intense' )
			),
			'overlay_gradient_end_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Gradient End Color', 'intense' ),
				'description' => __( 'This color will overlay the background image. Make sure to set the gradient end opacity.', 'intense' )
			),
			'overlay_gradient_end_opacity' => array(
				'type' => 'text',
				'title' => __( 'Gradient End Opacity', 'intense' ),
				'description' => __( '0 - 100: leave blank for solid color (used with Gradient End Color).', 'intense' )
			),
		)
	),
	'borders_tab' => array(
		'type' => 'tab',
		'title' => __( 'Borders', 'intense' ),
		'fields' =>  array(
			'border' => array(
				'type' => 'border',
				'title' => __( 'All Borders', 'intense' ),
			),
			'border_top' => array(
				'type' => 'border',
				'title' => __( 'Top Border', 'intense' ),
			),
			'border_right' => array(
				'type' => 'border',
				'title' => __( 'Right Border', 'intense' ),
			),
			'border_bottom' => array(
				'type' => 'border',
				'title' => __( 'Bottom Border', 'intense' ),
			),
			'border_left' => array(
				'type' => 'border',
				'title' => __( 'Left Border', 'intense' ),
			),
			'border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
			),
		)
	),
	'advance_tab' => array(
		'type' => 'tab',
		'title' => __( 'Advance Button', 'intense' ),
		'fields' =>  array(
			'show_advance' => array(
				'type' => 'checkbox',
				'title' => __( 'Enable', 'intense' ),
				'description' => __( 'when enabled, a button will show that allows users to advance to another part of the page', 'intense' ),
			),
			'advance_target_id' => array(
				'type' => 'text',
				'title' => __( 'Target ID', 'intense' ),
				'description' => __( 'leave blank to advance to just below the content section', 'intense' )
			),
			'advance_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Size', 'intense' ),
				'default' => 'large',
				'options' => array(
					'default' => __( 'default', 'intense' ),
					'mini' => __( 'mini', 'intense' ),
					'small' => __( 'small', 'intense' ),
					'medium' => __( 'medium', 'intense' ),
					'large' => __( 'large', 'intense' )
				)
			),
			'advance_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
				'default' => 'primary',
			),
			'advance_icon_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Icon Source', 'intense' ),
				'default' => 'font-awesome',
			),
			'advance_icon' => array(
				'type' => 'icon',
				'title' => __( 'Icon', 'intense' ),
				'default' => 'chevron-down',
				'class' => 'select2'
			),
			'advance_icon_position' => array(
				'type' => 'dropdown',
				'title' => __( 'Icon Position', 'intense' ),
				'options' => array(
					'left' => __( 'Left', 'intense' ),
					'right' => __( 'Right', 'intense' ),
				)
			),
			'advance_text' => array(
				'type' => 'text',
				'title' => __( 'Text', 'intense' ),
			),
		)
	),
	'advance_arrow_tab' => array(
		'type' => 'tab',
		'title' => __( 'Advance Arrow', 'intense' ),
		'fields' =>  array(
			'show_advance_arrow' => array(
				'type' => 'checkbox',
				'title' => __( 'Enable', 'intense' ),
				'description' => __( 'when enabled, an arrow will show that encourages the users to advance to the next part of the page', 'intense' ),
			),
			'advance_arrow_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
				'description' => __( 'will usually be set to match the next section to create a seemless look', 'intense' ),
				'default' => '#fff',
			),
			'advance_arrow_position' => array(
				'type' => 'text',
				'title' => __( 'Position', 'intense' ),
				'default' => 50,
				'description' => __( 'percent offset from the left (ex. 50 is in the center of the page)', 'intense' ),
			),
		)
	),
	'layers_tab' => array(
		'type' => 'tab',
		'title' => __( 'Layers', 'intense' ),
		'fields' =>  array(
			'parallax_scene_layer' => array(
				'type' => 'repeater',
				'title' => __( 'Layers', 'intense' ),
				'fields' => array(
					'layer_depth' => array(
						'type' => 'text',
						'title' => __( 'Depth', 'intense' ),
						'description' => __( 'A number between 0.00 and 1.00 (depth of 0.00 will remain stationary wile a depth 1.00 will cause the layer to move by the total effect of the calculated motion', 'intense' ),
					),
					'layer_opacity' => array(
						'type' => 'text',
						'title' => __( 'Opacity', 'intense' ),
						'description' => __( '0 - 100: leave blank for solid.', 'intense' )
					),
					'layer_class' => array(
						'type' => 'text',
						'title' => __( 'CSS Class', 'intense' ),
						'description' => __( 'optional', 'intense' ),
					),
					'layer_lock' => array(
						'type' => 'dropdown',
						'title' => __( 'Lock Direction', 'intense' ),
						'default' => '',
						'options' => array(
							'' => __( 'No Lock', 'intense' ),
							'horizontal' => __( 'Horizontal', 'intense' ),
							'vertical' => __( 'Vertical', 'intense' ),
							),
						'description' => __( 'Lock the direction in which the scene moves.', 'intense' ),
					),
				)
			),
		)
	),
);
