<?php

class Intense_Person_Custom_Social extends Intense_Shortcode {

	function __construct() {
		parent::__construct();

		global $intense_visions_options;

		$this->title = __( 'Person Custom Social', 'intense' );
		$this->category = __( 'Layout', 'intense' );
		$this->show_preview = true;
		$this->hidden = true;
		$this->parent = 'intense_person';
	}

	function shortcode( $atts, $content = null ) {
		global $intense_visions_options;
		extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

		//gather custom social icons into a global array that can be passed to the person shortcode template
		global $intense_person_custom_social;
		global $intense_person_social_size;

		if ( is_numeric( $image ) ) {
			$photo = Intense_Photo_Source::get_wordpress_photo( $image, $intense_person_social_size );			
			$atts['image'] = $photo['url'];
		} else if ( !empty( $image ) ) {
			$atts['image'] = $image;
		}

		$intense_person_custom_social[] = $atts;

		return '';
	}
}
