<?php

global $intense_visions_options;

$this->fields = array(
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'template' => array(
				'type' => 'template',
				'title' => __( 'Template', 'intense' ),
				'path' => '/person/',
				'default' => 'top'
			),
			'image' => array(
				'type' => 'image',
				'title' => __( 'Image', 'intense' ),
				'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
				'skinnable' => false
			),
			'imageid' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
			'imageurl' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
			'imageposition' => array( 'type' => 'deprecated', 'description' => 'use template instead' ),
			'imageshadow' => array(
				'type' => 'shadow',
				'title' => __( 'Shadow', 'intense' ),
			),
			'border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
			),
			'size' => array(
				'type' => 'image_size',
				'title' => __( 'Image Size', 'intense' ),
				'default' => 'large'
			),
			'name' => array(
				'type' => 'text',
				'title' => __( 'Name', 'intense' ),
				'skinnable' => false
			),
			'title' => array(
				'type' => 'text',
				'title' => __( 'Title', 'intense' ),
				'skinnable' => false
			),
		)
	),
	'social_tab' => array(
		'type' => 'tab',
		'title' => __( 'Social', 'intense' ),
		'fields' =>  array(
			'facebook' => array(
				'type' => 'text',
				'title' => __( 'Facebook URL', 'intense' ),
				'skinnable' => false
			),
			'twitter' => array(
				'type' => 'text',
				'title' => __( 'Twitter URL', 'intense' ),
				'skinnable' => false
			),
			'linkedin' => array(
				'type' => 'text',
				'title' => __( 'LinkedIn URL', 'intense' ),
				'skinnable' => false
			),
			'googleplus' => array(
				'type' => 'text',
				'title' => __( 'Google+ URL', 'intense' ),
				'skinnable' => false
			),
			'dribbble' => array(
				'type' => 'text',
				'title' => __( 'Dribbble URL', 'intense' ),
				'skinnable' => false
			),
			'instagram' => array(
				'type' => 'text',
				'title' => __( 'Instagram URL', 'intense' ),
				'skinnable' => false
			),
			'tumblr' => array(
				'type' => 'text',
				'title' => __( 'Tumblr URL', 'intense' ),
				'skinnable' => false
			),
			'pinterest' => array(
				'type' => 'text',
				'title' => __( 'Pinterest URL', 'intense' ),
				'skinnable' => false
			),
			'spotify' => array(
				'type' => 'text',
				'title' => __( 'Spotify URL', 'intense' ),
				'skinnable' => false
			),
			'youtube' => array(
				'type' => 'text',
				'title' => __( 'Youtube URL', 'intense' ),
				'skinnable' => false
			),
			'social_target' => array(
				'type' => 'link_target',
				'title' => __( 'Target', 'intense' ),
			),
			'social_rel' => array(
				'type' => 'rel',
				'title' => __( 'Rel', 'intense' ),
			),
			'social_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Size', 'intense' ),
				'options' => array(
					"32" => '32',
					"31" => '31',
					"30" => '30',
					"29" => '20',
					"28" => '28',
					"27" => '27',
					"26" => '26',
					"25" => '25',
					"24" => '24',
					"23" => '23',
					"22" => '22',
					"21" => '21',
					"20" => '20',
					"19" => '19',
					"18" => '18',
					"17" => '17',
					"16" => '16',
					"15" => '15',
					"14" => '14',
					"13" => '13',
					"12" => '12',
					"11" => '11',
					"10" => '10',
					"9" => '9',
					"8" => '8'
				),
				'default' => '22'
			),
			'person_custom_social' => array(
				'type' => 'repeater',
				'title' => __( 'Custom Social Links', 'intense' ),
				'fields' => array(
					'title' => array(
						'type' => 'text',
						'title' => __( 'Title', 'intense' ),
						'skinnable' => false
					),
					'link' => array(
						'type' => 'text',
						'title' => __( 'Link', 'intense' ),
						'description' => __( 'URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
						'skinnable' => false
					),
					'image' => array(
						'type' => 'image',
						'title' => __( 'Image', 'intense' ),
						'skinnable' => false
					),
				),
			),
			'custom_social' => array( 'type' => 'deprecated', 'description' => 'use intense_person_custom_social instead' ),
		),
	)
);
