<?php

$this->fields = array(
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'postid' => array(
				'type' => 'text',
				'title' => __( 'Post ID', 'intense' ),
				'description' => __( 'Include a Post ID if you want images from a specific post, otherwise the current/active post will be used.', 'intense' ),
				'class' => 'wpsettings'
			),
			'template' => array(
				'type' => 'template',
				'title' => __( 'Template', 'intense' ),
				'path' => '/post-media/',
				'default' => 'standard'
			),
			'template_link_url' => array(
				'type' => 'text',
				'title' => __( 'Template Link URL', 'intense' ),
				'description' => __( 'The link to use within the templates. This is usually the template_link sent from the custom post shortcode.')
			),
			'custom_post_field' => array(
				'type' => 'text',
				'title' => __( 'Custom Post Type Image Field', 'intense' ),
				'description' => __( 'The custom post type image field to use for the primary image. If left blank, the featured images will be used.')
			),
			'size' => array(
				'type' => 'image_size',
				'title' => __( 'Image Size', 'intense' ),
				'default' => 'full',
				'class' => 'wpsettings'
			),
			// 'lightbox_type' => array(
			// 	'type' => 'dropdown',
			// 	'title' => __( 'Lightbox Type', 'intense' ),
			// 	'options' => array(
			// 		'' => '',
			// 		'colorbox' => __( 'Colorbox', 'intense' ), //image, iframe, html
			// 		'magnificpopup' => __( 'Magnific Popup', 'intense' ), //image, iframe, html
			// 		'photoswipe' => __( 'PhotoSwipe', 'intense' ), //image
			// 		'prettyphoto' => __( 'PrettyPhoto', 'intense' ), //image, iframe, html
			// 		'swipebox' => __( 'Swipebox', 'intense' ), //image
			// 		'thickbox' => __( 'Thickbox', 'intense' ), //image
			// 		'touchtouch' => __( 'TouchTouch', 'intense' ), //image
			// 	),
			// ),
			'image_type' => array(
				'type' => 'dropdown',
				'title' => __( 'Type', 'intense' ),
				'options' => array(
					'standard' => __( 'Standard', 'intense' ),
					'caman' => __( 'CamanJS', 'intense' ),
					'picstrip' => __( 'Picstrip', 'intense' )
				)
			),
			'splits' => array(
				'type' => 'text',
				'title' => __( 'Splits', 'intense' ),
				'default' => '10',
				'class' => 'picstripsettings'
			),
			'hgutter' => array(
				'type' => 'text',
				'title' => __( 'Horizontal Gutter', 'intense' ),
				'default' => '10px',
				'class' => 'picstripsettings'
			),
			'vgutter' => array(
				'type' => 'text',
				'title' => __( 'Vertical Gutter', 'intense' ),
				'default' => '10px',
				'class' => 'picstripsettings'
			),
			'bgcolor' => array(
				'type' => 'color',
				'title' => __( 'Background Color', 'intense' ),
				'default' => '#ffffff',
				'class' => 'picstripsettings'
			),
			'caman_effect' => array(
				'type' => 'dropdown',
				'title' => __( 'Effect', 'intense' ),
				'options' => array(
					'' => 'Select an effect',
					'clarity' => 'clarity',
					'concentrate' => 'concentrate',
					'crossProcess' => 'crossProcess',
					'emboss' => 'emboss',
					'glowingSun' => 'glowingSun',
					'grungy' => 'grungy',
					'hazyDays' => 'hazyDays',
					'hemingway' => 'hemingway',
					'herMajesty' => 'herMajesty',
					'jarques' => 'jarques',
					'lomo' => 'lomo',
					'love' => 'love',
					'nostalgia' => 'nostalgia',
					'oldBoot' => 'oldBoot',
					'orangePeel' => 'orangePeel',
					'pinhole' => 'pinhole',
					'posterize' => 'posterize',
					'sinCity' => 'sinCity',
					'sunrise' => 'sunrise',
					'vintage' => 'vintage',
				),
				'class' => 'camansettings'
			),
			'shadow' => array(
				'type' => 'shadow',
				'title' => __( 'Shadow', 'intense' ),
				'class' => 'wpsettings'
			),
			'show_missing_image' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Missing Image', 'intense' ),
				'description' => __( 'Show missing image if no image is set.', 'intense' ),
				'class' => 'wpsettings'
			),
			'show_only_first' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Only First', 'intense' ),
				'description' => __( 'Show only the first featured image', 'intense' ),
				'default' => 0,
				'class' => 'wpsettings'
			),
			'hide_first' => array(
				'type' => 'checkbox',
				'title' => __( 'Hide First', 'intense' ),
				'description' => __( 'Hide the first featured image and show the rest', 'intense' ),
				'default' => 0,
				'class' => 'wpsettings'
			),
			'show_video' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Video', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'show_audio' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Audio', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'include_link' => array(
				'type' => 'checkbox',
				'title' => __( 'Include Link', 'intense' ),
				'description' => __( 'Include permalink link to post when clicking on the image.', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'itemprop' => array(
				'type' => 'hidden',
				'description' => __( 'Item Properties', 'intense' ),
				'default' => '',
			),
		)
	),
	'hover_tab' => array(
		'type' => 'tab',
		'title' => __( 'Hover', 'intense' ),
		'class' => 'hoversettings',
		'fields' =>  array(
			'hover_effect_type' => array(
				'type' => 'dropdown',
				'title' => __( 'Hover Effect Type', 'intense' ),
				'options' => array(
					'' => __( 'None', 'intense' ),
					'effeckt' => __( 'Effeckt', 'intense' ),
					'adipoli' => __( 'Adipoli', 'intense' ),
					'subtle' => __( 'Subtle', 'intense' ),
				),
				'class' => 'wpsettings'
			),
			'starteffect' => array(
				'type' => 'dropdown',
				'title' => __( 'Start Effect', 'intense' ),
				'options' => array(
					'' => 'Select start effect',
					'normal' => 'normal',
					'overlay' => 'overlay',
					'sliceDown' => 'sliceDown',
					'transparent' => 'transparent',
				),
				'class' => 'adipolisettings'
			),
			'hovereffect' => array(
				'type' => 'dropdown',
				'title' => __( 'Hover Effect', 'intense' ),
				'options' => array(
					'' => 'Select hover effect',
					'boxRain' => 'boxRain',
					'boxRainGrow' => 'boxRainGrow',
					'boxRainGrowReverse' => 'boxRainGrowReverse',
					'boxRainReverse' => 'boxRainReverse',
					'boxRandom' => 'boxRandom',
					'fold' => 'fold',
					'foldLeft' => 'foldLeft',
					'normal' => 'normal',
					'popout' => 'popout',
					'sliceDown' => 'sliceDown',
					'sliceDownLeft' => 'sliceDownLeft',
					'sliceUp' => 'sliceUp',
					'sliceUpDown' => 'sliceUpDown',
					'sliceUpDownLeft' => 'sliceUpDownLeft',
					'sliceUpLeft' => 'sliceUpLeft',
					'sliceUpRandom' => 'sliceUpRandom',
				),
				'class' => 'adipolisettings'
			),
			'effeckt' => array(
				'type' => 'dropdown',
				'title' => __( 'Effeckt', 'intense' ),
				'options' => array(
					'' => '',
					'1'  => __( 'Appear', 'intense' ),
					'2'  => __( 'Quarter Slide Up', 'intense' ),
					'3'  => __( 'Sqkwoosh', 'intense' ),
					'4'  => __( 'Quarter Slide Side', 'intense' ),
					'5'  => __( 'Cover Fade', 'intense' ),
					'6'  => __( 'Quarter Fall In', 'intense' ),
					'7'  => __( 'Quarter Two-Step', 'intense' ),
					'8'  => __( 'Cover Push Right', 'intense' ),
					'9'  => __( 'Quarter Caption Zoom', 'intense' ),
					'10' => __( 'Revolving Door', 'intense' ),
					'11' => __( 'Caption Offset', 'intense' ),
					'12' => __( 'Guillotine Reverse', 'intense' ),
					'13' => __( 'Half Slide', 'intense' ),
					'14' => __( 'Tunnel', 'intense' ),
					'15' => __( 'Cover Slide Top', 'intense' ),
				),
				'class' => 'effecktsettings'
			),
			'effeckt_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Effeckt Background Color', 'intense' ),
				'default' => '#000000',
				'class' => 'effecktsettings'
			),
			'effeckt_opacity' => array(
				'type' => 'text',
				'title' => __( 'Effeckt Background Opacity', 'intense' ),
				'description' => __( '0 - 100', 'intense' ),
				'default' => '80',
				'class' => 'effecktsettings'
			),
			'subtle_effect' => array(
				'type' => 'dropdown',
				'title' => __( 'Subtle Effect', 'intense' ),
				'options' => array(
					'' => '',
					'apollo' => 'Apollo',
					'bubba' => 'Bubba',
					'chico' => 'Chico',
					'dexter' => 'Dexter',
					'duke' => 'Duke',
					'goliath' => 'Goliath',
					'hera' => 'Hera',
					'honey' => 'Honey',
					'jazz' => 'Jazz',
					'julia' => 'Julia',
					'kira' => 'Kira',
					'layla' => 'Layla',
					'lexi' => 'Lexi',
					'lily' => 'Lily',
					'marley' => 'Marley',
					'milo' => 'Milo',
					'ming' => 'Ming',
					'moses' => 'Moses',
					'oscar' => 'Oscar',
					'phoebe' => 'Phoebe',
					'romeo' => 'Romeo',
					'roxy' => 'Roxy',
					'ruby' => 'Ruby',
					'sadie' => 'Sadie',
					'sarah' => 'Sarah',
					'selena' => 'Selena',
					'steve' => 'steve',
					'terry' => 'Terry',
					'winston' => 'Winston',
					'zoe' => 'Zoe'
				),
				'class' => 'subtlesettings'
			),
		)
	),
	'border_tab' => array(
		'type' => 'tab',
		'title' => __( 'Border', 'intense' ),
		'fields' =>  array(
			'border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
				'class' => 'wpsettings'
			),
			'border' => array(
				'type' => 'border',
				'title' => __( 'All Borders', 'intense' ),
				'class' => 'wpsettings'
			),
			'border_top' => array(
				'type' => 'border',
				'title' => __( 'Top Border', 'intense' ),
				'class' => 'wpsettings'
			),
			'border_right' => array(
				'type' => 'border',
				'title' => __( 'Right Border', 'intense' ),
				'class' => 'wpsettings'
			),
			'border_bottom' => array(
				'type' => 'border',
				'title' => __( 'Bottom Border', 'intense' ),
				'class' => 'wpsettings'
			),
			'border_left' => array(
				'type' => 'border',
				'title' => __( 'Left Border', 'intense' ),
				'class' => 'wpsettings'
			),
			'box_shadow' => array(
				'type' => 'box_shadow',
				'title' => __( 'Box Shadow', 'intense' ),
				'description' => __( 'Horizontal shadow position, Vertical shadow position, Shadow size, Shadow color', 'intense' ),
				'class' => 'wpsettings'
			),
		),
	),
	'slider_tab' => array(
		'type' => 'tab',
		'title' => __( 'Slider', 'intense' ),
		'class' => 'slidersettings',
		'fields' =>  array(
			'is_slider' => array(
				'type' => 'checkbox',
				'title' => __( 'Slider', 'intense' ),
			),
			// 'slider_type' => array(
			// 	'type' => 'dropdown',
			// 	'title' => __( 'Slider Type', 'intense' ),
			// 	'options' => array(
			// 		'flexslider' => __( 'Flex Slider 2', 'intense' ),
			// 		'owl-carousel' => __( 'Owl Carousel', 'intense' ),
			// 		'basic' => __( 'Basic', 'intense' ),
			// 	),
			// ),
			// 'speed' => array(
			// 	'type' => 'text',
			// 	'title' => __( 'Speed', 'intense' ),
			// 	'description' => __( 'measured in milliseconds', 'intense' ),
			// 	'default' => 7000
			// ),
			// 'transition' => array(
			// 	'type' => 'dropdown',
			// 	'title' => __( 'Transition', 'intense' ),
			// 	'options' => array(
			// 		'slide' => __( 'Slide', 'intense' ),
			// 		'fade' => __( 'Fade', 'intense' ),					
			// 		'backSlide' => __( 'backSlide', 'intense' ),
			// 		'goDown' => __( 'goDown', 'intense' ),
			// 		'goDown' => __( 'scaleUp', 'intense' ),
			// 	),
			// 	'class' => 'flexslidersettings'
			// ),
			// 'pause_on_hover' => array(
			// 	'type' => 'checkbox',
			// 	'title' => __( 'Pause on Hover', 'intense' ),
			// 	'default' => 1,
			// ),
			// 'slide_padding_right' => array(
			// 	'type' => 'text',
			// 	'title' => __( 'Slide Padding Right', 'intense' ),
			// 	'default' => 15,
			// 	'class' => 'owlslidersettings'
			// ),
			// 'items' => array(
			// 	'type' => 'text',
			// 	'title' => __( 'Max Items', 'intense' ),
			// 	'default' => 5,
			// 	'class' => 'owlslidersettings'
			// ),
			// 'items_desktop' => array(
			// 	'type' => 'text',
			// 	'title' => __( 'Items Desktop', 'intense' ),
			// 	'description' => __( 'window width <= 1199', 'intense' ),
			// 	'default' => 4,
			// 	'class' => 'owlslidersettings'
			// ),
			// 'items_desktop_small' => array(
			// 	'type' => 'text',
			// 	'title' => __( 'Items Desktop Small', 'intense' ),
			// 	'description' => __( 'window width <= 979', 'intense' ),
			// 	'default' => 3,
			// 	'class' => 'owlslidersettings'
			// ),
			// 'items_tablet' => array(
			// 	'type' => 'text',
			// 	'title' => __( 'Items Tablet', 'intense' ),
			// 	'description' => __( 'window width <= 768', 'intense' ),
			// 	'default' => 2,
			// 	'class' => 'owlslidersettings'
			// ),
			// 'items_mobile' => array(
			// 	'type' => 'text',
			// 	'title' => __( 'Items Mobile', 'intense' ),
			// 	'description' => __( 'window width <= 479', 'intense' ),
			// 	'default' => 1,
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_position' => array(
			// 	'type' => 'dropdown',
			// 	'title' => __( 'Navigation Position', 'intense' ),
			// 	'default' => 'middleoutside',
			// 	'options' => array(
			// 		'' => '',
			// 		'topleft' => __( 'Top Left', 'intense' ),
			// 		'topcenter' => __( 'Top Center', 'intense' ),
			// 		'topright' => __( 'Top Right', 'intense' ),
			// 		'middleinside' => __( 'Middle Inside', 'intense' ),
			// 		'middleoutside' => __( 'Middle Outside', 'intense' ),
			// 		'bottomleft' => __( 'Bottom Left', 'intense' ),
			// 		'bottomcenter' => __( 'Bottom Center', 'intense' ),
			// 		'bottomright' => __( 'Bottom Right', 'intense' ),
			// 	),
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_prev_icon_source' => array(
			// 	'type' => 'icon_source',
			// 	'title' => __( 'Navigation Previous Icon Source', 'intense' ),
			// 	'default' => 'font-awesome',
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_prev_icon' => array(
			// 	'type' => 'icon',
			// 	'title' => __( 'Navigation Previous Icon', 'intense' ),
			// 	'default' => 'chevron-left',
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_next_icon_source' => array(
			// 	'type' => 'icon_source',
			// 	'title' => __( 'Navigation Next Icon Source', 'intense' ),
			// 	'default' => 'font-awesome',
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_next_icon' => array(
			// 	'type' => 'icon',
			// 	'title' => __( 'Navigation Next Icon', 'intense' ),
			// 	'default' => 'chevron-right',
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_size' => array(
			// 	'type' => 'dropdown',
			// 	'title' => __( 'Navigation Size', 'intense' ),
			// 	'options' => array(
			// 		'default' => __( 'default', 'intense' ),
			// 		'mini' => __( 'mini', 'intense' ),
			// 		'small' => __( 'small', 'intense' ),
			// 		'medium' => __( 'medium', 'intense' ),
			// 		'large' => __( 'large', 'intense' )
			// 	),
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_prev_text' => array(
			// 	'type' => 'text',
			// 	'title' => __( 'Navigation Previous Text', 'intense' ),
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_next_text' => array(
			// 	'type' => 'text',
			// 	'title' => __( 'Navigation Next Text', 'intense' ),
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_color' => array(
			// 	'type' => 'color_advanced',
			// 	'title' => __( 'Navigation Color', 'intense' ),
			// 	'default' => '#111111',
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_font_color' => array(
			// 	'type' => 'color_advanced',
			// 	'title' => __( 'Navigation Font Color', 'intense' ),
			// 	'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_prev_border_radius' => array(
			// 	'type' => 'border_radius',
			// 	'title' => __( 'Navigation Previous Border Radius', 'intense' ),
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_next_border_radius' => array(
			// 	'type' => 'border_radius',
			// 	'title' => __( 'Navigation Next Border Radius', 'intense' ),
			// 	'class' => 'owlslidersettings'
			// ),
			// 'navigation_pagination_type' => array(
			// 	'type' => 'dropdown',
			// 	'title' => __( 'Navigation Pagination Type', 'intense' ),
			// 	'default' => 'bullets',
			// 	'options' => array(
			// 		'' => __( 'None', 'intense' ),
			// 		'bullets' => __( 'Bullets', 'intense' ),
			// 		'numbers' => __( 'Numbers', 'intense' ),
			// 	),
			// 	'class' => 'owlslidersettings'
			// ),
		)
	),
	// 'masonry_tab' => array(
	// 	'type' => 'tab',
	// 	'title' => __( 'Masonry', 'intense' ),
	// 	'class' => 'masonrysettings',
	// 	'fields' =>  array(
	// 		'is_masonry' => array(
	// 			'type' => 'checkbox',
	// 			'title' => __( 'Masonry', 'intense' ),
	// 		),					
	// 		'gutter' => array(
	// 			'type' => 'text',
	// 			'title' => __( 'Gutter', 'intense' ),
	// 			'default' => 0,
	// 		),					
	// 		'masonry_size' => array(
	// 			'type' => 'dropdown',
	// 			'title' => __( 'Size', 'intense' ),
	// 			'composer_show_value' => true,
	// 			'options' => array(
	// 				'' => '',
	// 				'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
	// 				'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
	// 			)
	// 		),
	// 		'masonry_medium_size' => array(
	// 			'type' => 'dropdown',
	// 			'title' => __( 'Medium Size', 'intense' ),
	// 			'description' => __( 'used to change the layout when viewed on medium devices - desktops (≥992px)', 'intense' ),
	// 			'composer_show_value' => true,
	// 			'options' => array(
	// 				'' => '',
	// 				'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
	// 				'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
	// 			)
	// 		),
	// 		'masonry_small_size' => array(
	// 			'type' => 'dropdown',
	// 			'title' => __( 'Small Size', 'intense' ),
	// 			'description' => __( 'used to change the layout when viewed on small devices - tablets (≥768px)', 'intense' ),
	// 			'composer_show_value' => true,
	// 			'options' => array(
	// 				'' => '',
	// 				'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
	// 				'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
	// 			)
	// 		),
	// 		'masonry_extra_small_size' => array(
	// 			'type' => 'dropdown',
	// 			'title' => __( 'Extra Small Size', 'intense' ),
	// 			'description' => __( 'used to change the layout when viewed on extra small devices - phones (<768px)', 'intense' ),
	// 			'composer_show_value' => true,
	// 			'options' => array(
	// 				'' => '',
	// 				'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
	// 				'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
	// 			)
	// 		),
	// 		'masonry_width' => array(
	// 			'type' => 'text',
	// 			'title' => __( 'Item Manual Width', 'intense' ),
	// 			'description' => __( 'measured as a % or px amount', 'intense' ),
	// 		),					
	// 		'masonry_sticky_size' => array(
	// 			'type' => 'dropdown',
	// 			'title' => __( 'Sticky Item Size', 'intense' ),
	// 			'composer_show_value' => true,
	// 			'options' => array(
	// 				'' => '',
	// 				'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
	// 				'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
	// 			)
	// 		),
	// 		'masonry_sticky_medium_size' => array(
	// 			'type' => 'dropdown',
	// 			'title' => __( 'Sticky Item Medium Size', 'intense' ),
	// 			'description' => __( 'used to change the layout when viewed on medium devices - desktops (≥992px)', 'intense' ),
	// 			'composer_show_value' => true,
	// 			'options' => array(
	// 				'' => '',
	// 				'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
	// 				'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
	// 			)
	// 		),
	// 		'masonry_sticky_small_size' => array(
	// 			'type' => 'dropdown',
	// 			'title' => __( 'Sticky Item Small Size', 'intense' ),
	// 			'description' => __( 'used to change the layout when viewed on small devices - tablets (≥768px)', 'intense' ),
	// 			'composer_show_value' => true,
	// 			'options' => array(
	// 				'' => '',
	// 				'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
	// 				'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
	// 			)
	// 		),
	// 		'masonry_sticky_extra_small_size' => array(
	// 			'type' => 'dropdown',
	// 			'title' => __( 'Sticky Item Extra Small Size', 'intense' ),
	// 			'description' => __( 'used to change the layout when viewed on extra small devices - phones (<768px)', 'intense' ),
	// 			'composer_show_value' => true,
	// 			'options' => array(
	// 				'' => '',
	// 				'1' => '1', '2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6',
	// 				'7' => '7','8' => '8','9' => '9','10' => '10','11' => '11','12' => '12',
	// 			)
	// 		),
	// 		'masonry_sticky_width' => array(
	// 			'type' => 'text',
	// 			'title' => __( 'Sticky Item Manual Width', 'intense' ),
	// 			'description' => __( 'measured as a % or px amount', 'intense' ),
	// 		),								
	// 	)
	// ),
	// 'animation_tab' => array(
	// 	'type' => 'tab',
	// 	'title' => __( 'Animation', 'intense' ),
	// 	'fields' =>  array(
	// 		'animation_type' => array(
	// 			'type' => 'animation',
	// 			'title' => __( 'Animation', 'intense' ),
	// 			'placeholder' => __( 'Select an animation', 'intense' ),
	// 			'class' => 'wpsettings timelinesettings'
	// 		),
 //            'animation_trigger' => array(
 //            	'type' => 'dropdown',
 //                'title' => __( 'Animation Trigger', 'intense' ),
 //                'default' => 'scroll',
	// 			'options' => array(
	// 				'scroll' => __( 'Scroll', 'intense' ),
	// 				'hover' => __( 'Hover', 'intense' ),
	// 				'click' => __( 'Click', 'intense' ),
	// 				'delay' => __( 'Delay', 'intense' )
	// 			),
	// 			'class' => 'wpsettings timelinesettings'
 //            ),
 //            'animation_scroll_percent' => array(
 //            	'type' => 'dropdown',
 //                'title' => __( 'Scroll Percentage', 'intense' ),
	// 			'description' => __( 'animate when <span id="scrollpercentagevalue"></span>% of item is in view', 'intense' ),
	// 			'options' => array(
	// 				'0' => '0',
	// 				'10' => '10',
	// 				'20' => '20',
	// 				'30' => '30',
	// 				'40' => '40',
	// 				'50' => '50',
	// 				'60' => '60',
	// 				'70' => '70',
	// 				'80' => '80',
	// 				'90' => '90',
	// 				'100' => '100'
	// 			),
	// 			'default' => '10',
	// 			'class' => 'wpsettings timelinesettings'           
 //            ),
 //            'animation_delay' => array(
 //            	'type' => 'text',
 //                'title' => __( 'Animation Delay', 'intense' ),
	// 			'description' => __( 'amount in milliseconds', 'intense' ),
	// 			'default' => 0,
	// 			'class' => 'wpsettings timelinesettings' 
 //            )
	// 	)
	// ),


);
