<?php

global $intense_visions_options;

$this->fields = array(
	'promo_box_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'optional - used to set the client-side ID', 'intense' ),
				'skinnable' => false
			),
			'size' => array(
				'type' => 'dropdown',
				'title' => __( 'Size', 'intense' ),
				'default' => 'medium',
				'options' => array(
					'small' => __( 'Small', 'intense' ),
					'medium' => __( 'Medium', 'intense' ),
					'large' => __( 'Large', 'intense' ),
					'mega' => __( 'Mega', 'intense' ),
				)
			),
			'color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Font Color', 'intense' ),
				'default' => '#333333'
			),
			'shadow' => array(
				'type' => 'shadow',
				'title' => __( 'Shadow', 'intense' ),
			),
			'background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background Color', 'intense' ),
			),
			'background_opacity' => array(
				'type' => 'text',
				'title' => __( 'Background Opacity', 'intense' ),
				'description' => __( '0 - 100: leave blank for solid color', 'intense' )
			),
			'image' => array(
				'type' => 'image',
				'title' => __( 'Background Image', 'intense' ),
				'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
				'skinnable' => false
			),
			'imageid' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
			'imageurl' => array( 'type' => 'deprecated', 'description' => 'use image instead' ),
			'imagesize' => array(
				'type' => 'image_size',
				'title' => __( 'Background Image Size', 'intense' ),
				'default' => 'medium800'
			),
			'imagemode' => array(
				'type' => 'dropdown',
				'title' => __( 'Background Mode', 'intense' ),
				'default' => 'repeat',
				'options' => array(
					'no-repeat' => __( 'No Repeat', 'intense' ),
					'repeat' => __( 'Repeat', 'intense' ),
					'repeat-x' => __( 'Repeat-X', 'intense' ),
					'repeat-y' => __( 'Repeat-Y', 'intense' ),
				)
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			),
		)
	),
	'button_tab' => array(
		'type' => 'tab',
		'title' => __( 'Button', 'intense' ),
		'fields' =>  array(
			'button_text' => array(
				'type' => 'text',
				'title' => __( 'Text', 'intense' ),
				'skinnable' => false
			),
			'button_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
				'default' => 'primary'
			),
			'button_link' => array(
				'type' => 'text',
				'title' => __( 'Link', 'intense' ),
				'description' => __( 'URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
				'default' => '#',
				'skinnable' => false
			),
			'button_target' => array(
				'type' => 'link_target',
				'title' => __( 'Target', 'intense' ),
			),
			'button_rel' => array(
				'type' => 'rel',
				'title' => __( 'Rel', 'intense' ),
			),
			'button_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Size', 'intense' ),
				'default' => 'large',
				'options' => array(
					'mini' => __( 'Mini', 'intense' ),
					'small' => __( 'Small', 'intense' ),
					'default' => __( 'Default', 'intense' ),
					'medium' => __( 'Medium', 'intense' ),
					'large' => __( 'Large', 'intense' ),
				)
			),
			'button_position' => array(
				'type' => 'dropdown',
				'title' => __( 'Position', 'intense' ),
				'options' => array(
					'right' => __( 'Right', 'intense' ),
					'left' => __( 'Left', 'intense' ),					
				)
			),
		)
	),
	'borders_tab' => array(
		'type' => 'tab',
		'title' => __( 'Borders', 'intense' ),
		'fields' =>  array(
			'border' => array(
				'type' => 'border',
				'title' => __( 'All Borders', 'intense' ),
			),
			'border_top' => array(
				'type' => 'border',
				'title' => __( 'Top Border', 'intense' ),
			),
			'border_right' => array(
				'type' => 'border',
				'title' => __( 'Right Border', 'intense' ),
			),
			'border_bottom' => array(
				'type' => 'border',
				'title' => __( 'Bottom Border', 'intense' ),
			),
			'border_left' => array(
				'type' => 'border',
				'title' => __( 'Left Border', 'intense' ),
			),
			'border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
			),
		)
	)
);
