<?php

require_once INTENSE_PLUGIN_FOLDER .  '/shortcodes/recent-posts/recent-posts-shortcode.php';

class Intense_Recent_News extends Intense_Recent_Posts {
	function __construct() {
		parent::__construct();

		$this->title = __( 'Recent News', 'intense' );
		$this->description = __( 'The recent news shortcode lets you include your recent posts using three different layouts. Place your recent WordPress posts on a page using any of these layouts:
			<ul>
			<li><strong>horizontal</strong> – posts are side by side</li>
			<li><strong>vertical</strong> – posts are one on top of another</li>
			<li><strong>slider</strong> – posts are in a horizontal slider</li>
			</ul>

			Each layout comes with predefined templates. Templates allow you to customize the look to suit your needs.
			<br><br>
			There are many different options to filter the posts that are shown. Show posts with specific categories, tags, or formats. Choose how to order the posts and how many to show. You can also exclude specific posts or categories.', 'intense' );
		$this->custom_post_type = 'intense_news';
	}

	function shortcode( $atts, $content = null ) {
		$atts["post_type"] = "intense_news";
		if ( empty( $atts["taxonomy"] ) ) $atts["taxonomy"] = "intense_news_category";
		$atts["show_meta"] = 0;

		return parent::shortcode($atts, $content);
	}
}