<?php

global $intense_visions_options;

$this->fields = array(
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'layout' => array(
				'type' => 'dropdown',
				'title' => __( 'Layout', 'intense' ),
				'options' => array(
					'horizontal' => __( 'Horizontal', 'intense' ),
					'vertical' => __( 'Vertical', 'intense' ),
					'slider' => __( 'Slider', 'intense' ),
				)
			),
			'post_type' => array(
				'type' => 'post_type',
				'title' => __( 'Post Type', 'intense' ),
				'default' => 'post'
			),
			'taxonomy' => array(
				'type' => 'taxonomy',
				'category' => 'category',
				'title' => __( 'Taxonomy', 'intense' ),
				'default' => 'category'
			),
			'template' => array(
				'type' => 'template',
				'title' => __( 'Template', 'intense' ),
				'path' => '/recent-post/',
				'default' => 'top'
			),
			'category_id' => array(
				'type' => 'deprecated',
				'description' => 'use categories instead'
			),
			'category_slug' => array(
				'type' => 'deprecated',
				'description' => 'use categories instead'
			),
			'categories' => array(
				'type' => 'category',
				'category' => 'category',
				'title' => __( 'Category(s)', 'intense' ),
				'description' => __( 'By default, all categories will be shown.', 'intense' )
			),
			'columns' => array(
				'type' => 'text',
				'title' => __( 'Columns', 'intense' ),
				'description' => __( 'Enter a number from 1 - 12', 'intense' ),
				'class' => 'layoutsettings',
				'default' => 3,
			),
			'template_link' => array(
				'type' => 'dropdown',
				'title' => __( 'Template Link', 'intense' ),
				'default' => 'single',
				'skinnable' => false
			),
			'template_content' => array(
				'type' => 'dropdown',
				'title' => __( 'Template Content ', 'intense' ),
				'description' => __( 'Excerpt strips out html and shortcode tags while Content shows html. Full Post will show all of the content from the post.', 'intense' ),
				'default' => 'excerpt',
				'options' => array(
					'excerpt' => __( 'Excerpt', 'intense' ),
					'content' => __( 'Content', 'intense' ),
					'full_post' => __( 'Full Post Content', 'intense' ),
				),
				'class' => 'wpsettings timelinesettings'
			),
			'excerpt_length' => array(
				'type' => 'text',
				'title' => __( 'Excerpt/Content Length', 'intense' ),
				'description' => __( 'Enter the number of words you want to show.', 'intense' ),
				'default' => 20,
			),
			'post_count' => array(
				'type' => 'text',
				'title' => __( 'Count', 'intense' ),
				'description' => __( 'Enter the number of posts you want to show.', 'intense' ),
				'default' => 3,
			),
			'show_title' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Title', 'intense' ),
				'default' => 1,
			),
			'show_thumbnail' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Thumbnail', 'intense' ),
				'default' => 1,
			),			
			'show_excerpt' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Excerpt', 'intense' ),
				'default' => 1,
			),
			'show_read_more' => array(
				'type' => 'checkbox',
				'title' => __( 'Show "Read More" button', 'intense' ),
			),
			'read_more_text' => array(
				'type' => 'text',
				'title' => __( '"Read More" Display Text', 'intense' ),
				'description' => __( 'Only visible if Show "Read More" button above is checked.', 'intense' ),
				'default' => __( 'Read More', 'intense' ),
				'skinnable' => false
			),
			'image_size' => array(
				'type' => 'image_size',
				'title' => __( 'Image Size', 'intense' ),
				'default' => 'medium500',
			),
			'not_post_id' => array(
				'type' => 'text',
				'title' => __( 'Not Post ID(s)', 'intense' ),
				'description' => __( 'ID of post or posts that you do not want to include in list (comma separate multiple ID\'s).', 'intense' ),
			),
			'show_missing_image' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Missing Image', 'intense' ),
				'description' => __( 'Show missing image if no image is set.', 'intense' ),
			),
			'related_post_id' => array(
				'type' => 'text',
				'title' => __( 'Related Post ID', 'intense' ),
			),
			'border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Border Radius', 'intense' ),
			),
			'no_post_message' => array(
				'type' => 'text',
				'title' => __( 'No Posts Message', 'intense' ),
				'default' => __( "Sorry, nothing to show here", "intense" ),
				'skinnable' => false
			)
		)
	),
	'metadata_tab' => array(
		'type' => 'tab',
		'title' => __( 'Meta', 'intense' ),
		'fields' => array(
			'show_meta' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Meta', 'intense' ),
				'description' => __( 'Show post meta information (post date, comment count, category, and author)', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'meta_template' => array(
				'type' => 'template',
				'title' => __( 'Template', 'intense' ),
				'description' => __( 'the template files should be located in the intense_templates/metadata/ folder in your theme or child theme.', 'intense' ),
				'path' => '/metadata/',
				'default' => 'text',
				'class' => 'wpsettings'
			),
			'meta_show_comments' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Comments', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'meta_show_author' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Author', 'intense' ),
				'class' => 'wpsettings'
			),
			'meta_show_categories' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Categories', 'intense' ),				
				'class' => 'wpsettings'
			),
			'meta_show_tags' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Tags', 'intense' ),
				'class' => 'wpsettings'
			),
			'meta_show_date' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Date', 'intense' ),
				'default' => 1,
				'class' => 'wpsettings'
			),
			'meta_date_format' => array(
				'type' => 'text',
				'title' => __( 'Date Format', 'intense' ),		
				'description' => __( 'If empty, the \'Date Format\' on Settings > General panel will be used. See <a href="http://codex.wordpress.org/Formatting_Date_and_Time" target="_blank">Formatting Date and Time</a>', 'intense' ),
				'class' => 'wpsettings'
			),
		)
	),
	'owlslider_tab' => array(
		'type' => 'tab',
		'title' => __( 'Slider', 'intense' ),
		'class' => 'owlslidersettings',
		'fields' =>  array(
			'slide_padding_right' => array(
				'type' => 'text',
				'title' => __( 'Slide Padding Right', 'intense' ),
				'default' => 15,
			),
			'items' => array(
				'type' => 'text',
				'title' => __( 'Max Items', 'intense' ),
				'default' => 5,
			),
			'items_desktop' => array(
				'type' => 'text',
				'title' => __( 'Items Desktop', 'intense' ),
				'description' => __( 'window width <= 1199', 'intense' ),
				'default' => 4,
			),
			'items_desktop_small' => array(
				'type' => 'text',
				'title' => __( 'Items Desktop Small', 'intense' ),
				'description' => __( 'window width <= 979', 'intense' ),
				'default' => 3,
			),
			'items_tablet' => array(
				'type' => 'text',
				'title' => __( 'Items Tablet', 'intense' ),
				'description' => __( 'window width <= 768', 'intense' ),
				'default' => 2,
			),
			'items_mobile' => array(
				'type' => 'text',
				'title' => __( 'Items Mobile', 'intense' ),
				'description' => __( 'window width <= 479', 'intense' ),
				'default' => 1,
			),
			'navigation_position' => array(
				'type' => 'dropdown',
				'title' => __( 'Navigation Position', 'intense' ),
				'default' => 'middleoutside',
				'options' => array(
					'' => '',
					'topleft' => __( 'Top Left', 'intense' ),
					'topcenter' => __( 'Top Center', 'intense' ),
					'topright' => __( 'Top Right', 'intense' ),
					'middleinside' => __( 'Middle Inside', 'intense' ),
					'middleoutside' => __( 'Middle Outside', 'intense' ),
					'bottomleft' => __( 'Bottom Left', 'intense' ),
					'bottomcenter' => __( 'Bottom Center', 'intense' ),
					'bottomright' => __( 'Bottom Right', 'intense' ),
				),
			),
			'navigation_prev_icon_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Navigation Previous Icon Source', 'intense' ),
				'default' => 'font-awesome',
			),
			'navigation_prev_icon' => array(
				'type' => 'icon',
				'title' => __( 'Navigation Previous Icon', 'intense' ),
				'default' => 'chevron-left',
			),
			'navigation_next_icon_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Navigation Next Icon Source', 'intense' ),
				'default' => 'font-awesome',
			),
			'navigation_next_icon' => array(
				'type' => 'icon',
				'title' => __( 'Navigation Next Icon', 'intense' ),
				'default' => 'chevron-right',
			),
			'navigation_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Navigation Size', 'intense' ),
				'options' => array(
					'default' => __( 'default', 'intense' ),
					'mini' => __( 'mini', 'intense' ),
					'small' => __( 'small', 'intense' ),
					'medium' => __( 'medium', 'intense' ),
					'large' => __( 'large', 'intense' )
				)
			),
			'navigation_prev_text' => array(
				'type' => 'text',
				'title' => __( 'Navigation Previous Text', 'intense' ),
			),
			'navigation_next_text' => array(
				'type' => 'text',
				'title' => __( 'Navigation Next Text', 'intense' ),
			),
			'navigation_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Navigation Color', 'intense' ),
				'default' => '#111111',
			),
			'navigation_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Navigation Font Color', 'intense' ),
				'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
			),
			'navigation_prev_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Navigation Previous Border Radius', 'intense' ),
			),
			'navigation_next_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Navigation Next Border Radius', 'intense' ),
			),
			'navigation_pagination_type' => array(
				'type' => 'dropdown',
				'title' => __( 'Navigation Pagination Type', 'intense' ),
				'default' => 'bullets',
				'options' => array(
					'' => __( 'None', 'intense' ),
					'bullets' => __( 'Bullets', 'intense' ),
					'numbers' => __( 'Numbers', 'intense' ),
				),
			),
			'mousedrag' => array(
				'type' => 'checkbox',
				'title' => __( 'Mouse Events', 'intense' ),
				'default' => 1,
				'class' => 'owlslidersettings'
			),
			'touchdrag' => array(
				'type' => 'checkbox',
				'title' => __( 'Touch Events', 'intense' ),
				'default' => 1,
				'class' => 'owlslidersettings'
			),
			'autoheight' => array(
                'type' => 'checkbox',
                'title' => __( 'Auto Height', 'intense' ),
                'description' => __( 'automatically adjust height when changing slides. Use only for one item per page.', 'intense' ),
                'class' => 'owlslidersettings'
            ),
		)
	),
);
