<?php

global $intense_visions_options;

$this->fields = array(
	'slide' => array(
		'type' => 'repeater',
		'title' => __( 'Slides', 'intense' ),
		'preview_content' => __( 'Slide', 'intense' ),
		'is_container' => 'true',
		'fields' => array(
			'link' => array(
				'type' => 'text',
				'title' => __( 'Link', 'intense' ),
				'description' => __( 'URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
				'skinnable' => false
			),
			'title' => array(
				'type' => 'text',
				'title' => __( 'Title', 'intense' ),
				'skinnable' => false
			),
		)
	),
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'A unique id for the slider (optional)', 'intense' ),
				'skinnable' => false
			),
			'type' => array(
				'type' => 'dropdown',
				'title' => __( 'Type', 'intense' ),
				'options' => array(
					'flexslider' => __( 'Flex Slider 2', 'intense' ),
					'owl-carousel' => __( 'Owl Carousel', 'intense' ),
					'basic' => __( 'Basic', 'intense' ),
				),
			),
			'speed' => array(
				'type' => 'text',
				'title' => __( 'Speed', 'intense' ),
				'description' => __( 'measured in milliseconds', 'intense' ),
				'default' => 7000
			),
			'transition' => array(
				'type' => 'dropdown',
				'title' => __( 'Transition', 'intense' ),
				'options' => array(
					'slide' => __( 'Slide', 'intense' ),
					'fade' => __( 'Fade', 'intense' ),					
					'backSlide' => __( 'backSlide', 'intense' ),
					'goDown' => __( 'goDown', 'intense' ),
					'goDown' => __( 'scaleUp', 'intense' ),
				),
				'class' => 'flexslidersettings'
			),
			'pause_on_hover' => array(
				'type' => 'checkbox',
				'title' => __( 'Pause on Hover', 'intense' ),
				'default' => 1,
			),
			'shadow' => array(
				'type' => 'shadow',
				'title' => __( 'Shadow', 'intense' ),
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			),
		)
	),
	'owlslider_tab' => array(
		'type' => 'tab',
		'title' => __( 'Owl Carousel', 'intense' ),
		'fields' =>  array(
			'items' => array(
				'type' => 'text',
				'title' => __( 'Max Items', 'intense' ),
				'default' => 5,
				'class' => 'owlslidersettings'
			),
			'items_desktop' => array(
				'type' => 'text',
				'title' => __( 'Items Desktop', 'intense' ),
				'description' => __( 'window width <= 1199', 'intense' ),
				'default' => 4,
				'class' => 'owlslidersettings'
			),
			'items_desktop_small' => array(
				'type' => 'text',
				'title' => __( 'Items Desktop Small', 'intense' ),
				'description' => __( 'window width <= 979', 'intense' ),
				'default' => 3,
				'class' => 'owlslidersettings'
			),
			'items_tablet' => array(
				'type' => 'text',
				'title' => __( 'Items Tablet', 'intense' ),
				'description' => __( 'window width <= 768', 'intense' ),
				'default' => 2,
				'class' => 'owlslidersettings'
			),
			'items_mobile' => array(
				'type' => 'text',
				'title' => __( 'Items Mobile', 'intense' ),
				'description' => __( 'window width <= 479', 'intense' ),
				'default' => 1,
				'class' => 'owlslidersettings'
			),
			'navigation_position' => array(
				'type' => 'dropdown',
				'title' => __( 'Navigation Position', 'intense' ),
				'default' => 'middleinside',
				'options' => array(
					'' => '',
					'topleft' => __( 'Top Left', 'intense' ),
					'topcenter' => __( 'Top Center', 'intense' ),
					'topright' => __( 'Top Right', 'intense' ),
					'middleinside' => __( 'Middle Inside', 'intense' ),
					'middleoutside' => __( 'Middle Outside', 'intense' ),
					'bottomleft' => __( 'Bottom Left', 'intense' ),
					'bottomcenter' => __( 'Bottom Center', 'intense' ),
					'bottomright' => __( 'Bottom Right', 'intense' ),
				),
				'class' => 'owlslidersettings'
			),
			'navigation_prev_icon_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Navigation Previous Icon Source', 'intense' ),
				'default' => 'font-awesome',
				'class' => 'owlslidersettings'
			),
			'navigation_prev_icon' => array(
				'type' => 'icon',
				'title' => __( 'Navigation Previous Icon', 'intense' ),
				'default' => 'chevron-left',
				'class' => 'owlslidersettings'
			),
			'navigation_next_icon_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Navigation Next Icon Source', 'intense' ),
				'default' => 'font-awesome',
				'class' => 'owlslidersettings'
			),
			'navigation_next_icon' => array(
				'type' => 'icon',
				'title' => __( 'Navigation Next Icon', 'intense' ),
				'default' => 'chevron-right',
				'class' => 'owlslidersettings'
			),
			'navigation_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Navigation Size', 'intense' ),
				'options' => array(
					'default' => __( 'default', 'intense' ),
					'mini' => __( 'mini', 'intense' ),
					'small' => __( 'small', 'intense' ),
					'medium' => __( 'medium', 'intense' ),
					'large' => __( 'large', 'intense' )
				)
			),
			'navigation_prev_text' => array(
				'type' => 'text',
				'title' => __( 'Navigation Previous Text', 'intense' ),
				'class' => 'owlslidersettings'
			),
			'navigation_next_text' => array(
				'type' => 'text',
				'title' => __( 'Navigation Next Text', 'intense' ),
				'class' => 'owlslidersettings'
			),
			'navigation_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Navigation Color', 'intense' ),
				'default' => '#111111',
				'class' => 'owlslidersettings'
			),
			'navigation_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Navigation Font Color', 'intense' ),
				'description' => __( 'if left blank, either black or white will automatically be chosen', 'intense' ),
				'class' => 'owlslidersettings'
			),
			'navigation_prev_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Navigation Previous Border Radius', 'intense' ),
				'class' => 'owlslidersettings'
			),
			'navigation_next_border_radius' => array(
				'type' => 'border_radius',
				'title' => __( 'Navigation Next Border Radius', 'intense' ),
				'class' => 'owlslidersettings'
			),
			'navigation_pagination_type' => array(
				'type' => 'dropdown',
				'title' => __( 'Navigation Pagination Type', 'intense' ),
				'default' => 'bullets',
				'options' => array(
					'none' => __( 'None', 'intense' ),
					'bullets' => __( 'Bullets', 'intense' ),
					'numbers' => __( 'Numbers', 'intense' ),
				),
				'class' => 'owlslidersettings'
			),
			'mousedrag' => array(
				'type' => 'checkbox',
				'title' => __( 'Mouse Events', 'intense' ),
				'default' => 1,
				'class' => 'owlslidersettings'
			),
			'touchdrag' => array(
				'type' => 'checkbox',
				'title' => __( 'Touch Events', 'intense' ),
				'default' => 1,
				'class' => 'owlslidersettings'
			),
			'autoheight' => array(
                'type' => 'checkbox',
                'title' => __( 'Auto Height', 'intense' ),
				'description' => __( 'automatically adjust height when changing slides. Use only for one item per page.', 'intense' ),
                'class' => 'owlslidersettings'
            ),
		)
	),
	'flexslider_tab' => array(
		'type' => 'tab',
		'title' => __( 'Flex Slider 2', 'intense' ),
		'fields' =>  array(
			'item_width' => array(
				'type' => 'text',
				'title' => __( 'Item Width', 'intense' ),
				'class' => 'flexslidersettings'
			),
		)
	),
);
