<?php

global $intense_visions_options;

$this->fields = array(
	'share_url' => array(
		'type' => 'text',
		'title' => __( 'Like/Share URL', 'intense' ),
		'class' => 'textsettings',
		'skinnable' => false
	),
	'title' => array(
		'type' => 'text',
		'title' => __( 'Title (optional)', 'intense' ),
		'class' => 'textsettings',
		'skinnable' => false
	),
	'size' => array(
		'type' => 'dropdown',
		'title' => __( 'Size', 'intense' ),
		'class' => 'textsettings',
		'default' => '16',
		'options' => array(
			'24' => '24',
			'23' => '23',
			'22' => '22',
			'21' => '21',
			'20' => '20',
			'19' => '19',
			'18' => '18',
			'17' => '17',
			'16' => '16',
			'15' => '15',
			'14' => '14',
			'13' => '13',
			'12' => '12',
			'11' => '11',
			'10' => '10',
			'9'=> '9',
			'8'=> '8'
		),
		'description' => __( 'Size is only used for the Font Awesome icons', 'intense' ),
	),
	'facebook_tab' => array(
		'type' => 'tab',
		'title' => __( 'Facebook', 'intense' ),
		'fields' =>  array(
			'show_facebook' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Facebook Button', 'intense' ),
			),
			'facebook_button' => array(
				'type' => 'dropdown',
				'title' => __( 'Button Style', 'intense' ),
				'options' => array(
					'button' => __( 'Button', 'intense' ),
					'button_count' => __( 'Button w/ Count', 'intense' ),
					'standard' => __( 'Standard', 'intense' ),
					'box_count' => __( 'Box w/ Count', 'intense' ),
					'fontawesome' => __( 'Font Awesome Icon', 'intense' ),
				)
			),
			'facebook_faces' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Friends Faces', 'intense' ),
			),
			'facebook_share' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Share Button', 'intense' ),
			),
		)
	),
	'google_plus_tab' => array(
		'type' => 'tab',
		'title' => __( 'Google +', 'intense' ),
		'fields' =>  array(
			'show_googleplus' => array(
				'type' => 'checkbox',
				'title' => __( 'Google +1 Button', 'intense' ),
			),
			'googleplus_button' => array(
				'type' => 'dropdown',
				'title' => __( 'Button Style', 'intense' ),
				'options' => array(
					'medium' => __( 'Medium', 'intense' ),
					'medium_bubble' => __( 'Medium Bubble', 'intense' ),
					'medium_inline' => __( 'Medium Inline', 'intense' ),
					'tall_bubble' => __( 'Tall Bubble', 'intense' ),
					'fontawesome' => __( 'Font Awesome Icon', 'intense' ),
				)
			),
		)
	),
	'twitter_tab' => array(
		'type' => 'tab',
		'title' => __( 'Twitter', 'intense' ),
		'fields' =>  array(
			'show_twitter' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Twitter Button', 'intense' ),
			),
			'twitter_button' => array(
				'type' => 'dropdown',
				'options' => array(
					'none' => __( 'Regular', 'intense' ),
					'horizontal' => __( 'Horizontal', 'intense' ),
					'vertical' => __( 'Vertical', 'intense' ),
					'fontawesome' => __( 'Font Awesome Icon', 'intense' ),
				)
			),
		)
	),
	'pinterest_tab' => array(
		'type' => 'tab',
		'title' => __( 'Pinterest', 'intense' ),
		'fields' =>  array(
			'show_pinterest' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Pinterest Pin It Button', 'intense' ),
			),
			'pinterest_image' => array(
				'type' => 'image',
				'title' => __( 'Image', 'intense' ),
				'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
			),
			'pinterest_button' => array(
				'type' => 'dropdown',
				'title' => __( 'Button Style', 'intense' ),
				'options' => array(
					'none' => __( 'Regular', 'intense' ),
					'beside' => __( 'Count Right', 'intense' ),
					'above' => __( 'Count Top', 'intense' ),
					'fontawesome' => __( 'Font Awesome Icon', 'intense' ),
				)
			),
		)
	),
	'linkedin_tab' => array(
		'type' => 'tab',
		'title' => __( 'LinkedIn', 'intense' ),
		'fields' =>  array(
			'show_linkedin' => array(
				'type' => 'checkbox',
				'title' => __( 'Show LinkedIn Button', 'intense' ),
			),
			'linkedin_button' => array(
				'type' => 'dropdown',
				'title' => __( 'Button Style', 'intense' ),
				'options' => array(
					'none' => __( 'No Count', 'intense' ),
					'right' => __( 'Horizontal', 'intense' ),
					'top' => __( 'Vertical', 'intense' ),
					'fontawesome' => __( 'Font Awesome Icon', 'intense' ),
				)
			),
		)
	),
	'stumbleupon_tab' => array(
		'type' => 'tab',
		'title' => __( 'StumbleUpon', 'intense' ),
		'fields' =>  array(
			'show_stumbleupon' => array(
				'type' => 'checkbox',
				'title' => __( 'Show StumbleUpon Button', 'intense' ),
			),
			'stumbleupon_button' => array(
				'type' => 'dropdown',
				'title' => __( 'Button Style', 'intense' ),
				'options' => array(
					'1' => __( 'Layout 1', 'intense' ),
					'3' => __( 'Layout 3', 'intense' ),
					'4' => __( 'Layout 4', 'intense' ),
					'5' => __( 'Layout 5', 'intense' ),
				)
			),
		)
	),
	'reddit_tab' => array(
		'type' => 'tab',
		'title' => __( 'Reddit', 'intense' ),
		'fields' =>  array(
			'show_reddit' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Reddit share icon', 'intense' ),
			),
		)
	),
	'tumblr_tab' => array(
		'type' => 'tab',
		'title' => __( 'Tumblr', 'intense' ),
		'fields' =>  array(
			'show_tumblr' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Tumblr share icon', 'intense' ),
			),
			'tumblr_button' => array(
				'type' => 'dropdown',
				'title' => __( 'Button Style', 'intense' ),
				'options' => array(
					'wide' => __( 'tumblr button', 'intense' ),
					'icon' => __( 'tumblr icon button', 'intense' ),
					'fontawesome' => __( 'Font Awesome Icon', 'intense' ),
				)
			),
		)
	),
	'email_tab' => array(
		'type' => 'tab',
		'title' => __( 'Email', 'intense' ),
		'fields' =>  array(
			'show_email' => array(
				'type' => 'checkbox',
				'title' => __( 'Show Email icon', 'intense' ),
			),
		)
	),
);
