<?php

class Intense_Subpages extends Intense_Shortcode {

	function __construct() {
        parent::__construct();

		global $intense_visions_options;

		$this->title = __( 'Sub Pages', 'intense' );
		$this->description = __( 'The subpages shortcode shows a list of pages that are sub pages/children of a given page. If a parent page isn’t chosen, the subpages shortcode will show sub pages of the current page. Choose how many levels deep to show. You can also change the title to show at the top of the list.', 'intense' );
		$this->category = __( 'Elements', 'intense' );
		$this->show_preview = true;
	}

	function shortcode( $atts, $content = null ) {
		global $intense_visions_options;
		extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

		global $post;

		$walker = new Intense_List_Pages_Walker();

		if ( empty( $parent ) && isset( $post ) ) {
			$parent = $post->ID;
		} 

		if ( empty( $post_type ) ) {
			$post_type = $post->post_type;
		}

		$args = array(
			'authors'      => '',
			'child_of'     => !empty( $parent ) ? $parent : 0,
			'date_format'  => get_option( 'date_format' ),
			'depth'        => !empty( $depth ) ? $depth : 0,
			'echo'         => 0,
			'exclude'      => '',
			'include'      => '',
			'link_after'   => '',
			'link_before'  => '',
			'post_type'    => $post_type,
			'post_status'  => 'publish',
			'show_date'    => '',
			'sort_column'  => 'menu_order, post_title',
			'title_li'     => $title,
			'walker' => $walker,
			'template' => $template,
			'template_path' => '/subpages/'
		);

		$pages = wp_list_pages( $args );

		if ( empty( $id ) ) $id = "subpages_" . rand();

		return '<ul id="' . $id . '" class="intense subpages' . ( !empty( $class ) ? ' ' . $class : '' ) . '">' . $pages . '</ul>';
	}
}
