<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array( 'type' => 'deprecated' ),
	'general_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'title' => array(
				'type' => 'text',
				'title' => __( 'Title', 'intense' ),
				'default' => 'Tab',
				'skinnable' => false
			),
			'active' => array(
				'type' => 'checkbox',
				'title' => __( 'Active', 'intense' ),
				'skinnable' => false
			),
			'border_color' => array( 'type' => 'deprecated', 'description' => 'use border instead' ),
			'border' => array(
				'type' => 'border',
				'title' => __( 'Border', 'intense' ),
				'default' => '3px solid ' . intense_get_plugin_color('boxed'),
			)
		)
	),
	'tab_tab' => array(
		'type' => 'tab',
		'title' => __( 'Tab', 'intense' ),
		'fields' =>  array(
			'link' => array(
				'type' => 'text',
				'title' => __( 'Link', 'intense' ),
				'description' => __( 'URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
				'skinnable' => false
			),
			'link_target' => array(
				'type' => 'link_target',
				'title' => __( 'Link Target', 'intense' ),
			),
			'link_rel' => array(
				'type' => 'rel',
				'title' => __( 'Link Rel', 'intense' ),
			),
			'background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Tab Background Color', 'intense' ),
			),
			'font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Tab Font Color', 'intense' ),
			),
		)
	),
	'content_tab' => array(
		'type' => 'tab',
		'title' => __( 'Content', 'intense' ),
		'fields' =>  array(
			'content_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Content Background Color', 'intense' ),
			),
			'content_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Content Font Color', 'intense' ),
			),
		)
	),
	'icon_tab' => array(
		'type' => 'tab',
		'title' => __( 'Icon', 'intense' ),
		'fields' =>  array(
			'icon_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Icon Source', 'intense' ),
				'default' => 'font-awesome'
			),
			'icon_type' => array(
				'type' => 'icon',
				'title' => __( 'Icon', 'intense' ),
			),
			'icon_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
			),
			'icon_stack_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Stack Icon Source', 'intense' ),
				'default' => 'font-awesome'
			),
			'icon_stack_type' => array(
				'type' => 'icon',
				'title' => __( 'Stack Icon', 'intense' ),
			),
			'icon_stack_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Stack Icon Color', 'intense' ),
			),
			'icon_size' => array(
				'type' => 'dropdown',
				'title' => __( 'Icon Size', 'intense' ),
				'options' => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5'
				)
			),
			'custom_icon' => array(
				'type' => 'image',
				'title' => __( 'Custom Icon', 'intense' ),
				'skinnable' => false
			),
			'icon_position' => array(
				'type' => 'dropdown',
				'title' => __( 'Position', 'intense' ),
				'options' => array(
					'left' => __( 'Left', 'intense' ),
					'right' => __( 'Right', 'intense' ),
				)
			),
			'icon_spin' => array(
				'type' => 'checkbox',
				'title' => __( 'Spin', 'intense' ),
			),
			'icon_rotate' => array(
				'type' => 'dropdown',
				'title' => __( 'Rotate', 'intense' ),
				'options' => array(
					'' => '',
					'90' => __( '90 degrees', 'intense' ),
					'180' => __( '180 degrees', 'intense' ),
					'270' => __( '270 degrees', 'intense' )
				)
			),
			'icon_flip' => array(
				'type' => 'dropdown',
				'title' => __( 'Flip', 'intense' ),
				'options' => array(
					'' => '',
					'horizontal' => __( 'Horizontal', 'intense' ),
					'vertical' => __( 'Vertical', 'intense' )
				)
			),
		)
	)
);
