<?php

global $intense_visions_options;

$this->fields = array(
	'tab' => array(
		'type' => 'repeater',
		'title' => __( 'Tabs', 'intense' ),
		'description' => __( 'To link to a specific tab, create a link with the following format #[tabs id]-[0 indexed tab number] (ex. &lt;a href="#mytabs-1"&gt;Go to second tab&lt;/a&gt;). This can also be done for links to other pages.', 'intense' ),
		'preview_content' => __( 'Tab Content', 'intense' ),
		'fields' => array(
			'id' => array( 'type' => 'deprecated' ),
			'general_tab' => array(
				'type' => 'tab',
				'title' => __( 'General', 'intense' ),
				'fields' =>  array(
					'title' => array(
						'type' => 'text',
						'title' => __( 'Title', 'intense' ),
						'default' => 'Tab',
						'skinnable' => false
					),
					'active' => array(
						'type' => 'checkbox',
						'title' => __( 'Active', 'intense' ),
					),
					'border_color' => array( 'type' => 'deprecated', 'description' => 'use border instead' ),
					'border' => array(
						'type' => 'border',
						'title' => __( 'Border', 'intense' ),
						'default' => '3px solid ' . intense_get_plugin_color('boxed'),
					)
				)
			),
			'tab_tab' => array(
				'type' => 'tab',
				'title' => __( 'Tab', 'intense' ),
				'fields' =>  array(
					'link' => array(
						'type' => 'text',
						'title' => __( 'Link', 'intense' ),
						'description' => __( 'URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
					),
					'link_target' => array(
						'type' => 'link_target',
						'title' => __( 'Link Target', 'intense' ),
					),
					'background_color' => array(
						'type' => 'color_advanced',
						'title' => __( 'Tab Background Color', 'intense' ),
					),
					'font_color' => array(
						'type' => 'color_advanced',
						'title' => __( 'Tab Font Color', 'intense' ),
					),
				)
			),
			'content_tab' => array(
				'type' => 'tab',
				'title' => __( 'Content', 'intense' ),
				'fields' =>  array(
					'content_background_color' => array(
						'type' => 'color_advanced',
						'title' => __( 'Content Background Color', 'intense' ),
					),
					'content_font_color' => array(
						'type' => 'color_advanced',
						'title' => __( 'Content Font Color', 'intense' ),
					),
				)
			),
			'icon_tab' => array(
				'type' => 'tab',
				'title' => __( 'Icon', 'intense' ),
				'fields' =>  array(
					'icon_source' => array(
						'type' => 'icon_source',
						'title' => __( 'Icon Source', 'intense' ),
						'default' => 'font-awesome'
					),
					'icon_type' => array(
						'type' => 'icon',
						'title' => __( 'Icon', 'intense' ),
					),
					'icon_color' => array(
						'type' => 'color_advanced',
						'title' => __( 'Color', 'intense' ),
					),
					'icon_stack_source' => array(
						'type' => 'icon_source',
						'title' => __( 'Stack Icon Source', 'intense' ),
						'default' => 'font-awesome'
					),
					'icon_stack_type' => array(
						'type' => 'icon',
						'title' => __( 'Stack Icon', 'intense' ),
					),
					'icon_stack_color' => array(
						'type' => 'color_advanced',
						'title' => __( 'Stack Icon Color', 'intense' ),
					),
					'icon_size' => array(
						'type' => 'dropdown',
						'title' => __( 'Icon Size', 'intense' ),
						'options' => array(
							'1' => '1',
							'2' => '2',
							'3' => '3',
							'4' => '4',
							'5' => '5'
						)
					),
					'custom_icon' => array(
						'type' => 'image',
						'title' => __( 'Custom Icon', 'intense' ),
					),
					'icon_position' => array(
						'type' => 'dropdown',
						'title' => __( 'Position', 'intense' ),
						'options' => array(
							'left' => __( 'Left', 'intense' ),
							'right' => __( 'Right', 'intense' ),
						)
					),
					'icon_spin' => array(
						'type' => 'checkbox',
						'title' => __( 'Spin', 'intense' ),
					),
					'icon_rotate' => array(
						'type' => 'dropdown',
						'title' => __( 'Rotate', 'intense' ),
						'options' => array(
							'' => '',
							'90' => __( '90 degrees', 'intense' ),
							'180' => __( '180 degrees', 'intense' ),
							'270' => __( '270 degrees', 'intense' )
						)
					),
					'icon_flip' => array(
						'type' => 'dropdown',
						'title' => __( 'Flip', 'intense' ),
						'options' => array(
							'' => '',
							'horizontal' => __( 'Horizontal', 'intense' ),
							'vertical' => __( 'Vertical', 'intense' )
						)
					),
				)
			)
		)
	),
	'general_tabs_tab' => array(
		'type' => 'tab',
		'title' => __( 'General', 'intense' ),
		'fields' =>  array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'must be unique for the post/page', 'intense' ),
				'skinnable' => false
			),
			'direction' => array(
				'type' => 'dropdown',
				'title' => __( 'Direction', 'intense' ),
				'options' => array(
					'' => __( 'Top', 'intense' ),
					'below' => __( 'Bottom', 'intense' ),
					'left' => __( 'Left', 'intense' ),
					'right' => __( 'Right', 'intense' )
				),
			),			
			'active_tab_background_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Active Tab Background Color', 'intense' ),
			),
			'active_tab_font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Active Tab Font Color', 'intense' ),
			),
			'width' => array(
				'type' => 'text',
				'title' => __( 'Width', 'intense' ),
				'description' => __( 'leave blank for full width', 'intense' ),
			),
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			),
		)
	),
	'switching_tab' => array( 
		'type' => 'tab',
		'title' => __( 'Switching', 'intense' ),
		'fields' => array(
			'trigger' => array(
				'type' => 'dropdown',
				'title' => __( 'Switch Tab Trigger', 'intense' ),
				'options' => array(
					'click' => __( 'Click', 'intense' ),
					'mouseenter' => __( 'Mouse Enter', 'intense' ),
				),
			),
			'animation' => array(
				'type' => 'dropdown',
				'title' => __( 'Animation', 'intense' ),
				'default' => 'fade',
				'options' => array(
					'none' => __( 'None', 'intense' ),
					'cycle-down' => __( 'Cycle Down', 'intense' ),
					'cycle-left' => __( 'Cycle Left', 'intense' ),
					'cycle-right' => __( 'Cycle Right', 'intense' ),
					'cycle-up' => __( 'Cycle Up', 'intense' ),
					'fade' => __( 'Fade', 'intense' ),
					'flip' => __( 'Flip', 'intense' ),
					'flipX' => __( 'Flip X', 'intense' ),
					'solid-flip' => __( 'Solid Flip', 'intense' ),
					'solid-flipX' => __( 'Solid Flip X', 'intense' ),
					'swing-flip' => __( 'Swing Flip', 'intense' ),
					'pinch-flip' => __( 'Pinch Flip', 'intense' ),
					'scale' => __( 'Scale', 'intense' ),
					'scale-up' => __( 'Scale Up', 'intense' ),
					'slide-down' => __( 'Slide Down', 'intense' ),
					'slide-left' => __( 'Slide Left', 'intense' ),
					'slide-right' => __( 'Slide Right', 'intense' ),
					'slide-up' => __( 'Slide Up', 'intense' ),
				),
			),
			'autoplay' => array(
				'type' => 'checkbox',
				'title' => __( 'Autoplay', 'intense' ),
				'description' => __( 'autoplay switching items', 'intense' ),			
			),
			'loop' => array(
				'type' => 'checkbox',
				'title' => __( 'Loop', 'intense' ),
				'description' => __( 'loop through the items', 'intense' ),
				'default' => true,
				'class' => 'autoplaysetting'
			),
			'delay' => array( 
				'type' => 'text',
				'title' => __( 'Delay', 'intense' ),
				'description' => __( 'number of milliseconds to wait before switching from the first item', 'intense' ),				
				'class' => 'autoplaysetting'
			),
			'speed' => array( 
				'type' => 'text',
				'title' => __( 'Speed', 'intense' ),
				'description' => __( 'number of milliseconds to wait before switching between items', 'intense' ),
				'default' => "3000",
				'class' => 'autoplaysetting'
			)
		)
	)
);
