<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'source' => array(
		'type' => 'dropdown',
		'title' => __( 'Source', 'intense' ),
		'options' => array(
			'manual' => __( 'Manual', 'intense' ),
			'posts' => __( 'Intense Testimonies', 'intense' ),
		),
	),
	'type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'options' => array(
			'slider' => __( 'Slider', 'intense' ),
			'' => __( 'Standard', 'intense' ),
		),
	),
	'template' => array(
		'type' => 'template',
		'title' => __( 'Template', 'intense' ),
		'path' => '/testimonies/',
	),
	'speed' => array(
		'type' => 'text',
		'title' => __( 'Speed', 'intense' ),
		'description' => __( 'measured in milliseconds', 'intense' ),
		'default' => 7000,
		'class' => 'slidersettings'
	),
	'pause_on_hover' => array(
		'type' => 'checkbox',
		'title' => __( 'Pause on Hover', 'intense' ),
		'default' => 1,
		'class' => 'slidersettings'
	),
	'order_by' => array(
		'type' => 'text',
		'title' => __( 'Order By', 'intense' ),
		'default' => 'id',
		'class' => 'postsettings'
	),
	'order' => array(
		'type' => 'dropdown',
		'title' => __( 'Order', 'intense' ),
		'options' => array(
			'asc' => __( 'Ascending', 'intense' ),
			'desc' => __( 'Descending', 'intense' ),
		),
		'class' => 'postsettings'
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
	'testimony' => array(
		'type' => 'repeater',
		'title' => __( 'Testimonies', 'intense' ),
		'preview_content' => __( 'Testimony Text', 'intense' ),
		'fields' => array(
			'author' => array(
				'type' => 'text',
				'title' => __( 'Author', 'intense' ),
				'skinnable' => false
			),
			'company' => array(
				'type' => 'text',
				'title' => __( 'Company', 'intense' ),
				'skinnable' => false
			),
			'link' => array(
				'type' => 'text',
				'title' => __( 'Link', 'intense' ),
				'description' => __( 'URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
				'skinnable' => false
			),
			'link_target' => array(
				'type' => 'link_target',
				'title' => __( 'Link Target', 'intense' ),
				'default' => '_blank'
			),
			'link_rel' => array(
				'type' => 'rel',
				'title' => __( 'Link Rel', 'intense' ),
			),
			'image' => array(
				'type' => 'image',
				'title' => __( 'Image', 'intense' ),
				'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
				'skinnable' => false
			),
			'background' => array(
				'type' => 'color_advanced',
				'title' => __( 'Background', 'intense' ),
				'default' => intense_get_plugin_color( "boxed" ),
				'skinnable' => false
			),
			'font_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Font Color', 'intense' ),
			),
		),
		'class' => 'manualsettings'
	)
);
