<?php

global $intense_visions_options;

$this->fields = array(
	'type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'options' => array(
			'blog_post' => __( 'Post', 'intense' ),
			'slider' => __( 'Slider', 'intense' ),
			'custom' => __( 'Custom', 'intense' ),
		),
		'description' => __( 'Custom uses content you enter into the editor.', 'intense' ),
	),
	'title' => array(
		'type' => 'text',
		'title' => __( 'Title', 'intense' ),
		'skinnable' => false
	),
	'date' => array(
		'type' => 'text',
		'title' => __( 'Date', 'intense' ),
		'description' => __( 'Must be in YYYY-mm-dd format.', 'intense' ),
		'skinnable' => false
	),
	'use_content' => array(
		'type' => 'checkbox',
		'title' => __( 'Use Content', 'intense' ),
		'description' => __( 'Use inner content instead of using this layout.', 'intense' ),
		'class' => 'usecontent'
	),
	'images' => array(
		'type' => 'gallery',
		'title' => __( 'Image(s)', 'intense' ),
		'description' => __( 'enter WordPress attachment ID(s)', 'intense' ),
		'skinnable' => false
	),
	'image_size' => array(
		'type' => 'image_size',
		'title' => __( 'Image Size', 'intense' ),
		'default' => 'medium800'
	),
	'image_border_radius' => array(
		'type' => 'border_radius',
		'title' => __( 'Image Border Radius', 'intense' ),
		'description' => __( '%, em, px - examples: 25% or 10em or 20px', 'intense' )
	),
	'color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Background Color', 'intense' ),
		'default' => '#efefef'
	),
	'event_border_radius' => array(
		'type' => 'border_radius',
		'title' => __( 'Event Border Radius', 'intense' ),
		'description' => __( '%, em, px - examples: 25% or 10em or 20px', 'intense' )
	),
	'readmore_text' => array(
		'type' => 'text',
		'title' => __( '"Read More" text', 'intense' ),
		'description' => __( 'Must be in YYYY-mm-dd format.', 'intense' ),
	),
	'readmore' => array(
		'type' => 'text',
		'title' => __( 'Read More URL', 'intense' ),
		'description' => __( 'Link to post or URL of your choice.', 'intense' ),
	),
	'readmore_target' => array(
		'type' => 'link_target',
		'title' => __( 'Read More Target', 'intense' ),
		'description' => __( 'Link to post or URL of your choice.', 'intense' ),
	),
	'featured' => array(
		'type' => 'checkbox',
		'title' => __( 'Featured', 'intense' ),
		'default' => 1,
	),
	'animation_type' => array(
		'type' => 'animation',
		'title' => __( 'Animation Type', 'intense' ),
		'placeholder' => __( 'Select an animation', 'intense' ),
	),
	'animation_trigger' => array(
		'type' => 'dropdown',
		'title' => __( 'Animation Trigger', 'intense' ),
		'options' => array(
			'scroll' => __( 'Scroll', 'intense' ),
			'hover' => __( 'Hover', 'intense' ),
			'click' => __( 'Click', 'intense' ),
			'delay' => __( 'Delay', 'intense' )
		),
	),
	'animation_scroll_percent' => array(
		'type' => 'dropdown',
		'title' => __( 'Scroll Percentage', 'intense' ),
		'description' => __( 'animate when <span id="scrollpercentagevalue"></span>% of item is in view', 'intense' ),
		'options' => array(
			'0' => '0',
			'10' => '10',
			'20' => '20',
			'30' => '30',
			'40' => '40',
			'50' => '50',
			'60' => '60',
			'70' => '70',
			'80' => '80',
			'90' => '90',
			'100' => '100'
		),
		'default' => '10',
		'class' => 'scrollpercentagesettings'
	),
	'animation_delay' => array(
		'type' => 'text',
		'title' => __( 'Animation Delay', 'intense' ),
		'description' => __( 'amount in milliseconds', 'intense' ),
		'default' => 0
	)
);
