<?php

global $intense_visions_options;

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'video_type' => array(
		'type' => 'dropdown',
		'title' => __( 'Type', 'intense' ),
		'options' => array(
			'' => '',
			'wordpress' => __( 'WordPress', 'intense' ),
			'bliptv' => __( 'Blip.tv', 'intense' ),
			'collegehumor' => __( 'College Humor', 'intense' ),
			'flickr' => __( 'Flickr', 'intense' ),
			'funnyordie' => __( 'FunnyOrDie.com', 'intense' ),
			'hulu' => __( 'Hulu', 'intense' ),
			'revision3' => __( 'Revision3', 'intense' ),
			'screenr' => __( 'Screenr', 'intense' ),
			'ted' => __( 'TED', 'intense' ),
			'viddler' => __( 'Viddler', 'intense' ),
			'vimeo' => __( 'Vimeo', 'intense' ),
			'wordpresstv' => __( 'WordPress.tv', 'intense' ),
			'youtube' => __( 'YouTube', 'intense' ),
			'vevo' => __( 'Vevo', 'intense' ),
		)
	),
	'video_url' => array(
		'type' => 'text',
		'title' => __( 'Video URL', 'intense' ),
		'class' => 'videosettings',
		'skinnable' => false
	),
	'theme' => array(
		'type' => 'dropdown',
		'title' => __( 'Theme', 'intense' ),
		'options' => array(
			'dark' => __( 'Dark', 'intense' ),
			'light' => __( 'Light', 'intense' ),
		),
		'default' => 'dark',
		'class' => 'youtubesettings'
	),
	'playlist' => array(
		'type' => 'text',
		'title' => __( 'Playlist', 'intense' ),
		'description' => __( 'Enter a comma separated list of Youtube video ID\'s. The first video in the playlist will be from the Video URL (set above). Only one user, search, or playlist can be provided.', 'intense' ),
		'class' => 'youtubesettings',
		'skinnable' => false
	),
	'user' => array(
		'type' => 'text',
		'title' => __( 'User', 'intense' ),
		'description' => __( 'Enter the Youtube user name. A playlist will be shown with videos uploaded by this user. Only one user, search, or playlist can be provided.', 'intense' ),
		'class' => 'youtubesettings',
		'skinnable' => false
	),
	'search' => array(
		'type' => 'text',
		'title' => __( 'Search', 'intense' ),
		'description' => __( 'Enter a search string that you want to show videos for. Only one user, search, or playlist can be provided.', 'intense' ),
		'class' => 'youtubesettings',
		'skinnable' => false
	),
	'show_related' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Related Videos', 'intense' ),
		'class' => 'youtubesettings'
	),
	'show_badge' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Badge', 'intense' ),
		'class' => 'vimeosettings',
		'default' => true
	),
	'show_byline' => array(
		'type' => 'checkbox',
		'title' => __( 'Show User\'s Byline', 'intense' ),
		'class' => 'vimeosettings',
		'default' => true
	),
	'show_portrait' => array(
		'type' => 'checkbox',
		'title' => __( 'Show User\'s Portrait', 'intense' ),
		'class' => 'vimeosettings',
		'default' => true
	),
	'show_title' => array(
		'type' => 'checkbox',
		'title' => __( 'Show Title', 'intense' ),
		'class' => 'vimeosettings',
		'default' => true
	),
	'loop' => array(
		'type' => 'checkbox',
		'title' => __( 'Loop Video', 'intense' ),
		'class' => 'vimeosettings youtubesettings',
		'default' => false
	),
	'autoplay' => array(
		'type' => 'checkbox',
		'title' => __( 'Autoplay Video', 'intense' ),
		'class' => 'vimeosettings youtubesettings vevosettings',
		'default' => false
	),
	'video_size' => array( 'type' => 'deprecated', 'description' => 'size is now calculated' ),
	'poster' => array(
		'type' => 'image',
		'title' => __( 'Poster Image', 'intense' ),
		'class' => 'wpsettings',
		'skinnable' => false
	),
	'poster_id' => array( 'type' => 'deprecated', 'description' => 'use poster instead' ),
	'poster_url' => array( 'type' => 'deprecated', 'description' => 'use poster instead' ),
	'mp4' => array(
		'type' => 'video',
		'title' => __( 'MP4 Video', 'intense' ),
		'class' => 'wpsettings',
		'skinnable' => false
	),
	'mp4_id' => array( 'type' => 'deprecated', 'description' => 'use mp4 instead' ),
	'mp4_url' => array( 'type' => 'deprecated', 'description' => 'use mp4 instead' ),
	'ogv' => array(
		'type' => 'video',
		'title' => __( 'OGV Video', 'intense' ),
		'class' => 'wpsettings',
		'skinnable' => false
	),
	'ogv_id' => array( 'type' => 'deprecated', 'description' => 'use ogv instead' ),
	'ogv_url' => array( 'type' => 'deprecated', 'description' => 'use ogv instead' ),
	'webm' => array(
		'type' => 'video',
		'title' => __( 'WebM Video', 'intense' ),
		'class' => 'wpsettings',
		'skinnable' => false
	),
	'webm_id' => array( 'type' => 'deprecated', 'description' => 'use webm instead' ),
	'webm_url' => array( 'type' => 'deprecated', 'description' => 'use webm instead' ),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
