/*!
 * Chart.js
 * http://chartjs.org/
 * Version: 1.0.2
 *
 * Copyright 2015 Nick Downie
 * Released under the MIT license
 * https://github.com/nnnick/Chart.js/blob/master/LICENSE.md
 */(function(){"use strict";var e=this,t=e.Chart,n=function(e){var t=this;this.canvas=e.canvas;this.ctx=e;var n=function(e,t){return e["offset"+t]?e["offset"+t]:document.defaultView.getComputedStyle(e).getPropertyValue(t)},i=this.width=n(e.canvas,"Width"),s=this.height=n(e.canvas,"Height");e.canvas.width=i;e.canvas.height=s;var i=this.width=e.canvas.width,s=this.height=e.canvas.height;this.aspectRatio=this.width/this.height;r.retinaScale(this);return this};n.defaults={global:{animation:!0,animationSteps:60,animationEasing:"easeOutQuart",showScale:!0,scaleOverride:!1,scaleSteps:null,scaleStepWidth:null,scaleStartValue:null,scaleLineColor:"rgba(0,0,0,.1)",scaleLineWidth:1,scaleShowLabels:!0,scaleLabel:"<%=value%>",scaleIntegersOnly:!0,scaleBeginAtZero:!1,scaleFontFamily:"'Helvetica Neue', 'Helvetica', 'Arial', sans-serif",scaleFontSize:12,scaleFontStyle:"normal",scaleFontColor:"#666",responsive:!1,maintainAspectRatio:!0,showTooltips:!0,customTooltips:!1,tooltipEvents:["mousemove","touchstart","touchmove","mouseout"],tooltipFillColor:"rgba(0,0,0,0.8)",tooltipFontFamily:"'Helvetica Neue', 'Helvetica', 'Arial', sans-serif",tooltipFontSize:14,tooltipFontStyle:"normal",tooltipFontColor:"#fff",tooltipTitleFontFamily:"'Helvetica Neue', 'Helvetica', 'Arial', sans-serif",tooltipTitleFontSize:14,tooltipTitleFontStyle:"bold",tooltipTitleFontColor:"#fff",tooltipYPadding:6,tooltipXPadding:6,tooltipCaretSize:8,tooltipCornerRadius:6,tooltipXOffset:10,tooltipTemplate:"<%if (label){%><%=label%>: <%}%><%= value %>",multiTooltipTemplate:"<%= value %>",multiTooltipKeyBackground:"#fff",onAnimationProgress:function(){},onAnimationComplete:function(){}}};n.types={};var r=n.helpers={},i=r.each=function(e,t,n){var r=Array.prototype.slice.call(arguments,3);if(e)if(e.length===+e.length){var i;for(i=0;i<e.length;i++)t.apply(n,[e[i],i].concat(r))}else for(var s in e)t.apply(n,[e[s],s].concat(r))},s=r.clone=function(e){var t={};i(e,function(n,r){e.hasOwnProperty(r)&&(t[r]=n)});return t},o=r.extend=function(e){i(Array.prototype.slice.call(arguments,1),function(t){i(t,function(n,r){t.hasOwnProperty(r)&&(e[r]=n)})});return e},u=r.merge=function(e,t){var n=Array.prototype.slice.call(arguments,0);n.unshift({});return o.apply(null,n)},a=r.indexOf=function(e,t){if(Array.prototype.indexOf)return e.indexOf(t);for(var n=0;n<e.length;n++)if(e[n]===t)return n;return-1},f=r.where=function(e,t){var n=[];r.each(e,function(e){t(e)&&n.push(e)});return n},l=r.findNextWhere=function(e,t,n){n||(n=-1);for(var r=n+1;r<e.length;r++){var i=e[r];if(t(i))return i}},c=r.findPreviousWhere=function(e,t,n){n||(n=e.length);for(var r=n-1;r>=0;r--){var i=e[r];if(t(i))return i}},h=r.inherits=function(e){var t=this,n=e&&e.hasOwnProperty("constructor")?e.constructor:function(){return t.apply(this,arguments)},r=function(){this.constructor=n};r.prototype=t.prototype;n.prototype=new r;n.extend=h;e&&o(n.prototype,e);n.__super__=t.prototype;return n},p=r.noop=function(){},d=r.uid=function(){var e=0;return function(){return"chart-"+e++}}(),v=r.warn=function(e){window.console&&typeof window.console.warn=="function"&&console.warn(e)},m=r.amd=typeof define=="function"&&define.amd,g=r.isNumber=function(e){return!isNaN(parseFloat(e))&&isFinite(e)},y=r.max=function(e){return Math.max.apply(Math,e)},b=r.min=function(e){return Math.min.apply(Math,e)},w=r.cap=function(e,t,n){if(g(t)){if(e>t)return t}else if(g(n)&&e<n)return n;return e},E=r.getDecimalPlaces=function(e){return e%1!==0&&g(e)?e.toString().split(".")[1].length:0},S=r.radians=function(e){return e*(Math.PI/180)},x=r.getAngleFromPoint=function(e,t){var n=t.x-e.x,r=t.y-e.y,i=Math.sqrt(n*n+r*r),s=Math.PI*2+Math.atan2(r,n);n<0&&r<0&&(s+=Math.PI*2);return{angle:s,distance:i}},T=r.aliasPixel=function(e){return e%2===0?0:.5},N=r.splineCurve=function(e,t,n,r){var i=Math.sqrt(Math.pow(t.x-e.x,2)+Math.pow(t.y-e.y,2)),s=Math.sqrt(Math.pow(n.x-t.x,2)+Math.pow(n.y-t.y,2)),o=r*i/(i+s),u=r*s/(i+s);return{inner:{x:t.x-o*(n.x-e.x),y:t.y-o*(n.y-e.y)},outer:{x:t.x+u*(n.x-e.x),y:t.y+u*(n.y-e.y)}}},C=r.calculateOrderOfMagnitude=function(e){return Math.floor(Math.log(e)/Math.LN10)},k=r.calculateScaleRange=function(e,t,n,r,i){var s=2,o=Math.floor(t/(n*1.5)),u=s>=o,a=y(e),f=b(e);if(a===f){a+=.5;f>=.5&&!r?f-=.5:a+=.5}var l=Math.abs(a-f),c=C(l),h=Math.ceil(a/(1*Math.pow(10,c)))*Math.pow(10,c),p=r?0:Math.floor(f/(1*Math.pow(10,c)))*Math.pow(10,c),d=h-p,v=Math.pow(10,c),m=Math.round(d/v);while((m>o||m*2<o)&&!u)if(m>o){v*=2;m=Math.round(d/v);m%1!==0&&(u=!0)}else if(i&&c>=0){if(v/2%1!==0)break;v/=2;m=Math.round(d/v)}else{v/=2;m=Math.round(d/v)}if(u){m=s;v=d/m}return{steps:m,stepValue:v,min:p,max:p+m*v}},L=r.template=function(e,t){function r(e,t){var r=/\W/.test(e)?new Function("obj","var p=[],print=function(){p.push.apply(p,arguments);};with(obj){p.push('"+e.replace(/[\r\t\n]/g," ").split("<%").join("	").replace(/((^|%>)[^\t]*)'/g,"$1\r").replace(/\t=(.*?)%>/g,"',$1,'").split("	").join("');").split("%>").join("p.push('").split("\r").join("\\'")+"');}return p.join('');"):n[e]=n[e];return t?r(t):r}if(e instanceof Function)return e(t);var n={};return r(e,t)},A=r.generateLabels=function(e,t,n,r){var s=new Array(t);labelTemplateString&&i(s,function(t,i){s[i]=L(e,{value:n+r*(i+1)})});return s},O=r.easingEffects={linear:function(e){return e},easeInQuad:function(e){return e*e},easeOutQuad:function(e){return-1*e*(e-2)},easeInOutQuad:function(e){return(e/=.5)<1?.5*e*e:-0.5*(--e*(e-2)-1)},easeInCubic:function(e){return e*e*e},easeOutCubic:function(e){return 1*((e=e/1-1)*e*e+1)},easeInOutCubic:function(e){return(e/=.5)<1?.5*e*e*e:.5*((e-=2)*e*e+2)},easeInQuart:function(e){return e*e*e*e},easeOutQuart:function(e){return-1*((e=e/1-1)*e*e*e-1)},easeInOutQuart:function(e){return(e/=.5)<1?.5*e*e*e*e:-0.5*((e-=2)*e*e*e-2)},easeInQuint:function(e){return 1*(e/=1)*e*e*e*e},easeOutQuint:function(e){return 1*((e=e/1-1)*e*e*e*e+1)},easeInOutQuint:function(e){return(e/=.5)<1?.5*e*e*e*e*e:.5*((e-=2)*e*e*e*e+2)},easeInSine:function(e){return-1*Math.cos(e/1*(Math.PI/2))+1},easeOutSine:function(e){return 1*Math.sin(e/1*(Math.PI/2))},easeInOutSine:function(e){return-0.5*(Math.cos(Math.PI*e/1)-1)},easeInExpo:function(e){return e===0?1:1*Math.pow(2,10*(e/1-1))},easeOutExpo:function(e){return e===1?1:1*(-Math.pow(2,-10*e/1)+1)},easeInOutExpo:function(e){return e===0?0:e===1?1:(e/=.5)<1?.5*Math.pow(2,10*(e-1)):.5*(-Math.pow(2,-10*--e)+2)},easeInCirc:function(e){return e>=1?e:-1*(Math.sqrt(1-(e/=1)*e)-1)},easeOutCirc:function(e){return 1*Math.sqrt(1-(e=e/1-1)*e)},easeInOutCirc:function(e){return(e/=.5)<1?-0.5*(Math.sqrt(1-e*e)-1):.5*(Math.sqrt(1-(e-=2)*e)+1)},easeInElastic:function(e){var t=1.70158,n=0,r=1;if(e===0)return 0;if((e/=1)==1)return 1;n||(n=.3);if(r<Math.abs(1)){r=1;t=n/4}else t=n/(2*Math.PI)*Math.asin(1/r);return-(r*Math.pow(2,10*(e-=1))*Math.sin((e*1-t)*2*Math.PI/n))},easeOutElastic:function(e){var t=1.70158,n=0,r=1;if(e===0)return 0;if((e/=1)==1)return 1;n||(n=.3);if(r<Math.abs(1)){r=1;t=n/4}else t=n/(2*Math.PI)*Math.asin(1/r);return r*Math.pow(2,-10*e)*Math.sin((e*1-t)*2*Math.PI/n)+1},easeInOutElastic:function(e){var t=1.70158,n=0,r=1;if(e===0)return 0;if((e/=1/2)==2)return 1;n||(n=1*.3*1.5);if(r<Math.abs(1)){r=1;t=n/4}else t=n/(2*Math.PI)*Math.asin(1/r);return e<1?-0.5*r*Math.pow(2,10*(e-=1))*Math.sin((e*1-t)*2*Math.PI/n):r*Math.pow(2,-10*(e-=1))*Math.sin((e*1-t)*2*Math.PI/n)*.5+1},easeInBack:function(e){var t=1.70158;return 1*(e/=1)*e*((t+1)*e-t)},easeOutBack:function(e){var t=1.70158;return 1*((e=e/1-1)*e*((t+1)*e+t)+1)},easeInOutBack:function(e){var t=1.70158;return(e/=.5)<1?.5*e*e*(((t*=1.525)+1)*e-t):.5*((e-=2)*e*(((t*=1.525)+1)*e+t)+2)},easeInBounce:function(e){return 1-O.easeOutBounce(1-e)},easeOutBounce:function(e){return(e/=1)<1/2.75?1*7.5625*e*e:e<2/2.75?1*(7.5625*(e-=1.5/2.75)*e+.75):e<2.5/2.75?1*(7.5625*(e-=2.25/2.75)*e+.9375):1*(7.5625*(e-=2.625/2.75)*e+.984375)},easeInOutBounce:function(e){return e<.5?O.easeInBounce(e*2)*.5:O.easeOutBounce(e*2-1)*.5+.5}},M=r.requestAnimFrame=function(){return window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||window.oRequestAnimationFrame||window.msRequestAnimationFrame||function(e){return window.setTimeout(e,1e3/60)}}(),_=r.cancelAnimFrame=function(){return window.cancelAnimationFrame||window.webkitCancelAnimationFrame||window.mozCancelAnimationFrame||window.oCancelAnimationFrame||window.msCancelAnimationFrame||function(e){return window.clearTimeout(e,1e3/60)}}(),D=r.animationLoop=function(e,t,n,r,i,s){var o=0,u=O[n]||O.linear,a=function(){o++;var n=o/t,f=u(n);e.call(s,f,n,o);r.call(s,f,n);o<t?s.animationFrame=M(a):i.apply(s)};M(a)},P=r.getRelativePosition=function(e){var t,n,r=e.originalEvent||e,i=e.currentTarget||e.srcElement,s=i.getBoundingClientRect();if(r.touches){t=r.touches[0].clientX-s.left;n=r.touches[0].clientY-s.top}else{t=r.clientX-s.left;n=r.clientY-s.top}return{x:t,y:n}},H=r.addEvent=function(e,t,n){e.addEventListener?e.addEventListener(t,n):e.attachEvent?e.attachEvent("on"+t,n):e["on"+t]=n},B=r.removeEvent=function(e,t,n){e.removeEventListener?e.removeEventListener(t,n,!1):e.detachEvent?e.detachEvent("on"+t,n):e["on"+t]=p},j=r.bindEvents=function(e,t,n){e.events||(e.events={});i(t,function(t){e.events[t]=function(){n.apply(e,arguments)};H(e.chart.canvas,t,e.events[t])})},F=r.unbindEvents=function(e,t){i(t,function(t,n){B(e.chart.canvas,n,t)})},I=r.getMaximumWidth=function(e){var t=e.parentNode;return t.clientWidth},q=r.getMaximumHeight=function(e){var t=e.parentNode;return t.clientHeight},R=r.getMaximumSize=r.getMaximumWidth,U=r.retinaScale=function(e){var t=e.ctx,n=e.canvas.width,r=e.canvas.height;if(window.devicePixelRatio){t.canvas.style.width=n+"px";t.canvas.style.height=r+"px";t.canvas.height=r*window.devicePixelRatio;t.canvas.width=n*window.devicePixelRatio;t.scale(window.devicePixelRatio,window.devicePixelRatio)}},z=r.clear=function(e){e.ctx.clearRect(0,0,e.width,e.height)},W=r.fontString=function(e,t,n){return t+" "+e+"px "+n},X=r.longestText=function(e,t,n){e.font=t;var r=0;i(n,function(t){var n=e.measureText(t).width;r=n>r?n:r});return r},V=r.drawRoundedRectangle=function(e,t,n,r,i,s){e.beginPath();e.moveTo(t+s,n);e.lineTo(t+r-s,n);e.quadraticCurveTo(t+r,n,t+r,n+s);e.lineTo(t+r,n+i-s);e.quadraticCurveTo(t+r,n+i,t+r-s,n+i);e.lineTo(t+s,n+i);e.quadraticCurveTo(t,n+i,t,n+i-s);e.lineTo(t,n+s);e.quadraticCurveTo(t,n,t+s,n);e.closePath()};n.instances={};n.Type=function(e,t,r){this.options=t;this.chart=r;this.id=d();n.instances[this.id]=this;t.responsive&&this.resize();this.initialize.call(this,e)};o(n.Type.prototype,{initialize:function(){return this},clear:function(){z(this.chart);return this},stop:function(){_(this.animationFrame);return this},resize:function(e){this.stop();var t=this.chart.canvas,n=I(this.chart.canvas),r=this.options.maintainAspectRatio?n/this.chart.aspectRatio:q(this.chart.canvas);t.width=this.chart.width=n;t.height=this.chart.height=r;U(this.chart);typeof e=="function"&&e.apply(this,Array.prototype.slice.call(arguments,1));return this},reflow:p,render:function(e){e&&this.reflow();if(this.options.animation&&!e)r.animationLoop(this.draw,this.options.animationSteps,this.options.animationEasing,this.options.onAnimationProgress,this.options.onAnimationComplete,this);else{this.draw();this.options.onAnimationComplete.call(this)}return this},generateLegend:function(){return L(this.options.legendTemplate,this)},destroy:function(){this.clear();F(this,this.events);var e=this.chart.canvas;e.width=this.chart.width;e.height=this.chart.height;if(e.style.removeProperty){e.style.removeProperty("width");e.style.removeProperty("height")}else{e.style.removeAttribute("width");e.style.removeAttribute("height")}delete n.instances[this.id]},showTooltip:function(e,t){typeof this.activeElements=="undefined"&&(this.activeElements=[]);var s=function(e){var t=!1;if(e.length!==this.activeElements.length){t=!0;return t}i(e,function(e,n){e!==this.activeElements[n]&&(t=!0)},this);return t}.call(this,e);if(!s&&!t)return;this.activeElements=e;this.draw();this.options.customTooltips&&this.options.customTooltips(!1);if(e.length>0)if(this.datasets&&this.datasets.length>1){var o,u;for(var f=this.datasets.length-1;f>=0;f--){o=this.datasets[f].points||this.datasets[f].bars||this.datasets[f].segments;u=a(o,e[0]);if(u!==-1)break}var l=[],c=[],h=function(e){var t=[],n,i=[],s=[],o,a,f,h;r.each(this.datasets,function(e){n=e.points||e.bars||e.segments;n[u]&&n[u].hasValue()&&t.push(n[u])});r.each(t,function(e){i.push(e.x);s.push(e.y);l.push(r.template(this.options.multiTooltipTemplate,e));c.push({fill:e._saved.fillColor||e.fillColor,stroke:e._saved.strokeColor||e.strokeColor})},this);h=b(s);a=y(s);f=b(i);o=y(i);return{x:f>this.chart.width/2?f:o,y:(h+a)/2}}.call(this,u);(new n.MultiTooltip({x:h.x,y:h.y,xPadding:this.options.tooltipXPadding,yPadding:this.options.tooltipYPadding,xOffset:this.options.tooltipXOffset,fillColor:this.options.tooltipFillColor,textColor:this.options.tooltipFontColor,fontFamily:this.options.tooltipFontFamily,fontStyle:this.options.tooltipFontStyle,fontSize:this.options.tooltipFontSize,titleTextColor:this.options.tooltipTitleFontColor,titleFontFamily:this.options.tooltipTitleFontFamily,titleFontStyle:this.options.tooltipTitleFontStyle,titleFontSize:this.options.tooltipTitleFontSize,cornerRadius:this.options.tooltipCornerRadius,labels:l,legendColors:c,legendColorBackground:this.options.multiTooltipKeyBackground,title:e[0].label,chart:this.chart,ctx:this.chart.ctx,custom:this.options.customTooltips})).draw()}else i(e,function(e){var t=e.tooltipPosition();(new n.Tooltip({x:Math.round(t.x),y:Math.round(t.y),xPadding:this.options.tooltipXPadding,yPadding:this.options.tooltipYPadding,fillColor:this.options.tooltipFillColor,textColor:this.options.tooltipFontColor,fontFamily:this.options.tooltipFontFamily,fontStyle:this.options.tooltipFontStyle,fontSize:this.options.tooltipFontSize,caretHeight:this.options.tooltipCaretSize,cornerRadius:this.options.tooltipCornerRadius,text:L(this.options.tooltipTemplate,e),chart:this.chart,custom:this.options.customTooltips})).draw()},this);return this},toBase64Image:function(){return this.chart.canvas.toDataURL.apply(this.chart.canvas,arguments)}});n.Type.extend=function(e){var t=this,r=function(){return t.apply(this,arguments)};r.prototype=s(t.prototype);o(r.prototype,e);r.extend=n.Type.extend;if(e.name||t.prototype.name){var i=e.name||t.prototype.name,a=n.defaults[t.prototype.name]?s(n.defaults[t.prototype.name]):{};n.defaults[i]=o(a,e.defaults);n.types[i]=r;n.prototype[i]=function(e,t){var s=u(n.defaults.global,n.defaults[i],t||{});return new r(e,s,this)}}else v("Name not provided for this chart, so it hasn't been registered");return t};n.Element=function(e){o(this,e);this.initialize.apply(this,arguments);this.save()};o(n.Element.prototype,{initialize:function(){},restore:function(e){e?i(e,function(e){this[e]=this._saved[e]},this):o(this,this._saved);return this},save:function(){this._saved=s(this);delete this._saved._saved;return this},update:function(e){i(e,function(e,t){this._saved[t]=this[t];this[t]=e},this);return this},transition:function(e,t){i(e,function(e,n){this[n]=(e-this._saved[n])*t+this._saved[n]},this);return this},tooltipPosition:function(){return{x:this.x,y:this.y}},hasValue:function(){return g(this.value)}});n.Element.extend=h;n.Point=n.Element.extend({display:!0,inRange:function(e,t){var n=this.hitDetectionRadius+this.radius;return Math.pow(e-this.x,2)+Math.pow(t-this.y,2)<Math.pow(n,2)},draw:function(){if(this.display){var e=this.ctx;e.beginPath();e.arc(this.x,this.y,this.radius,0,Math.PI*2);e.closePath();e.strokeStyle=this.strokeColor;e.lineWidth=this.strokeWidth;e.fillStyle=this.fillColor;e.fill();e.stroke()}}});n.Arc=n.Element.extend({inRange:function(e,t){var n=r.getAngleFromPoint(this,{x:e,y:t}),i=n.angle>=this.startAngle&&n.angle<=this.endAngle,s=n.distance>=this.innerRadius&&n.distance<=this.outerRadius;return i&&s},tooltipPosition:function(){var e=this.startAngle+(this.endAngle-this.startAngle)/2,t=(this.outerRadius-this.innerRadius)/2+this.innerRadius;return{x:this.x+Math.cos(e)*t,y:this.y+Math.sin(e)*t}},draw:function(e){var t=e||1,n=this.ctx;n.beginPath();n.arc(this.x,this.y,this.outerRadius,this.startAngle,this.endAngle);n.arc(this.x,this.y,this.innerRadius,this.endAngle,this.startAngle,!0);n.closePath();n.strokeStyle=this.strokeColor;n.lineWidth=this.strokeWidth;n.fillStyle=this.fillColor;n.fill();n.lineJoin="bevel";this.showStroke&&n.stroke()}});n.Rectangle=n.Element.extend({draw:function(){var e=this.ctx,t=this.width/2,n=this.x-t,r=this.x+t,i=this.base-(this.base-this.y),s=this.strokeWidth/2;if(this.showStroke){n+=s;r-=s;i+=s}e.beginPath();e.fillStyle=this.fillColor;e.strokeStyle=this.strokeColor;e.lineWidth=this.strokeWidth;e.moveTo(n,this.base);e.lineTo(n,i);e.lineTo(r,i);e.lineTo(r,this.base);e.fill();this.showStroke&&e.stroke()},height:function(){return this.base-this.y},inRange:function(e,t){return e>=this.x-this.width/2&&e<=this.x+this.width/2&&t>=this.y&&t<=this.base}});n.Tooltip=n.Element.extend({draw:function(){var e=this.chart.ctx;e.font=W(this.fontSize,this.fontStyle,this.fontFamily);this.xAlign="center";this.yAlign="above";var t=this.caretPadding=2,n=e.measureText(this.text).width+2*this.xPadding,r=this.fontSize+2*this.yPadding,i=r+this.caretHeight+t;this.x+n/2>this.chart.width?this.xAlign="left":this.x-n/2<0&&(this.xAlign="right");this.y-i<0&&(this.yAlign="below");var s=this.x-n/2,o=this.y-i;e.fillStyle=this.fillColor;if(this.custom)this.custom(this);else{switch(this.yAlign){case"above":e.beginPath();e.moveTo(this.x,this.y-t);e.lineTo(this.x+this.caretHeight,this.y-(t+this.caretHeight));e.lineTo(this.x-this.caretHeight,this.y-(t+this.caretHeight));e.closePath();e.fill();break;case"below":o=this.y+t+this.caretHeight;e.beginPath();e.moveTo(this.x,this.y+t);e.lineTo(this.x+this.caretHeight,this.y+t+this.caretHeight);e.lineTo(this.x-this.caretHeight,this.y+t+this.caretHeight);e.closePath();e.fill()}switch(this.xAlign){case"left":s=this.x-n+(this.cornerRadius+this.caretHeight);break;case"right":s=this.x-(this.cornerRadius+this.caretHeight)}V(e,s,o,n,r,this.cornerRadius);e.fill();e.fillStyle=this.textColor;e.textAlign="center";e.textBaseline="middle";e.fillText(this.text,s+n/2,o+r/2)}}});n.MultiTooltip=n.Element.extend({initialize:function(){this.font=W(this.fontSize,this.fontStyle,this.fontFamily);this.titleFont=W(this.titleFontSize,this.titleFontStyle,this.titleFontFamily);this.height=this.labels.length*this.fontSize+(this.labels.length-1)*(this.fontSize/2)+this.yPadding*2+this.titleFontSize*1.5;this.ctx.font=this.titleFont;var e=this.ctx.measureText(this.title).width,t=X(this.ctx,this.font,this.labels)+this.fontSize+3,n=y([t,e]);this.width=n+this.xPadding*2;var r=this.height/2;this.y-r<0?this.y=r:this.y+r>this.chart.height&&(this.y=this.chart.height-r);this.x>this.chart.width/2?this.x-=this.xOffset+this.width:this.x+=this.xOffset},getLineHeight:function(e){var t=this.y-this.height/2+this.yPadding,n=e-1;return e===0?t+this.titleFontSize/2:t+(this.fontSize*1.5*n+this.fontSize/2)+this.titleFontSize*1.5},draw:function(){if(this.custom)this.custom(this);else{V(this.ctx,this.x,this.y-this.height/2,this.width,this.height,this.cornerRadius);var e=this.ctx;e.fillStyle=this.fillColor;e.fill();e.closePath();e.textAlign="left";e.textBaseline="middle";e.fillStyle=this.titleTextColor;e.font=this.titleFont;e.fillText(this.title,this.x+this.xPadding,this.getLineHeight(0));e.font=this.font;r.each(this.labels,function(t,n){e.fillStyle=this.textColor;e.fillText(t,this.x+this.xPadding+this.fontSize+3,this.getLineHeight(n+1));e.fillStyle=this.legendColorBackground;e.fillRect(this.x+this.xPadding,this.getLineHeight(n+1)-this.fontSize/2,this.fontSize,this.fontSize);e.fillStyle=this.legendColors[n].fill;e.fillRect(this.x+this.xPadding,this.getLineHeight(n+1)-this.fontSize/2,this.fontSize,this.fontSize)},this)}}});n.Scale=n.Element.extend({initialize:function(){this.fit()},buildYLabels:function(){this.yLabels=[];var e=E(this.stepValue);for(var t=0;t<=this.steps;t++)this.yLabels.push(L(this.templateString,{value:(this.min+t*this.stepValue).toFixed(e)}));this.yLabelWidth=this.display&&this.showLabels?X(this.ctx,this.font,this.yLabels):0},addXLabel:function(e){this.xLabels.push(e);this.valuesCount++;this.fit()},removeXLabel:function(){this.xLabels.shift();this.valuesCount--;this.fit()},fit:function(){this.startPoint=this.display?this.fontSize:0;this.endPoint=this.display?this.height-this.fontSize*1.5-5:this.height;this.startPoint+=this.padding;this.endPoint-=this.padding;var e=this.endPoint-this.startPoint,t;this.calculateYRange(e);this.buildYLabels();this.calculateXLabelRotation();while(e>this.endPoint-this.startPoint){e=this.endPoint-this.startPoint;t=this.yLabelWidth;this.calculateYRange(e);this.buildYLabels();t<this.yLabelWidth&&this.calculateXLabelRotation()}},calculateXLabelRotation:function(){this.ctx.font=this.font;var e=this.ctx.measureText(this.xLabels[0]).width,t=this.ctx.measureText(this.xLabels[this.xLabels.length-1]).width,n,r;this.xScalePaddingRight=t/2+3;this.xScalePaddingLeft=e/2>this.yLabelWidth+10?e/2:this.yLabelWidth+10;this.xLabelRotation=0;if(this.display){var i=X(this.ctx,this.font,this.xLabels),s,o;this.xLabelWidth=i;var u=Math.floor(this.calculateX(1)-this.calculateX(0))-6;while(this.xLabelWidth>u&&this.xLabelRotation===0||this.xLabelWidth>u&&this.xLabelRotation<=90&&this.xLabelRotation>0){s=Math.cos(S(this.xLabelRotation));n=s*e;r=s*t;n+this.fontSize/2>this.yLabelWidth+8&&(this.xScalePaddingLeft=n+this.fontSize/2);this.xScalePaddingRight=this.fontSize/2;this.xLabelRotation++;this.xLabelWidth=s*i}this.xLabelRotation>0&&(this.endPoint-=Math.sin(S(this.xLabelRotation))*i+3)}else{this.xLabelWidth=0;this.xScalePaddingRight=this.padding;this.xScalePaddingLeft=this.padding}},calculateYRange:p,drawingArea:function(){return this.startPoint-this.endPoint},calculateY:function(e){var t=this.drawingArea()/(this.min-this.max);return this.endPoint-t*(e-this.min)},calculateX:function(e){var t=this.xLabelRotation>0,n=this.width-(this.xScalePaddingLeft+this.xScalePaddingRight),r=n/Math.max(this.valuesCount-(this.offsetGridLines?0:1),1),i=r*e+this.xScalePaddingLeft;this.offsetGridLines&&(i+=r/2);return Math.round(i)},update:function(e){r.extend(this,e);this.fit()},draw:function(){var e=this.ctx,t=(this.endPoint-this.startPoint)/this.steps,n=Math.round(this.xScalePaddingLeft);if(this.display){e.fillStyle=this.textColor;e.font=this.font;i(this.yLabels,function(i,s){var o=this.endPoint-t*s,u=Math.round(o),a=this.showHorizontalLines;e.textAlign="right";e.textBaseline="middle";this.showLabels&&e.fillText(i,n-10,o);s===0&&!a&&(a=!0);a&&e.beginPath();if(s>0){e.lineWidth=this.gridLineWidth;e.strokeStyle=this.gridLineColor}else{e.lineWidth=this.lineWidth;e.strokeStyle=this.lineColor}u+=r.aliasPixel(e.lineWidth);if(a){e.moveTo(n,u);e.lineTo(this.width,u);e.stroke();e.closePath()}e.lineWidth=this.lineWidth;e.strokeStyle=this.lineColor;e.beginPath();e.moveTo(n-5,u);e.lineTo(n,u);e.stroke();e.closePath()},this);i(this.xLabels,function(t,n){var r=this.calculateX(n)+T(this.lineWidth),i=this.calculateX(n-(this.offsetGridLines?.5:0))+T(this.lineWidth),s=this.xLabelRotation>0,o=this.showVerticalLines;n===0&&!o&&(o=!0);o&&e.beginPath();if(n>0){e.lineWidth=this.gridLineWidth;e.strokeStyle=this.gridLineColor}else{e.lineWidth=this.lineWidth;e.strokeStyle=this.lineColor}if(o){e.moveTo(i,this.endPoint);e.lineTo(i,this.startPoint-3);e.stroke();e.closePath()}e.lineWidth=this.lineWidth;e.strokeStyle=this.lineColor;e.beginPath();e.moveTo(i,this.endPoint);e.lineTo(i,this.endPoint+5);e.stroke();e.closePath();e.save();e.translate(r,s?this.endPoint+12:this.endPoint+8);e.rotate(S(this.xLabelRotation)*-1);e.font=this.font;e.textAlign=s?"right":"center";e.textBaseline=s?"middle":"top";e.fillText(t,0,0);e.restore()},this)}}});n.RadialScale=n.Element.extend({initialize:function(){this.size=b([this.height,this.width]);this.drawingArea=this.display?this.size/2-(this.fontSize/2+this.backdropPaddingY):this.size/2},calculateCenterOffset:function(e){var t=this.drawingArea/(this.max-this.min);return(e-this.min)*t},update:function(){this.lineArc?this.drawingArea=this.display?this.size/2-(this.fontSize/2+this.backdropPaddingY):this.size/2:this.setScaleSize();this.buildYLabels()},buildYLabels:function(){this.yLabels=[];var e=E(this.stepValue);for(var t=0;t<=this.steps;t++)this.yLabels.push(L(this.templateString,{value:(this.min+t*this.stepValue).toFixed(e)}))},getCircumference:function(){return Math.PI*2/this.valuesCount},setScaleSize:function(){var e=b([this.height/2-this.pointLabelFontSize-5,this.width/2]),t,n,r,i,s=this.width,o,u,a=0,f,l,c,h,p,d,v;this.ctx.font=W(this.pointLabelFontSize,this.pointLabelFontStyle,this.pointLabelFontFamily);for(n=0;n<this.valuesCount;n++){t=this.getPointPosition(n,e);r=this.ctx.measureText(L(this.templateString,{value:this.labels[n]})).width+5;if(n===0||n===this.valuesCount/2){i=r/2;if(t.x+i>s){s=t.x+i;o=n}if(t.x-i<a){a=t.x-i;f=n}}else if(n<this.valuesCount/2){if(t.x+r>s){s=t.x+r;o=n}}else if(n>this.valuesCount/2&&t.x-r<a){a=t.x-r;f=n}}c=a;h=Math.ceil(s-this.width);u=this.getIndexAngle(o);l=this.getIndexAngle(f);p=h/Math.sin(u+Math.PI/2);d=c/Math.sin(l+Math.PI/2);p=g(p)?p:0;d=g(d)?d:0;this.drawingArea=e-(d+p)/2;this.setCenterPoint(d,p)},setCenterPoint:function(e,t){var n=this.width-t-this.drawingArea,r=e+this.drawingArea;this.xCenter=(r+n)/2;this.yCenter=this.height/2},getIndexAngle:function(e){var t=Math.PI*2/this.valuesCount;return e*t-Math.PI/2},getPointPosition:function(e,t){var n=this.getIndexAngle(e);return{x:Math.cos(n)*t+this.xCenter,y:Math.sin(n)*t+this.yCenter}},draw:function(){if(this.display){var e=this.ctx;i(this.yLabels,function(t,n){if(n>0){var r=n*(this.drawingArea/this.steps),i=this.yCenter-r,s;if(this.lineWidth>0){e.strokeStyle=this.lineColor;e.lineWidth=this.lineWidth;if(this.lineArc){e.beginPath();e.arc(this.xCenter,this.yCenter,r,0,Math.PI*2);e.closePath();e.stroke()}else{e.beginPath();for(var o=0;o<this.valuesCount;o++){s=this.getPointPosition(o,this.calculateCenterOffset(this.min+n*this.stepValue));o===0?e.moveTo(s.x,s.y):e.lineTo(s.x,s.y)}e.closePath();e.stroke()}}if(this.showLabels){e.font=W(this.fontSize,this.fontStyle,this.fontFamily);if(this.showLabelBackdrop){var u=e.measureText(t).width;e.fillStyle=this.backdropColor;e.fillRect(this.xCenter-u/2-this.backdropPaddingX,i-this.fontSize/2-this.backdropPaddingY,u+this.backdropPaddingX*2,this.fontSize+this.backdropPaddingY*2)}e.textAlign="center";e.textBaseline="middle";e.fillStyle=this.fontColor;e.fillText(t,this.xCenter,i)}}},this);if(!this.lineArc){e.lineWidth=this.angleLineWidth;e.strokeStyle=this.angleLineColor;for(var t=this.valuesCount-1;t>=0;t--){if(this.angleLineWidth>0){var n=this.getPointPosition(t,this.calculateCenterOffset(this.max));e.beginPath();e.moveTo(this.xCenter,this.yCenter);e.lineTo(n.x,n.y);e.stroke();e.closePath()}var r=this.getPointPosition(t,this.calculateCenterOffset(this.max)+5);e.font=W(this.pointLabelFontSize,this.pointLabelFontStyle,this.pointLabelFontFamily);e.fillStyle=this.pointLabelFontColor;var s=this.labels.length,o=this.labels.length/2,u=o/2,a=t<u||t>s-u,f=t===u||t===s-u;t===0?e.textAlign="center":t===o?e.textAlign="center":t<o?e.textAlign="left":e.textAlign="right";f?e.textBaseline="middle":a?e.textBaseline="bottom":e.textBaseline="top";e.fillText(this.labels[t],r.x,r.y)}}}}});r.addEvent(window,"resize",function(){var e;return function(){clearTimeout(e);e=setTimeout(function(){i(n.instances,function(e){e.options.responsive&&e.resize(e.render,!0)})},50)}}());m?define(function(){return n}):typeof module=="object"&&module.exports&&(module.exports=n);e.Chart=n;n.noConflict=function(){e.Chart=t;return n}}).call(this);(function(){"use strict";var e=this,t=e.Chart,n=t.helpers,r={scaleBeginAtZero:!0,scaleShowGridLines:!0,scaleGridLineColor:"rgba(0,0,0,.05)",scaleGridLineWidth:1,scaleShowHorizontalLines:!0,scaleShowVerticalLines:!0,barShowStroke:!0,barStrokeWidth:2,barValueSpacing:5,barDatasetSpacing:1,legendTemplate:'<ul class="<%=name.toLowerCase()%>-legend"><% for (var i=0; i<datasets.length; i++){%><li><span style="background-color:<%=datasets[i].fillColor%>"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>'};t.Type.extend({name:"Bar",defaults:r,initialize:function(e){var r=this.options;this.ScaleClass=t.Scale.extend({offsetGridLines:!0,calculateBarX:function(e,t,n){var i=this.calculateBaseWidth(),s=this.calculateX(n)-i/2,o=this.calculateBarWidth(e);return s+o*t+t*r.barDatasetSpacing+o/2},calculateBaseWidth:function(){return this.calculateX(1)-this.calculateX(0)-2*r.barValueSpacing},calculateBarWidth:function(e){var t=this.calculateBaseWidth()-(e-1)*r.barDatasetSpacing;return t/e}});this.datasets=[];this.options.showTooltips&&n.bindEvents(this,this.options.tooltipEvents,function(e){var t=e.type!=="mouseout"?this.getBarsAtEvent(e):[];this.eachBars(function(e){e.restore(["fillColor","strokeColor"])});n.each(t,function(e){e.fillColor=e.highlightFill;e.strokeColor=e.highlightStroke});this.showTooltip(t)});this.BarClass=t.Rectangle.extend({strokeWidth:this.options.barStrokeWidth,showStroke:this.options.barShowStroke,ctx:this.chart.ctx});n.each(e.datasets,function(t,r){var i={label:t.label||null,fillColor:t.fillColor,strokeColor:t.strokeColor,bars:[]};this.datasets.push(i);n.each(t.data,function(n,r){i.bars.push(new this.BarClass({value:n,label:e.labels[r],datasetLabel:t.label,strokeColor:t.strokeColor,fillColor:t.fillColor,highlightFill:t.highlightFill||t.fillColor,highlightStroke:t.highlightStroke||t.strokeColor}))},this)},this);this.buildScale(e.labels);this.BarClass.prototype.base=this.scale.endPoint;this.eachBars(function(e,t,r){n.extend(e,{width:this.scale.calculateBarWidth(this.datasets.length),x:this.scale.calculateBarX(this.datasets.length,r,t),y:this.scale.endPoint});e.save()},this);this.render()},update:function(){this.scale.update();n.each(this.activeElements,function(e){e.restore(["fillColor","strokeColor"])});this.eachBars(function(e){e.save()});this.render()},eachBars:function(e){n.each(this.datasets,function(t,r){n.each(t.bars,e,this,r)},this)},getBarsAtEvent:function(e){var t=[],r=n.getRelativePosition(e),i=function(e){t.push(e.bars[s])},s;for(var o=0;o<this.datasets.length;o++)for(s=0;s<this.datasets[o].bars.length;s++)if(this.datasets[o].bars[s].inRange(r.x,r.y)){n.each(this.datasets,i);return t}return t},buildScale:function(e){var t=this,r=function(){var e=[];t.eachBars(function(t){e.push(t.value)});return e},i={templateString:this.options.scaleLabel,height:this.chart.height,width:this.chart.width,ctx:this.chart.ctx,textColor:this.options.scaleFontColor,fontSize:this.options.scaleFontSize,fontStyle:this.options.scaleFontStyle,fontFamily:this.options.scaleFontFamily,valuesCount:e.length,beginAtZero:this.options.scaleBeginAtZero,integersOnly:this.options.scaleIntegersOnly,calculateYRange:function(e){var t=n.calculateScaleRange(r(),e,this.fontSize,this.beginAtZero,this.integersOnly);n.extend(this,t)},xLabels:e,font:n.fontString(this.options.scaleFontSize,this.options.scaleFontStyle,this.options.scaleFontFamily),lineWidth:this.options.scaleLineWidth,lineColor:this.options.scaleLineColor,showHorizontalLines:this.options.scaleShowHorizontalLines,showVerticalLines:this.options.scaleShowVerticalLines,gridLineWidth:this.options.scaleShowGridLines?this.options.scaleGridLineWidth:0,gridLineColor:this.options.scaleShowGridLines?this.options.scaleGridLineColor:"rgba(0,0,0,0)",padding:this.options.showScale?0:this.options.barShowStroke?this.options.barStrokeWidth:0,showLabels:this.options.scaleShowLabels,display:this.options.showScale};this.options.scaleOverride&&n.extend(i,{calculateYRange:n.noop,steps:this.options.scaleSteps,stepValue:this.options.scaleStepWidth,min:this.options.scaleStartValue,max:this.options.scaleStartValue+this.options.scaleSteps*this.options.scaleStepWidth});this.scale=new this.ScaleClass(i)},addData:function(e,t){n.each(e,function(e,n){this.datasets[n].bars.push(new this.BarClass({value:e,label:t,x:this.scale.calculateBarX(this.datasets.length,n,this.scale.valuesCount+1),y:this.scale.endPoint,width:this.scale.calculateBarWidth(this.datasets.length),base:this.scale.endPoint,strokeColor:this.datasets[n].strokeColor,fillColor:this.datasets[n].fillColor}))},this);this.scale.addXLabel(t);this.update()},removeData:function(){this.scale.removeXLabel();n.each(this.datasets,function(e){e.bars.shift()},this);this.update()},reflow:function(){n.extend(this.BarClass.prototype,{y:this.scale.endPoint,base:this.scale.endPoint})
;var e=n.extend({height:this.chart.height,width:this.chart.width});this.scale.update(e)},draw:function(e){var t=e||1;this.clear();var r=this.chart.ctx;this.scale.draw(t);n.each(this.datasets,function(e,r){n.each(e.bars,function(e,n){if(e.hasValue()){e.base=this.scale.endPoint;e.transition({x:this.scale.calculateBarX(this.datasets.length,r,n),y:this.scale.calculateY(e.value),width:this.scale.calculateBarWidth(this.datasets.length)},t).draw()}},this)},this)}})}).call(this);(function(){"use strict";var e=this,t=e.Chart,n=t.helpers,r={segmentShowStroke:!0,segmentStrokeColor:"#fff",segmentStrokeWidth:2,percentageInnerCutout:50,animationSteps:100,animationEasing:"easeOutBounce",animateRotate:!0,animateScale:!1,legendTemplate:'<ul class="<%=name.toLowerCase()%>-legend"><% for (var i=0; i<segments.length; i++){%><li><span style="background-color:<%=segments[i].fillColor%>"></span><%if(segments[i].label){%><%=segments[i].label%><%}%></li><%}%></ul>'};t.Type.extend({name:"Doughnut",defaults:r,initialize:function(e){this.segments=[];this.outerRadius=(n.min([this.chart.width,this.chart.height])-this.options.segmentStrokeWidth/2)/2;this.SegmentArc=t.Arc.extend({ctx:this.chart.ctx,x:this.chart.width/2,y:this.chart.height/2});this.options.showTooltips&&n.bindEvents(this,this.options.tooltipEvents,function(e){var t=e.type!=="mouseout"?this.getSegmentsAtEvent(e):[];n.each(this.segments,function(e){e.restore(["fillColor"])});n.each(t,function(e){e.fillColor=e.highlightColor});this.showTooltip(t)});this.calculateTotal(e);n.each(e,function(e,t){this.addData(e,t,!0)},this);this.render()},getSegmentsAtEvent:function(e){var t=[],r=n.getRelativePosition(e);n.each(this.segments,function(e){e.inRange(r.x,r.y)&&t.push(e)},this);return t},addData:function(e,t,n){var r=t||this.segments.length;this.segments.splice(r,0,new this.SegmentArc({value:e.value,outerRadius:this.options.animateScale?0:this.outerRadius,innerRadius:this.options.animateScale?0:this.outerRadius/100*this.options.percentageInnerCutout,fillColor:e.color,highlightColor:e.highlight||e.color,showStroke:this.options.segmentShowStroke,strokeWidth:this.options.segmentStrokeWidth,strokeColor:this.options.segmentStrokeColor,startAngle:Math.PI*1.5,circumference:this.options.animateRotate?0:this.calculateCircumference(e.value),label:e.label}));if(!n){this.reflow();this.update()}},calculateCircumference:function(e){return Math.PI*2*(Math.abs(e)/this.total)},calculateTotal:function(e){this.total=0;n.each(e,function(e){this.total+=Math.abs(e.value)},this)},update:function(){this.calculateTotal(this.segments);n.each(this.activeElements,function(e){e.restore(["fillColor"])});n.each(this.segments,function(e){e.save()});this.render()},removeData:function(e){var t=n.isNumber(e)?e:this.segments.length-1;this.segments.splice(t,1);this.reflow();this.update()},reflow:function(){n.extend(this.SegmentArc.prototype,{x:this.chart.width/2,y:this.chart.height/2});this.outerRadius=(n.min([this.chart.width,this.chart.height])-this.options.segmentStrokeWidth/2)/2;n.each(this.segments,function(e){e.update({outerRadius:this.outerRadius,innerRadius:this.outerRadius/100*this.options.percentageInnerCutout})},this)},draw:function(e){var t=e?e:1;this.clear();n.each(this.segments,function(e,n){e.transition({circumference:this.calculateCircumference(e.value),outerRadius:this.outerRadius,innerRadius:this.outerRadius/100*this.options.percentageInnerCutout},t);e.endAngle=e.startAngle+e.circumference;e.draw();n===0&&(e.startAngle=Math.PI*1.5);n<this.segments.length-1&&(this.segments[n+1].startAngle=e.endAngle)},this)}});t.types.Doughnut.extend({name:"Pie",defaults:n.merge(r,{percentageInnerCutout:0})})}).call(this);(function(){"use strict";var e=this,t=e.Chart,n=t.helpers,r={scaleShowGridLines:!0,scaleGridLineColor:"rgba(0,0,0,.05)",scaleGridLineWidth:1,scaleShowHorizontalLines:!0,scaleShowVerticalLines:!0,bezierCurve:!0,bezierCurveTension:.4,pointDot:!0,pointDotRadius:4,pointDotStrokeWidth:1,pointHitDetectionRadius:20,datasetStroke:!0,datasetStrokeWidth:2,datasetFill:!0,legendTemplate:'<ul class="<%=name.toLowerCase()%>-legend"><% for (var i=0; i<datasets.length; i++){%><li><span style="background-color:<%=datasets[i].strokeColor%>"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>'};t.Type.extend({name:"Line",defaults:r,initialize:function(e){this.PointClass=t.Point.extend({strokeWidth:this.options.pointDotStrokeWidth,radius:this.options.pointDotRadius,display:this.options.pointDot,hitDetectionRadius:this.options.pointHitDetectionRadius,ctx:this.chart.ctx,inRange:function(e){return Math.pow(e-this.x,2)<Math.pow(this.radius+this.hitDetectionRadius,2)}});this.datasets=[];this.options.showTooltips&&n.bindEvents(this,this.options.tooltipEvents,function(e){var t=e.type!=="mouseout"?this.getPointsAtEvent(e):[];this.eachPoints(function(e){e.restore(["fillColor","strokeColor"])});n.each(t,function(e){e.fillColor=e.highlightFill;e.strokeColor=e.highlightStroke});this.showTooltip(t)});n.each(e.datasets,function(t){var r={label:t.label||null,fillColor:t.fillColor,strokeColor:t.strokeColor,pointColor:t.pointColor,pointStrokeColor:t.pointStrokeColor,points:[]};this.datasets.push(r);n.each(t.data,function(n,i){r.points.push(new this.PointClass({value:n,label:e.labels[i],datasetLabel:t.label,strokeColor:t.pointStrokeColor,fillColor:t.pointColor,highlightFill:t.pointHighlightFill||t.pointColor,highlightStroke:t.pointHighlightStroke||t.pointStrokeColor}))},this);this.buildScale(e.labels);this.eachPoints(function(e,t){n.extend(e,{x:this.scale.calculateX(t),y:this.scale.endPoint});e.save()},this)},this);this.render()},update:function(){this.scale.update();n.each(this.activeElements,function(e){e.restore(["fillColor","strokeColor"])});this.eachPoints(function(e){e.save()});this.render()},eachPoints:function(e){n.each(this.datasets,function(t){n.each(t.points,e,this)},this)},getPointsAtEvent:function(e){var t=[],r=n.getRelativePosition(e);n.each(this.datasets,function(e){n.each(e.points,function(e){e.inRange(r.x,r.y)&&t.push(e)})},this);return t},buildScale:function(e){var r=this,i=function(){var e=[];r.eachPoints(function(t){e.push(t.value)});return e},s={templateString:this.options.scaleLabel,height:this.chart.height,width:this.chart.width,ctx:this.chart.ctx,textColor:this.options.scaleFontColor,fontSize:this.options.scaleFontSize,fontStyle:this.options.scaleFontStyle,fontFamily:this.options.scaleFontFamily,valuesCount:e.length,beginAtZero:this.options.scaleBeginAtZero,integersOnly:this.options.scaleIntegersOnly,calculateYRange:function(e){var t=n.calculateScaleRange(i(),e,this.fontSize,this.beginAtZero,this.integersOnly);n.extend(this,t)},xLabels:e,font:n.fontString(this.options.scaleFontSize,this.options.scaleFontStyle,this.options.scaleFontFamily),lineWidth:this.options.scaleLineWidth,lineColor:this.options.scaleLineColor,showHorizontalLines:this.options.scaleShowHorizontalLines,showVerticalLines:this.options.scaleShowVerticalLines,gridLineWidth:this.options.scaleShowGridLines?this.options.scaleGridLineWidth:0,gridLineColor:this.options.scaleShowGridLines?this.options.scaleGridLineColor:"rgba(0,0,0,0)",padding:this.options.showScale?0:this.options.pointDotRadius+this.options.pointDotStrokeWidth,showLabels:this.options.scaleShowLabels,display:this.options.showScale};this.options.scaleOverride&&n.extend(s,{calculateYRange:n.noop,steps:this.options.scaleSteps,stepValue:this.options.scaleStepWidth,min:this.options.scaleStartValue,max:this.options.scaleStartValue+this.options.scaleSteps*this.options.scaleStepWidth});this.scale=new t.Scale(s)},addData:function(e,t){n.each(e,function(e,n){this.datasets[n].points.push(new this.PointClass({value:e,label:t,x:this.scale.calculateX(this.scale.valuesCount+1),y:this.scale.endPoint,strokeColor:this.datasets[n].pointStrokeColor,fillColor:this.datasets[n].pointColor}))},this);this.scale.addXLabel(t);this.update()},removeData:function(){this.scale.removeXLabel();n.each(this.datasets,function(e){e.points.shift()},this);this.update()},reflow:function(){var e=n.extend({height:this.chart.height,width:this.chart.width});this.scale.update(e)},draw:function(e){var t=e||1;this.clear();var r=this.chart.ctx,i=function(e){return e.value!==null},s=function(e,t,r){return n.findNextWhere(t,i,r)||e},o=function(e,t,r){return n.findPreviousWhere(t,i,r)||e};this.scale.draw(t);n.each(this.datasets,function(e){var u=n.where(e.points,i);n.each(e.points,function(e,n){e.hasValue()&&e.transition({y:this.scale.calculateY(e.value),x:this.scale.calculateX(n)},t)},this);this.options.bezierCurve&&n.each(u,function(e,t){var r=t>0&&t<u.length-1?this.options.bezierCurveTension:0;e.controlPoints=n.splineCurve(o(e,u,t),e,s(e,u,t),r);e.controlPoints.outer.y>this.scale.endPoint?e.controlPoints.outer.y=this.scale.endPoint:e.controlPoints.outer.y<this.scale.startPoint&&(e.controlPoints.outer.y=this.scale.startPoint);e.controlPoints.inner.y>this.scale.endPoint?e.controlPoints.inner.y=this.scale.endPoint:e.controlPoints.inner.y<this.scale.startPoint&&(e.controlPoints.inner.y=this.scale.startPoint)},this);r.lineWidth=this.options.datasetStrokeWidth;r.strokeStyle=e.strokeColor;r.beginPath();n.each(u,function(e,t){if(t===0)r.moveTo(e.x,e.y);else if(this.options.bezierCurve){var n=o(e,u,t);r.bezierCurveTo(n.controlPoints.outer.x,n.controlPoints.outer.y,e.controlPoints.inner.x,e.controlPoints.inner.y,e.x,e.y)}else r.lineTo(e.x,e.y)},this);r.stroke();if(this.options.datasetFill&&u.length>0){r.lineTo(u[u.length-1].x,this.scale.endPoint);r.lineTo(u[0].x,this.scale.endPoint);r.fillStyle=e.fillColor;r.closePath();r.fill()}n.each(u,function(e){e.draw()})},this)}})}).call(this);(function(){"use strict";var e=this,t=e.Chart,n=t.helpers,r={scaleShowLabelBackdrop:!0,scaleBackdropColor:"rgba(255,255,255,0.75)",scaleBeginAtZero:!0,scaleBackdropPaddingY:2,scaleBackdropPaddingX:2,scaleShowLine:!0,segmentShowStroke:!0,segmentStrokeColor:"#fff",segmentStrokeWidth:2,animationSteps:100,animationEasing:"easeOutBounce",animateRotate:!0,animateScale:!1,legendTemplate:'<ul class="<%=name.toLowerCase()%>-legend"><% for (var i=0; i<segments.length; i++){%><li><span style="background-color:<%=segments[i].fillColor%>"></span><%if(segments[i].label){%><%=segments[i].label%><%}%></li><%}%></ul>'};t.Type.extend({name:"PolarArea",defaults:r,initialize:function(e){this.segments=[];this.SegmentArc=t.Arc.extend({showStroke:this.options.segmentShowStroke,strokeWidth:this.options.segmentStrokeWidth,strokeColor:this.options.segmentStrokeColor,ctx:this.chart.ctx,innerRadius:0,x:this.chart.width/2,y:this.chart.height/2});this.scale=new t.RadialScale({display:this.options.showScale,fontStyle:this.options.scaleFontStyle,fontSize:this.options.scaleFontSize,fontFamily:this.options.scaleFontFamily,fontColor:this.options.scaleFontColor,showLabels:this.options.scaleShowLabels,showLabelBackdrop:this.options.scaleShowLabelBackdrop,backdropColor:this.options.scaleBackdropColor,backdropPaddingY:this.options.scaleBackdropPaddingY,backdropPaddingX:this.options.scaleBackdropPaddingX,lineWidth:this.options.scaleShowLine?this.options.scaleLineWidth:0,lineColor:this.options.scaleLineColor,lineArc:!0,width:this.chart.width,height:this.chart.height,xCenter:this.chart.width/2,yCenter:this.chart.height/2,ctx:this.chart.ctx,templateString:this.options.scaleLabel,valuesCount:e.length});this.updateScaleRange(e);this.scale.update();n.each(e,function(e,t){this.addData(e,t,!0)},this);this.options.showTooltips&&n.bindEvents(this,this.options.tooltipEvents,function(e){var t=e.type!=="mouseout"?this.getSegmentsAtEvent(e):[];n.each(this.segments,function(e){e.restore(["fillColor"])});n.each(t,function(e){e.fillColor=e.highlightColor});this.showTooltip(t)});this.render()},getSegmentsAtEvent:function(e){var t=[],r=n.getRelativePosition(e);n.each(this.segments,function(e){e.inRange(r.x,r.y)&&t.push(e)},this);return t},addData:function(e,t,n){var r=t||this.segments.length;this.segments.splice(r,0,new this.SegmentArc({fillColor:e.color,highlightColor:e.highlight||e.color,label:e.label,value:e.value,outerRadius:this.options.animateScale?0:this.scale.calculateCenterOffset(e.value),circumference:this.options.animateRotate?0:this.scale.getCircumference(),startAngle:Math.PI*1.5}));if(!n){this.reflow();this.update()}},removeData:function(e){var t=n.isNumber(e)?e:this.segments.length-1;this.segments.splice(t,1);this.reflow();this.update()},calculateTotal:function(e){this.total=0;n.each(e,function(e){this.total+=e.value},this);this.scale.valuesCount=this.segments.length},updateScaleRange:function(e){var t=[];n.each(e,function(e){t.push(e.value)});var r=this.options.scaleOverride?{steps:this.options.scaleSteps,stepValue:this.options.scaleStepWidth,min:this.options.scaleStartValue,max:this.options.scaleStartValue+this.options.scaleSteps*this.options.scaleStepWidth}:n.calculateScaleRange(t,n.min([this.chart.width,this.chart.height])/2,this.options.scaleFontSize,this.options.scaleBeginAtZero,this.options.scaleIntegersOnly);n.extend(this.scale,r,{size:n.min([this.chart.width,this.chart.height]),xCenter:this.chart.width/2,yCenter:this.chart.height/2})},update:function(){this.calculateTotal(this.segments);n.each(this.segments,function(e){e.save()});this.reflow();this.render()},reflow:function(){n.extend(this.SegmentArc.prototype,{x:this.chart.width/2,y:this.chart.height/2});this.updateScaleRange(this.segments);this.scale.update();n.extend(this.scale,{xCenter:this.chart.width/2,yCenter:this.chart.height/2});n.each(this.segments,function(e){e.update({outerRadius:this.scale.calculateCenterOffset(e.value)})},this)},draw:function(e){var t=e||1;this.clear();n.each(this.segments,function(e,n){e.transition({circumference:this.scale.getCircumference(),outerRadius:this.scale.calculateCenterOffset(e.value)},t);e.endAngle=e.startAngle+e.circumference;n===0&&(e.startAngle=Math.PI*1.5);n<this.segments.length-1&&(this.segments[n+1].startAngle=e.endAngle);e.draw()},this);this.scale.draw()}})}).call(this);(function(){"use strict";var e=this,t=e.Chart,n=t.helpers;t.Type.extend({name:"Radar",defaults:{scaleShowLine:!0,angleShowLineOut:!0,scaleShowLabels:!1,scaleBeginAtZero:!0,angleLineColor:"rgba(0,0,0,.1)",angleLineWidth:1,pointLabelFontFamily:"'Arial'",pointLabelFontStyle:"normal",pointLabelFontSize:10,pointLabelFontColor:"#666",pointDot:!0,pointDotRadius:3,pointDotStrokeWidth:1,pointHitDetectionRadius:20,datasetStroke:!0,datasetStrokeWidth:2,datasetFill:!0,legendTemplate:'<ul class="<%=name.toLowerCase()%>-legend"><% for (var i=0; i<datasets.length; i++){%><li><span style="background-color:<%=datasets[i].strokeColor%>"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>'},initialize:function(e){this.PointClass=t.Point.extend({strokeWidth:this.options.pointDotStrokeWidth,radius:this.options.pointDotRadius,display:this.options.pointDot,hitDetectionRadius:this.options.pointHitDetectionRadius,ctx:this.chart.ctx});this.datasets=[];this.buildScale(e);this.options.showTooltips&&n.bindEvents(this,this.options.tooltipEvents,function(e){var t=e.type!=="mouseout"?this.getPointsAtEvent(e):[];this.eachPoints(function(e){e.restore(["fillColor","strokeColor"])});n.each(t,function(e){e.fillColor=e.highlightFill;e.strokeColor=e.highlightStroke});this.showTooltip(t)});n.each(e.datasets,function(t){var r={label:t.label||null,fillColor:t.fillColor,strokeColor:t.strokeColor,pointColor:t.pointColor,pointStrokeColor:t.pointStrokeColor,points:[]};this.datasets.push(r);n.each(t.data,function(n,i){var s;this.scale.animation||(s=this.scale.getPointPosition(i,this.scale.calculateCenterOffset(n)));r.points.push(new this.PointClass({value:n,label:e.labels[i],datasetLabel:t.label,x:this.options.animation?this.scale.xCenter:s.x,y:this.options.animation?this.scale.yCenter:s.y,strokeColor:t.pointStrokeColor,fillColor:t.pointColor,highlightFill:t.pointHighlightFill||t.pointColor,highlightStroke:t.pointHighlightStroke||t.pointStrokeColor}))},this)},this);this.render()},eachPoints:function(e){n.each(this.datasets,function(t){n.each(t.points,e,this)},this)},getPointsAtEvent:function(e){var t=n.getRelativePosition(e),r=n.getAngleFromPoint({x:this.scale.xCenter,y:this.scale.yCenter},t),i=Math.PI*2/this.scale.valuesCount,s=Math.round((r.angle-Math.PI*1.5)/i),o=[];if(s>=this.scale.valuesCount||s<0)s=0;r.distance<=this.scale.drawingArea&&n.each(this.datasets,function(e){o.push(e.points[s])});return o},buildScale:function(e){this.scale=new t.RadialScale({display:this.options.showScale,fontStyle:this.options.scaleFontStyle,fontSize:this.options.scaleFontSize,fontFamily:this.options.scaleFontFamily,fontColor:this.options.scaleFontColor,showLabels:this.options.scaleShowLabels,showLabelBackdrop:this.options.scaleShowLabelBackdrop,backdropColor:this.options.scaleBackdropColor,backdropPaddingY:this.options.scaleBackdropPaddingY,backdropPaddingX:this.options.scaleBackdropPaddingX,lineWidth:this.options.scaleShowLine?this.options.scaleLineWidth:0,lineColor:this.options.scaleLineColor,angleLineColor:this.options.angleLineColor,angleLineWidth:this.options.angleShowLineOut?this.options.angleLineWidth:0,pointLabelFontColor:this.options.pointLabelFontColor,pointLabelFontSize:this.options.pointLabelFontSize,pointLabelFontFamily:this.options.pointLabelFontFamily,pointLabelFontStyle:this.options.pointLabelFontStyle,height:this.chart.height,width:this.chart.width,xCenter:this.chart.width/2,yCenter:this.chart.height/2,ctx:this.chart.ctx,templateString:this.options.scaleLabel,labels:e.labels,valuesCount:e.datasets[0].data.length});this.scale.setScaleSize();this.updateScaleRange(e.datasets);this.scale.buildYLabels()},updateScaleRange:function(e){var t=function(){var t=[];n.each(e,function(e){e.data?t=t.concat(e.data):n.each(e.points,function(e){t.push(e.value)})});return t}(),r=this.options.scaleOverride?{steps:this.options.scaleSteps,stepValue:this.options.scaleStepWidth,min:this.options.scaleStartValue,max:this.options.scaleStartValue+this.options.scaleSteps*this.options.scaleStepWidth}:n.calculateScaleRange(t,n.min([this.chart.width,this.chart.height])/2,this.options.scaleFontSize,this.options.scaleBeginAtZero,this.options.scaleIntegersOnly);n.extend(this.scale,r)},addData:function(e,t){this.scale.valuesCount++;n.each(e,function(e,n){var r=this.scale.getPointPosition(this.scale.valuesCount,this.scale.calculateCenterOffset(e));this.datasets[n].points.push(new this.PointClass({value:e,label:t,x:r.x,y:r.y,strokeColor:this.datasets[n].pointStrokeColor,fillColor:this.datasets[n].pointColor}))},this);this.scale.labels.push(t);this.reflow();this.update()},removeData:function(){this.scale.valuesCount--;this.scale.labels.shift();n.each(this.datasets,function(e){e.points.shift()},this);this.reflow();this.update()},update:function(){this.eachPoints(function(e){e.save()});this.reflow();this.render()},reflow:function(){n.extend(this.scale,{width:this.chart.width,height:this.chart.height,size:n.min([this.chart.width,this.chart.height]),xCenter:this.chart.width/2,yCenter:this.chart.height/2});this.updateScaleRange(this.datasets);this.scale.setScaleSize();this.scale.buildYLabels()},draw:function(e){var t=e||1,r=this.chart.ctx;this.clear();this.scale.draw();n.each(this.datasets,function(e){n.each(e.points,function(e,n){e.hasValue()&&e.transition(this.scale.getPointPosition(n,this.scale.calculateCenterOffset(e.value)),t)},this);r.lineWidth=this.options.datasetStrokeWidth;r.strokeStyle=e.strokeColor;r.beginPath();n.each(e.points,function(e,t){t===0?r.moveTo(e.x,e.y):r.lineTo(e.x,e.y)},this);r.closePath();r.stroke();r.fillStyle=e.fillColor;r.fill();n.each(e.points,function(e){e.hasValue()&&e.draw()})},this)}})}).call(this);